local cube_milestones = {
    100,
    1000,
    10000,
}

local fasttimes = {
    3*60,
    4*60,
    5*60,
    6*60,
}

if am.steamworks_available then
    local
    function unlock(name) 
        if am.steamworks_available() then
            if not global_state.unlocked_achievements then
                global_state.unlocked_achievements = {}
            end
            if not global_state.unlocked_achievements[name] then
                am.submit_steamworks_achievement(name)
                global_state.unlocked_achievements[name] = true
                save_state()
            end
        end
    end
    function check_achievements(gs)
        if gs.compound_level and gs.is_stage_cleared then
            local stage = gs.stage_num
            unlock("clear"..stage)
            local fasttime = fasttimes[stage]
            if fasttime and gs.stage_stats.secs <= fasttime then
                unlock("fasttime"..stage)
            end
            if gs.stage_stats.retries == 0 then
                unlock("noretries"..stage)
            end
        end
        for i, n in ipairs(cube_milestones) do
            if (global_state.total_cubes_collected or 0) >= n then
                unlock("cubes"..i)
            end
        end
    end
else
    function check_achievements()
    end
end
