require "game"

local
function read_json(file)
    local f = io.open(file)
    local json = f:read("*a")
    f:close()
    return am.parse_json(json)
end

local
function write_json(file, val)
    f = io.open(file, "w")
    f:write(am.to_json(val))
    f:close()
    print("wrote "..file)
end

for _, file in ipairs(am.glob{"game/levels/*.json"}) do
    local level = read_json(file)
    compute_level_collision_windows(level)
    write_json(file, level)
end

for _, file in ipairs(am.glob{"editor_data/*.json"}) do
    if file:match("[A-Z][A-Z][A-Z]%.json") then
        local levels = read_json(file)
        for _, level in ipairs(levels) do
            compute_level_collision_windows(level)
        end
        write_json(file, levels)
    end
end

win:close()
