local circle = am.circle(vec2(0), 1, vec4(1), 64)
circle"blend".mode = "off"

function init_explosion(gs)
    circle.color = vec4(gs.palette[1], 1)
    local explosion_node = am.translate(0, 0) ^ am.scale(30) ^ circle
    explosion_node.hidden = true
    gs.explosion_node = explosion_node
    gs.main_scene:append(explosion_node)
end

function make_explosion(gs)
    circle.color = vec4(gs.palette[1], 1)
    local pos = (gs.player_transform * vec4(gs.player_pos, 0, 1)).xy
    local node = gs.explosion_node
    local epos = pos
    if gs.is_flipped then
        epos = quat(math.pi*0.5) * pos
    end
    node.position2d = pos
    node.hidden = false
    gs.top_bind.explosion_pos = epos
    local start_rad = 40
    local end_rad = 800
    gs.top_bind.explosion_rad = start_rad
    node"scale".scale2d = vec2(start_rad)
    local t = global_state.less_flashing and 0.9 or 0.5
    local ease = global_state.less_flashing and am.ease.cubic or am.ease.hyperbola
    gs.main_scene:action("explosion", am.parallel{
        am.tween(node"scale", t, {scale2d = vec2(end_rad)}, ease),
        am.tween(gs.top_bind, t, {explosion_rad = end_rad}, ease),
    })
end
