local font_data = {
    minfilter = "linear",
    magfilter = "linear",
    is_premult = true,
    {
        is_font = true,
        size = 64,
        mono = false,
        filename = "../tmp/bold.otf",
        face = 0,
        chars = (function()
            local chrs = {}
            (function()
                chrs[32] = {
                    x1 = -1, y1 = 0, x2 = 1, y2 = 2,
                    s1 = 0.11328125, t1 = 0.328125, s2 = 0.1171875, t2 = 0.33203125,
                    advance = 25,
                }
                chrs[33] = {
                    x1 = 3, y1 = 0, x2 = 18, y2 = 47,
                    s1 = 0.3515625, t1 = 0.3359375, s2 = 0.380859375, t2 = 0.427734375,
                    advance = 22,
                }
                chrs[34] = {
                    x1 = 3, y1 = 27, x2 = 33, y2 = 47,
                    s1 = 0.689453125, t1 = 0.248046875, s2 = 0.748046875, t2 = 0.287109375,
                    advance = 36,
                }
                chrs[37] = {
                    x1 = 1, y1 = -1, x2 = 75, y2 = 48,
                    s1 = 0.8359375, t1 = 0.904296875, s2 = 0.98046875, t2 = 1,
                    advance = 75,
                }
                chrs[39] = {
                    x1 = 3, y1 = 27, x2 = 17, y2 = 47,
                    s1 = 0.748046875, t1 = 0.248046875, s2 = 0.775390625, t2 = 0.287109375,
                    advance = 20,
                }
                chrs[40] = {
                    x1 = 5, y1 = -2, x2 = 28, y2 = 48,
                    s1 = 0.791015625, t1 = 0.90234375, s2 = 0.8359375, t2 = 1,
                    advance = 30,
                }
                chrs[41] = {
                    x1 = 3, y1 = -2, x2 = 26, y2 = 48,
                    s1 = 0.74609375, t1 = 0.90234375, s2 = 0.791015625, t2 = 1,
                    advance = 30,
                }
                chrs[44] = {
                    x1 = 1, y1 = -7, x2 = 19, y2 = 11,
                    s1 = 0.775390625, t1 = 0.251953125, s2 = 0.810546875, t2 = 0.287109375,
                    advance = 20,
                }
                chrs[45] = {
                    x1 = 2, y1 = 14, x2 = 36, y2 = 25,
                    s1 = 0.810546875, t1 = 0.265625, s2 = 0.876953125, t2 = 0.287109375,
                    advance = 38,
                }
                chrs[46] = {
                    x1 = 3, y1 = 0, x2 = 17, y2 = 11,
                    s1 = 0.876953125, t1 = 0.265625, s2 = 0.904296875, t2 = 0.287109375,
                    advance = 20,
                }
                chrs[47] = {
                    x1 = 0, y1 = 0, x2 = 37, y2 = 47,
                    s1 = 0.927734375, t1 = 0.353515625, s2 = 1, t2 = 0.4453125,
                    advance = 37,
                }
                chrs[48] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 47,
                    s1 = 0.23046875, t1 = 0.611328125, s2 = 0.3359375, t2 = 0.703125,
                    advance = 60,
                }
                chrs[49] = {
                    x1 = 0, y1 = 0, x2 = 26, y2 = 47,
                    s1 = 0.251953125, t1 = 0.3359375, s2 = 0.302734375, t2 = 0.427734375,
                    advance = 29,
                }
                chrs[50] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.439453125, t1 = 0.53515625, s2 = 0.541015625, t2 = 0.626953125,
                    advance = 58,
                }
                chrs[51] = {
                    x1 = 1, y1 = 0, x2 = 51, y2 = 47,
                    s1 = 0.83984375, t1 = 0.4453125, s2 = 0.9375, t2 = 0.537109375,
                    advance = 54,
                }
                chrs[52] = {
                    x1 = 2, y1 = 0, x2 = 53, y2 = 47,
                    s1 = 0.640625, t1 = 0.4453125, s2 = 0.740234375, t2 = 0.537109375,
                    advance = 56,
                }
                chrs[53] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0, t1 = 0.51171875, s2 = 0.099609375, t2 = 0.603515625,
                    advance = 57,
                }
                chrs[54] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.541015625, t1 = 0.4453125, s2 = 0.640625, t2 = 0.537109375,
                    advance = 57,
                }
                chrs[55] = {
                    x1 = 0, y1 = 0, x2 = 51, y2 = 47,
                    s1 = 0.740234375, t1 = 0.4453125, s2 = 0.83984375, t2 = 0.537109375,
                    advance = 51,
                }
                chrs[56] = {
                    x1 = 3, y1 = 0, x2 = 56, y2 = 47,
                    s1 = 0, t1 = 0.603515625, s2 = 0.103515625, t2 = 0.6953125,
                    advance = 59,
                }
                chrs[57] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.212890625, t1 = 0.51953125, s2 = 0.3125, t2 = 0.611328125,
                    advance = 57,
                }
                chrs[58] = {
                    x1 = 3, y1 = -1, x2 = 17, y2 = 31,
                    s1 = 0.0859375, t1 = 0.26953125, s2 = 0.11328125, t2 = 0.33203125,
                    advance = 20,
                }
                chrs[59] = {
                    x1 = 1, y1 = -7, x2 = 19, y2 = 30,
                    s1 = 0, t1 = 0.34765625, s2 = 0.03515625, t2 = 0.419921875,
                    advance = 20,
                }
                chrs[63] = {
                    x1 = 3, y1 = 0, x2 = 42, y2 = 47,
                    s1 = 0.3828125, t1 = 0.3515625, s2 = 0.458984375, t2 = 0.443359375,
                    advance = 44,
                }
                chrs[64] = {
                    x1 = 4, y1 = -13, x2 = 76, y2 = 47,
                    s1 = 0.16796875, t1 = 0.8828125, s2 = 0.30859375, t2 = 1,
                    advance = 80,
                }
                chrs[65] = {
                    x1 = -1, y1 = 0, x2 = 64, y2 = 47,
                    s1 = 0.353515625, t1 = 0.794921875, s2 = 0.48046875, t2 = 0.88671875,
                    advance = 63,
                }
                chrs[66] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.62109375, t1 = 0.537109375, s2 = 0.72265625, t2 = 0.62890625,
                    advance = 58,
                }
                chrs[67] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.82421875, t1 = 0.537109375, s2 = 0.92578125, t2 = 0.62890625,
                    advance = 56,
                }
                chrs[68] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 47,
                    s1 = 0.82421875, t1 = 0.62890625, s2 = 0.9296875, t2 = 0.720703125,
                    advance = 60,
                }
                chrs[69] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.3125, t1 = 0.51953125, s2 = 0.412109375, t2 = 0.611328125,
                    advance = 56,
                }
                chrs[70] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.103515625, t1 = 0.515625, s2 = 0.203125, t2 = 0.607421875,
                    advance = 53,
                }
                chrs[71] = {
                    x1 = 3, y1 = 0, x2 = 60, y2 = 47,
                    s1 = 0.404296875, t1 = 0.703125, s2 = 0.515625, t2 = 0.794921875,
                    advance = 63,
                }
                chrs[72] = {
                    x1 = 3, y1 = 0, x2 = 59, y2 = 47,
                    s1 = 0, t1 = 0.6953125, s2 = 0.109375, t2 = 0.787109375,
                    advance = 63,
                }
                chrs[73] = {
                    x1 = 3, y1 = 0, x2 = 18, y2 = 47,
                    s1 = 0.458984375, t1 = 0.3515625, s2 = 0.48828125, t2 = 0.443359375,
                    advance = 22,
                }
                chrs[74] = {
                    x1 = 0, y1 = 0, x2 = 40, y2 = 47,
                    s1 = 0.849609375, t1 = 0.353515625, s2 = 0.927734375, t2 = 0.4453125,
                    advance = 43,
                }
                chrs[75] = {
                    x1 = 3, y1 = 0, x2 = 61, y2 = 47,
                    s1 = 0.291015625, t1 = 0.703125, s2 = 0.404296875, t2 = 0.794921875,
                    advance = 59,
                }
                chrs[76] = {
                    x1 = 3, y1 = 0, x2 = 51, y2 = 47,
                    s1 = 0.412109375, t1 = 0.443359375, s2 = 0.505859375, t2 = 0.53515625,
                    advance = 50,
                }
                chrs[77] = {
                    x1 = 3, y1 = 0, x2 = 68, y2 = 47,
                    s1 = 0.662109375, t1 = 0.810546875, s2 = 0.7890625, t2 = 0.90234375,
                    advance = 71,
                }
                chrs[78] = {
                    x1 = 3, y1 = 0, x2 = 61, y2 = 47,
                    s1 = 0.603515625, t1 = 0.71875, s2 = 0.716796875, t2 = 0.810546875,
                    advance = 65,
                }
                chrs[79] = {
                    x1 = 3, y1 = 0, x2 = 62, y2 = 47,
                    s1 = 0.7890625, t1 = 0.720703125, s2 = 0.904296875, t2 = 0.8125,
                    advance = 65,
                }
                chrs[80] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.72265625, t1 = 0.537109375, s2 = 0.82421875, t2 = 0.62890625,
                    advance = 58,
                }
                chrs[81] = {
                    x1 = 3, y1 = -9, x2 = 62, y2 = 47,
                    s1 = 0.546875, t1 = 0.890625, s2 = 0.662109375, t2 = 1,
                    advance = 65,
                }
                chrs[82] = {
                    x1 = 3, y1 = 0, x2 = 59, y2 = 47,
                    s1 = 0.12109375, t1 = 0.69921875, s2 = 0.23046875, t2 = 0.791015625,
                    advance = 58,
                }
                chrs[83] = {
                    x1 = 3, y1 = 0, x2 = 56, y2 = 47,
                    s1 = 0.3359375, t1 = 0.611328125, s2 = 0.439453125, t2 = 0.703125,
                    advance = 58,
                }
                chrs[84] = {
                    x1 = -1, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.716796875, t1 = 0.62890625, s2 = 0.82421875, t2 = 0.720703125,
                    advance = 53,
                }
                chrs[85] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 47,
                    s1 = 0.515625, t1 = 0.626953125, s2 = 0.62109375, t2 = 0.71875,
                    advance = 61,
                }
                chrs[86] = {
                    x1 = -1, y1 = 0, x2 = 62, y2 = 47,
                    s1 = 0.16796875, t1 = 0.791015625, s2 = 0.291015625, t2 = 0.8828125,
                    advance = 61,
                }
                chrs[87] = {
                    x1 = -1, y1 = 0, x2 = 79, y2 = 47,
                    s1 = 0.8359375, t1 = 0.8125, s2 = 0.9921875, t2 = 0.904296875,
                    advance = 78,
                }
                chrs[88] = {
                    x1 = -1, y1 = 0, x2 = 61, y2 = 47,
                    s1 = 0, t1 = 0.787109375, s2 = 0.12109375, t2 = 0.87890625,
                    advance = 60,
                }
                chrs[89] = {
                    x1 = -1, y1 = 0, x2 = 62, y2 = 47,
                    s1 = 0.48046875, t1 = 0.794921875, s2 = 0.603515625, t2 = 0.88671875,
                    advance = 61,
                }
                chrs[90] = {
                    x1 = 1, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.109375, t1 = 0.607421875, s2 = 0.212890625, t2 = 0.69921875,
                    advance = 55,
                }
                chrs[91] = {
                    x1 = 6, y1 = -6, x2 = 30, y2 = 52,
                    s1 = 0.453125, t1 = 0.88671875, s2 = 0.5, t2 = 1,
                    advance = 33,
                }
                chrs[93] = {
                    x1 = 3, y1 = -6, x2 = 27, y2 = 52,
                    s1 = 0.5, t1 = 0.88671875, s2 = 0.546875, t2 = 1,
                    advance = 33,
                }
                chrs[95] = {
                    x1 = -1, y1 = -12, x2 = 50, y2 = -3,
                    s1 = 0.369140625, t1 = 0.267578125, s2 = 0.46875, t2 = 0.28515625,
                    advance = 49,
                }
                chrs[97] = {
                    x1 = 2, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.201171875, t1 = 0.26953125, s2 = 0.28515625, t2 = 0.3359375,
                    advance = 48,
                }
                chrs[98] = {
                    x1 = 3, y1 = 0, x2 = 48, y2 = 47,
                    s1 = 0.294921875, t1 = 0.427734375, s2 = 0.3828125, t2 = 0.51953125,
                    advance = 51,
                }
                chrs[99] = {
                    x1 = 2, y1 = 0, x2 = 42, y2 = 34,
                    s1 = 0.921875, t1 = 0.287109375, s2 = 1, t2 = 0.353515625,
                    advance = 44,
                }
                chrs[100] = {
                    x1 = 2, y1 = 0, x2 = 47, y2 = 47,
                    s1 = 0.505859375, t1 = 0.353515625, s2 = 0.59375, t2 = 0.4453125,
                    advance = 51,
                }
                chrs[101] = {
                    x1 = 2, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.1171875, t1 = 0.26953125, s2 = 0.201171875, t2 = 0.3359375,
                    advance = 48,
                }
                chrs[102] = {
                    x1 = 0, y1 = 0, x2 = 33, y2 = 47,
                    s1 = 0.1875, t1 = 0.3359375, s2 = 0.251953125, t2 = 0.427734375,
                    advance = 29,
                }
                chrs[103] = {
                    x1 = 2, y1 = -13, x2 = 46, y2 = 34,
                    s1 = 0.6796875, t1 = 0.353515625, s2 = 0.765625, t2 = 0.4453125,
                    advance = 49,
                }
                chrs[104] = {
                    x1 = 3, y1 = 0, x2 = 47, y2 = 47,
                    s1 = 0.59375, t1 = 0.353515625, s2 = 0.6796875, t2 = 0.4453125,
                    advance = 50,
                }
                chrs[105] = {
                    x1 = 3, y1 = 0, x2 = 18, y2 = 47,
                    s1 = 0.087890625, t1 = 0.33203125, s2 = 0.1171875, t2 = 0.423828125,
                    advance = 22,
                }
                chrs[106] = {
                    x1 = -5, y1 = -13, x2 = 18, y2 = 47,
                    s1 = 0.30859375, t1 = 0.8828125, s2 = 0.353515625, t2 = 1,
                    advance = 21,
                }
                chrs[107] = {
                    x1 = 3, y1 = 0, x2 = 50, y2 = 47,
                    s1 = 0.203125, t1 = 0.427734375, s2 = 0.294921875, t2 = 0.51953125,
                    advance = 49,
                }
                chrs[108] = {
                    x1 = 3, y1 = 0, x2 = 28, y2 = 47,
                    s1 = 0.302734375, t1 = 0.3359375, s2 = 0.3515625, t2 = 0.427734375,
                    advance = 28,
                }
                chrs[109] = {
                    x1 = 3, y1 = 0, x2 = 63, y2 = 34,
                    s1 = 0.61328125, t1 = 0.287109375, s2 = 0.73046875, t2 = 0.353515625,
                    advance = 65,
                }
                chrs[110] = {
                    x1 = 3, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.470703125, t1 = 0.220703125, s2 = 0.552734375, t2 = 0.287109375,
                    advance = 48,
                }
                chrs[111] = {
                    x1 = 2, y1 = 0, x2 = 48, y2 = 34,
                    s1 = 0.380859375, t1 = 0.28515625, s2 = 0.470703125, t2 = 0.3515625,
                    advance = 50,
                }
                chrs[112] = {
                    x1 = 3, y1 = -13, x2 = 48, y2 = 34,
                    s1 = 0, t1 = 0.419921875, s2 = 0.087890625, t2 = 0.51171875,
                    advance = 50,
                }
                chrs[113] = {
                    x1 = 2, y1 = -13, x2 = 47, y2 = 34,
                    s1 = 0.099609375, t1 = 0.423828125, s2 = 0.1875, t2 = 0.515625,
                    advance = 50,
                }
                chrs[114] = {
                    x1 = 3, y1 = 0, x2 = 31, y2 = 34,
                    s1 = 0.634765625, t1 = 0.220703125, s2 = 0.689453125, t2 = 0.287109375,
                    advance = 30,
                }
                chrs[115] = {
                    x1 = 2, y1 = 0, x2 = 44, y2 = 34,
                    s1 = 0.552734375, t1 = 0.220703125, s2 = 0.634765625, t2 = 0.287109375,
                    advance = 45,
                }
                chrs[116] = {
                    x1 = 0, y1 = 0, x2 = 31, y2 = 43,
                    s1 = 0.1171875, t1 = 0.33984375, s2 = 0.177734375, t2 = 0.423828125,
                    advance = 31,
                }
                chrs[117] = {
                    x1 = 3, y1 = 0, x2 = 46, y2 = 34,
                    s1 = 0.28515625, t1 = 0.26953125, s2 = 0.369140625, t2 = 0.3359375,
                    advance = 49,
                }
                chrs[118] = {
                    x1 = -1, y1 = 0, x2 = 46, y2 = 34,
                    s1 = 0.830078125, t1 = 0.287109375, s2 = 0.921875, t2 = 0.353515625,
                    advance = 44,
                }
                chrs[119] = {
                    x1 = -1, y1 = 0, x2 = 63, y2 = 34,
                    s1 = 0.48828125, t1 = 0.287109375, s2 = 0.61328125, t2 = 0.353515625,
                    advance = 62,
                }
                chrs[120] = {
                    x1 = -1, y1 = 0, x2 = 50, y2 = 34,
                    s1 = 0.73046875, t1 = 0.287109375, s2 = 0.830078125, t2 = 0.353515625,
                    advance = 49,
                }
                chrs[121] = {
                    x1 = 3, y1 = -13, x2 = 46, y2 = 34,
                    s1 = 0.765625, t1 = 0.353515625, s2 = 0.849609375, t2 = 0.4453125,
                    advance = 49,
                }
                chrs[122] = {
                    x1 = 1, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0, t1 = 0.28125, s2 = 0.0859375, t2 = 0.34765625,
                    advance = 47,
                }
                chrs[123] = {
                    x1 = 1, y1 = -6, x2 = 26, y2 = 52,
                    s1 = 0.404296875, t1 = 0.88671875, s2 = 0.453125, t2 = 1,
                    advance = 30,
                }
                chrs[125] = {
                    x1 = 3, y1 = -6, x2 = 29, y2 = 52,
                    s1 = 0.353515625, t1 = 0.88671875, s2 = 0.404296875, t2 = 1,
                    advance = 30,
                }
                chrs[192] = {
                    x1 = -1, y1 = 0, x2 = 64, y2 = 62,
                    s1 = 0, t1 = 0.87890625, s2 = 0.126953125, t2 = 1,
                    advance = 63,
                }
                chrs[204] = {
                    x1 = -3, y1 = 0, x2 = 18, y2 = 62,
                    s1 = 0.126953125, t1 = 0.87890625, s2 = 0.16796875, t2 = 1,
                    advance = 22,
                }
                chrs[232] = {
                    x1 = 2, y1 = 0, x2 = 45, y2 = 50,
                    s1 = 0.662109375, t1 = 0.90234375, s2 = 0.74609375, t2 = 1,
                    advance = 48,
                }
            end)();
            return chrs
        end)(),
    },
}

return am._init_fonts(font_data, "fonts/it.png")