local font_data = {
    minfilter = "linear",
    magfilter = "linear",
    is_premult = true,
    {
        is_font = true,
        size = 64,
        mono = false,
        filename = "../tmp/bold.otf",
        face = 0,
        chars = (function()
            local chrs = {}
            (function()
                chrs[10] = {
                    x1 = -1, y1 = 0, x2 = 1, y2 = 2,
                    s1 = 0.9970703125, t1 = 0.69140625, s2 = 0.9990234375, t2 = 0.693359375,
                    advance = 15,
                }
                chrs[32] = {
                    x1 = -1, y1 = 0, x2 = 1, y2 = 2,
                    s1 = 0.9970703125, t1 = 0.689453125, s2 = 0.9990234375, t2 = 0.69140625,
                    advance = 15,
                }
                chrs[33] = {
                    x1 = 5, y1 = -1, x2 = 19, y2 = 51,
                    s1 = 0.6875, t1 = 0.4775390625, s2 = 0.701171875, t2 = 0.5283203125,
                    advance = 24,
                }
                chrs[34] = {
                    x1 = 4, y1 = 27, x2 = 33, y2 = 52,
                    s1 = 0.73046875, t1 = 0.3642578125, s2 = 0.7587890625, t2 = 0.388671875,
                    advance = 37,
                }
                chrs[37] = {
                    x1 = 1, y1 = -1, x2 = 61, y2 = 50,
                    s1 = 0.76171875, t1 = 0.4765625, s2 = 0.8203125, t2 = 0.5263671875,
                    advance = 62,
                }
                chrs[39] = {
                    x1 = 4, y1 = 27, x2 = 17, y2 = 52,
                    s1 = 0.046875, t1 = 0.3642578125, s2 = 0.0595703125, t2 = 0.388671875,
                    advance = 21,
                }
                chrs[40] = {
                    x1 = 4, y1 = -13, x2 = 22, y2 = 56,
                    s1 = 0.0390625, t1 = 0.9326171875, s2 = 0.056640625, t2 = 1,
                    advance = 24,
                }
                chrs[41] = {
                    x1 = 2, y1 = -13, x2 = 20, y2 = 56,
                    s1 = 0.021484375, t1 = 0.9326171875, s2 = 0.0390625, t2 = 1,
                    advance = 24,
                }
                chrs[44] = {
                    x1 = 2, y1 = -14, x2 = 19, y2 = 14,
                    s1 = 0.0302734375, t1 = 0.361328125, s2 = 0.046875, t2 = 0.388671875,
                    advance = 21,
                }
                chrs[45] = {
                    x1 = 2, y1 = 15, x2 = 22, y2 = 24,
                    s1 = 0.8740234375, t1 = 0.3798828125, s2 = 0.8935546875, t2 = 0.388671875,
                    advance = 24,
                }
                chrs[46] = {
                    x1 = 3, y1 = -1, x2 = 18, y2 = 14,
                    s1 = 0.8046875, t1 = 0.3740234375, s2 = 0.8193359375, t2 = 0.388671875,
                    advance = 21,
                }
                chrs[47] = {
                    x1 = -1, y1 = -12, x2 = 25, y2 = 54,
                    s1 = 0.056640625, t1 = 0.935546875, s2 = 0.08203125, t2 = 1,
                    advance = 25,
                }
                chrs[48] = {
                    x1 = 1, y1 = -1, x2 = 36, y2 = 50,
                    s1 = 0.5107421875, t1 = 0.4755859375, s2 = 0.544921875, t2 = 0.525390625,
                    advance = 38,
                }
                chrs[49] = {
                    x1 = 4, y1 = 0, x2 = 35, y2 = 49,
                    s1 = 0.3134765625, t1 = 0.3798828125, s2 = 0.34375, t2 = 0.427734375,
                    advance = 38,
                }
                chrs[50] = {
                    x1 = 1, y1 = 0, x2 = 36, y2 = 50,
                    s1 = 0, t1 = 0.4267578125, s2 = 0.0341796875, t2 = 0.4755859375,
                    advance = 38,
                }
                chrs[51] = {
                    x1 = 0, y1 = -1, x2 = 36, y2 = 50,
                    s1 = 0.0830078125, t1 = 0.4755859375, s2 = 0.1181640625, t2 = 0.525390625,
                    advance = 38,
                }
                chrs[52] = {
                    x1 = 0, y1 = 0, x2 = 37, y2 = 49,
                    s1 = 0.0654296875, t1 = 0.3798828125, s2 = 0.1015625, t2 = 0.427734375,
                    advance = 38,
                }
                chrs[53] = {
                    x1 = 0, y1 = -1, x2 = 36, y2 = 49,
                    s1 = 0.78515625, t1 = 0.427734375, s2 = 0.8203125, t2 = 0.4765625,
                    advance = 38,
                }
                chrs[54] = {
                    x1 = 2, y1 = -1, x2 = 37, y2 = 50,
                    s1 = 0.1181640625, t1 = 0.4755859375, s2 = 0.15234375, t2 = 0.525390625,
                    advance = 38,
                }
                chrs[55] = {
                    x1 = 2, y1 = 0, x2 = 36, y2 = 49,
                    s1 = 0.173828125, t1 = 0.3798828125, s2 = 0.20703125, t2 = 0.427734375,
                    advance = 38,
                }
                chrs[56] = {
                    x1 = 2, y1 = -1, x2 = 36, y2 = 50,
                    s1 = 0.544921875, t1 = 0.4755859375, s2 = 0.578125, t2 = 0.525390625,
                    advance = 38,
                }
                chrs[57] = {
                    x1 = 1, y1 = -1, x2 = 36, y2 = 50,
                    s1 = 0.15234375, t1 = 0.4755859375, s2 = 0.1865234375, t2 = 0.525390625,
                    advance = 38,
                }
                chrs[58] = {
                    x1 = 3, y1 = -1, x2 = 18, y2 = 38,
                    s1 = 0.982421875, t1 = 0.4375, s2 = 0.9970703125, t2 = 0.4755859375,
                    advance = 21,
                }
                chrs[59] = {
                    x1 = 2, y1 = -14, x2 = 19, y2 = 38,
                    s1 = 0.6875, t1 = 0.5283203125, s2 = 0.7041015625, t2 = 0.5791015625,
                    advance = 21,
                }
                chrs[63] = {
                    x1 = 1, y1 = -1, x2 = 31, y2 = 52,
                    s1 = 0.2490234375, t1 = 0.474609375, s2 = 0.2783203125, t2 = 0.5263671875,
                    advance = 33,
                }
                chrs[64] = {
                    x1 = 2, y1 = -12, x2 = 62, y2 = 50,
                    s1 = 0.533203125, t1 = 0.751953125, s2 = 0.591796875, t2 = 0.8125,
                    advance = 64,
                }
                chrs[65] = {
                    x1 = -2, y1 = 0, x2 = 43, y2 = 49,
                    s1 = 0.16796875, t1 = 0.427734375, s2 = 0.2119140625, t2 = 0.4755859375,
                    advance = 41,
                }
                chrs[66] = {
                    x1 = 4, y1 = 0, x2 = 43, y2 = 49,
                    s1 = 0.2119140625, t1 = 0.4267578125, s2 = 0.25, t2 = 0.474609375,
                    advance = 44,
                }
                chrs[67] = {
                    x1 = 2, y1 = -1, x2 = 42, y2 = 50,
                    s1 = 0.0439453125, t1 = 0.4755859375, s2 = 0.0830078125, t2 = 0.525390625,
                    advance = 42,
                }
                chrs[68] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 49,
                    s1 = 0.9375, t1 = 0.427734375, s2 = 0.9765625, t2 = 0.4755859375,
                    advance = 46,
                }
                chrs[69] = {
                    x1 = 4, y1 = 0, x2 = 37, y2 = 49,
                    s1 = 0.25, t1 = 0.3798828125, s2 = 0.2822265625, t2 = 0.427734375,
                    advance = 39,
                }
                chrs[70] = {
                    x1 = 4, y1 = 0, x2 = 36, y2 = 49,
                    s1 = 0.546875, t1 = 0.427734375, s2 = 0.578125, t2 = 0.4755859375,
                    advance = 37,
                }
                chrs[71] = {
                    x1 = 2, y1 = -1, x2 = 43, y2 = 50,
                    s1 = 0.5908203125, t1 = 0.4765625, s2 = 0.630859375, t2 = 0.5263671875,
                    advance = 46,
                }
                chrs[72] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 49,
                    s1 = 0.62890625, t1 = 0.427734375, s2 = 0.66796875, t2 = 0.4755859375,
                    advance = 48,
                }
                chrs[73] = {
                    x1 = 4, y1 = 0, x2 = 17, y2 = 49,
                    s1 = 0.66796875, t1 = 0.427734375, s2 = 0.6806640625, t2 = 0.4755859375,
                    advance = 21,
                }
                chrs[74] = {
                    x1 = 0, y1 = -1, x2 = 32, y2 = 49,
                    s1 = 0.0341796875, t1 = 0.4267578125, s2 = 0.0654296875, t2 = 0.4755859375,
                    advance = 36,
                }
                chrs[75] = {
                    x1 = 4, y1 = 0, x2 = 46, y2 = 49,
                    s1 = 0.3203125, t1 = 0.427734375, s2 = 0.361328125, t2 = 0.4755859375,
                    advance = 44,
                }
                chrs[76] = {
                    x1 = 4, y1 = 0, x2 = 36, y2 = 49,
                    s1 = 0.2822265625, t1 = 0.3798828125, s2 = 0.3134765625, t2 = 0.427734375,
                    advance = 37,
                }
                chrs[77] = {
                    x1 = 4, y1 = 0, x2 = 50, y2 = 49,
                    s1 = 0.123046875, t1 = 0.427734375, s2 = 0.16796875, t2 = 0.4755859375,
                    advance = 55,
                }
                chrs[78] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 49,
                    s1 = 0.8203125, t1 = 0.427734375, s2 = 0.859375, t2 = 0.4755859375,
                    advance = 48,
                }
                chrs[79] = {
                    x1 = 2, y1 = -1, x2 = 47, y2 = 50,
                    s1 = 0, t1 = 0.4755859375, s2 = 0.0439453125, t2 = 0.525390625,
                    advance = 49,
                }
                chrs[80] = {
                    x1 = 4, y1 = 0, x2 = 41, y2 = 49,
                    s1 = 0.1376953125, t1 = 0.3798828125, s2 = 0.173828125, t2 = 0.427734375,
                    advance = 43,
                }
                chrs[81] = {
                    x1 = 2, y1 = -13, x2 = 49, y2 = 50,
                    s1 = 0.1162109375, t1 = 0.7509765625, s2 = 0.162109375, t2 = 0.8125,
                    advance = 49,
                }
                chrs[82] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 49,
                    s1 = 0.859375, t1 = 0.427734375, s2 = 0.8984375, t2 = 0.4755859375,
                    advance = 44,
                }
                chrs[83] = {
                    x1 = 1, y1 = -1, x2 = 39, y2 = 50,
                    s1 = 0.4736328125, t1 = 0.4765625, s2 = 0.5107421875, t2 = 0.5263671875,
                    advance = 40,
                }
                chrs[84] = {
                    x1 = 0, y1 = 0, x2 = 40, y2 = 49,
                    s1 = 0.8984375, t1 = 0.427734375, s2 = 0.9375, t2 = 0.4755859375,
                    advance = 40,
                }
                chrs[85] = {
                    x1 = 4, y1 = -1, x2 = 44, y2 = 49,
                    s1 = 0.4677734375, t1 = 0.427734375, s2 = 0.5068359375, t2 = 0.4765625,
                    advance = 48,
                }
                chrs[86] = {
                    x1 = -2, y1 = 0, x2 = 41, y2 = 49,
                    s1 = 0.2783203125, t1 = 0.427734375, s2 = 0.3203125, t2 = 0.4755859375,
                    advance = 40,
                }
                chrs[87] = {
                    x1 = 0, y1 = 0, x2 = 59, y2 = 49,
                    s1 = 0.0654296875, t1 = 0.427734375, s2 = 0.123046875, t2 = 0.4755859375,
                    advance = 59,
                }
                chrs[88] = {
                    x1 = -1, y1 = 0, x2 = 41, y2 = 49,
                    s1 = 0.361328125, t1 = 0.427734375, s2 = 0.40234375, t2 = 0.4755859375,
                    advance = 40,
                }
                chrs[89] = {
                    x1 = -2, y1 = 0, x2 = 39, y2 = 49,
                    s1 = 0.5068359375, t1 = 0.427734375, s2 = 0.546875, t2 = 0.4755859375,
                    advance = 37,
                }
                chrs[90] = {
                    x1 = 1, y1 = 0, x2 = 38, y2 = 49,
                    s1 = 0.1015625, t1 = 0.3798828125, s2 = 0.1376953125, t2 = 0.427734375,
                    advance = 39,
                }
                chrs[91] = {
                    x1 = 5, y1 = -12, x2 = 23, y2 = 53,
                    s1 = 0.3095703125, t1 = 0.9365234375, s2 = 0.3271484375, t2 = 1,
                    advance = 24,
                }
                chrs[93] = {
                    x1 = 2, y1 = -12, x2 = 19, y2 = 53,
                    s1 = 0.3271484375, t1 = 0.9365234375, s2 = 0.34375, t2 = 1,
                    advance = 24,
                }
                chrs[95] = {
                    x1 = -1, y1 = -10, x2 = 37, y2 = -2,
                    s1 = 0.583984375, t1 = 0.3759765625, s2 = 0.62109375, t2 = 0.3837890625,
                    advance = 36,
                }
                chrs[97] = {
                    x1 = 2, y1 = -1, x2 = 35, y2 = 39,
                    s1 = 0.8017578125, t1 = 0.388671875, s2 = 0.833984375, t2 = 0.427734375,
                    advance = 38,
                }
                chrs[98] = {
                    x1 = 4, y1 = -1, x2 = 40, y2 = 54,
                    s1 = 0.7861328125, t1 = 0.5263671875, s2 = 0.8212890625, t2 = 0.580078125,
                    advance = 41,
                }
                chrs[99] = {
                    x1 = 1, y1 = -1, x2 = 33, y2 = 39,
                    s1 = 0.833984375, t1 = 0.388671875, s2 = 0.865234375, t2 = 0.427734375,
                    advance = 34,
                }
                chrs[100] = {
                    x1 = 2, y1 = -1, x2 = 38, y2 = 54,
                    s1 = 0.7509765625, t1 = 0.5263671875, s2 = 0.7861328125, t2 = 0.580078125,
                    advance = 41,
                }
                chrs[101] = {
                    x1 = 1, y1 = -1, x2 = 36, y2 = 39,
                    s1 = 0.767578125, t1 = 0.388671875, s2 = 0.8017578125, t2 = 0.427734375,
                    advance = 37,
                }
                chrs[102] = {
                    x1 = 0, y1 = 0, x2 = 27, y2 = 54,
                    s1 = 0.5908203125, t1 = 0.5263671875, s2 = 0.6171875, t2 = 0.5791015625,
                    advance = 24,
                }
                chrs[103] = {
                    x1 = 1, y1 = -16, x2 = 39, y2 = 39,
                    s1 = 0.7138671875, t1 = 0.5263671875, s2 = 0.7509765625, t2 = 0.580078125,
                    advance = 38,
                }
                chrs[104] = {
                    x1 = 4, y1 = 0, x2 = 38, y2 = 54,
                    s1 = 0.453125, t1 = 0.5263671875, s2 = 0.486328125, t2 = 0.5791015625,
                    advance = 41,
                }
                chrs[105] = {
                    x1 = 3, y1 = 0, x2 = 17, y2 = 54,
                    s1 = 0.6171875, t1 = 0.5263671875, s2 = 0.630859375, t2 = 0.5791015625,
                    advance = 19,
                }
                chrs[106] = {
                    x1 = -5, y1 = -15, x2 = 17, y2 = 54,
                    s1 = 0, t1 = 0.9326171875, s2 = 0.021484375, t2 = 1,
                    advance = 20,
                }
                chrs[107] = {
                    x1 = 4, y1 = 0, x2 = 40, y2 = 54,
                    s1 = 0.41796875, t1 = 0.5263671875, s2 = 0.453125, t2 = 0.5791015625,
                    advance = 39,
                }
                chrs[108] = {
                    x1 = 4, y1 = -1, x2 = 20, y2 = 53,
                    s1 = 0.486328125, t1 = 0.5263671875, s2 = 0.501953125, t2 = 0.5791015625,
                    advance = 20,
                }
                chrs[109] = {
                    x1 = 4, y1 = 0, x2 = 59, y2 = 39,
                    s1 = 0.8955078125, t1 = 0.3896484375, s2 = 0.94921875, t2 = 0.427734375,
                    advance = 62,
                }
                chrs[110] = {
                    x1 = 4, y1 = 0, x2 = 38, y2 = 39,
                    s1 = 0, t1 = 0.388671875, s2 = 0.033203125, t2 = 0.4267578125,
                    advance = 41,
                }
                chrs[111] = {
                    x1 = 1, y1 = -1, x2 = 39, y2 = 39,
                    s1 = 0.73046875, t1 = 0.388671875, s2 = 0.767578125, t2 = 0.427734375,
                    advance = 40,
                }
                chrs[112] = {
                    x1 = 4, y1 = -14, x2 = 40, y2 = 39,
                    s1 = 0.9619140625, t1 = 0.4755859375, s2 = 0.9970703125, t2 = 0.52734375,
                    advance = 41,
                }
                chrs[113] = {
                    x1 = 2, y1 = -14, x2 = 38, y2 = 39,
                    s1 = 0.2138671875, t1 = 0.474609375, s2 = 0.2490234375, t2 = 0.5263671875,
                    advance = 41,
                }
                chrs[114] = {
                    x1 = 4, y1 = 0, x2 = 30, y2 = 39,
                    s1 = 0.033203125, t1 = 0.388671875, s2 = 0.05859375, t2 = 0.4267578125,
                    advance = 28,
                }
                chrs[115] = {
                    x1 = 0, y1 = -1, x2 = 31, y2 = 39,
                    s1 = 0.865234375, t1 = 0.388671875, s2 = 0.8955078125, t2 = 0.427734375,
                    advance = 32,
                }
                chrs[116] = {
                    x1 = 0, y1 = -1, x2 = 27, y2 = 48,
                    s1 = 0.34375, t1 = 0.3798828125, s2 = 0.3701171875, t2 = 0.427734375,
                    advance = 27,
                }
                chrs[117] = {
                    x1 = 3, y1 = -1, x2 = 37, y2 = 38,
                    s1 = 0.94921875, t1 = 0.3896484375, s2 = 0.982421875, t2 = 0.427734375,
                    advance = 41,
                }
                chrs[118] = {
                    x1 = -1, y1 = 0, x2 = 37, y2 = 38,
                    s1 = 0.20703125, t1 = 0.3896484375, s2 = 0.244140625, t2 = 0.4267578125,
                    advance = 37,
                }
                chrs[119] = {
                    x1 = 0, y1 = 0, x2 = 55, y2 = 38,
                    s1 = 0.8955078125, t1 = 0.3525390625, s2 = 0.94921875, t2 = 0.3896484375,
                    advance = 55,
                }
                chrs[120] = {
                    x1 = 0, y1 = 0, x2 = 36, y2 = 38,
                    s1 = 0.20703125, t1 = 0.3525390625, s2 = 0.2421875, t2 = 0.3896484375,
                    advance = 36,
                }
                chrs[121] = {
                    x1 = -1, y1 = -15, x2 = 37, y2 = 38,
                    s1 = 0.9248046875, t1 = 0.4755859375, s2 = 0.9619140625, t2 = 0.52734375,
                    advance = 37,
                }
                chrs[122] = {
                    x1 = 1, y1 = 0, x2 = 32, y2 = 38,
                    s1 = 0, t1 = 0.3515625, s2 = 0.0302734375, t2 = 0.388671875,
                    advance = 33,
                }
                chrs[123] = {
                    x1 = 1, y1 = -12, x2 = 23, y2 = 53,
                    s1 = 0.267578125, t1 = 0.9365234375, s2 = 0.2890625, t2 = 1,
                    advance = 24,
                }
                chrs[125] = {
                    x1 = 2, y1 = -12, x2 = 23, y2 = 53,
                    s1 = 0.2890625, t1 = 0.9365234375, s2 = 0.3095703125, t2 = 1,
                    advance = 24,
                }
                chrs[12289] = {
                    x1 = 1, y1 = -5, x2 = 25, y2 = 17,
                    s1 = 0.78125, t1 = 0.3671875, s2 = 0.8046875, t2 = 0.388671875,
                    advance = 64,
                }
                chrs[12290] = {
                    x1 = 1, y1 = -6, x2 = 24, y2 = 18,
                    s1 = 0.7587890625, t1 = 0.365234375, s2 = 0.78125, t2 = 0.388671875,
                    advance = 64,
                }
                chrs[12302] = {
                    x1 = 37, y1 = 12, x2 = 64, y2 = 57,
                    s1 = 0.677734375, t1 = 0.3837890625, s2 = 0.7041015625, t2 = 0.427734375,
                    advance = 64,
                }
                chrs[12303] = {
                    x1 = 0, y1 = -7, x2 = 27, y2 = 38,
                    s1 = 0.7041015625, t1 = 0.3837890625, s2 = 0.73046875, t2 = 0.427734375,
                    advance = 64,
                }
                chrs[12354] = {
                    x1 = 5, y1 = -5, x2 = 60, y2 = 54,
                    s1 = 0.7216796875, t1 = 0.6357421875, s2 = 0.775390625, t2 = 0.693359375,
                    advance = 64,
                }
                chrs[12356] = {
                    x1 = 6, y1 = -2, x2 = 62, y2 = 48,
                    s1 = 0.4130859375, t1 = 0.427734375, s2 = 0.4677734375, t2 = 0.4765625,
                    advance = 64,
                }
                chrs[12358] = {
                    x1 = 8, y1 = -5, x2 = 54, y2 = 54,
                    s1 = 0.14453125, t1 = 0.634765625, s2 = 0.189453125, t2 = 0.6923828125,
                    advance = 64,
                }
                chrs[12360] = {
                    x1 = 5, y1 = -4, x2 = 60, y2 = 54,
                    s1 = 0.66015625, t1 = 0.5791015625, s2 = 0.7138671875, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12362] = {
                    x1 = 4, y1 = -4, x2 = 63, y2 = 54,
                    s1 = 0.2314453125, t1 = 0.5791015625, s2 = 0.2890625, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12363] = {
                    x1 = 2, y1 = -4, x2 = 64, y2 = 54,
                    s1 = 0.3544921875, t1 = 0.6357421875, s2 = 0.4150390625, t2 = 0.6923828125,
                    advance = 64,
                }
                chrs[12364] = {
                    x1 = 2, y1 = -4, x2 = 64, y2 = 58,
                    s1 = 0.47265625, t1 = 0.751953125, s2 = 0.533203125, t2 = 0.8125,
                    advance = 64,
                }
                chrs[12365] = {
                    x1 = 8, y1 = -4, x2 = 57, y2 = 55,
                    s1 = 0.9345703125, t1 = 0.6357421875, s2 = 0.982421875, t2 = 0.693359375,
                    advance = 64,
                }
                chrs[12367] = {
                    x1 = 8, y1 = -5, x2 = 49, y2 = 55,
                    s1 = 0.1181640625, t1 = 0.6923828125, s2 = 0.158203125, t2 = 0.7509765625,
                    advance = 64,
                }
                chrs[12369] = {
                    x1 = 5, y1 = -6, x2 = 60, y2 = 53,
                    s1 = 0.775390625, t1 = 0.6357421875, s2 = 0.8291015625, t2 = 0.693359375,
                    advance = 64,
                }
                chrs[12371] = {
                    x1 = 8, y1 = -3, x2 = 55, y2 = 49,
                    s1 = 0.33203125, t1 = 0.4755859375, s2 = 0.3779296875, t2 = 0.5263671875,
                    advance = 64,
                }
                chrs[12372] = {
                    x1 = 7, y1 = -4, x2 = 64, y2 = 58,
                    s1 = 0.6494140625, t1 = 0.751953125, s2 = 0.705078125, t2 = 0.8125,
                    advance = 64,
                }
                chrs[12373] = {
                    x1 = 8, y1 = -4, x2 = 56, y2 = 55,
                    s1 = 0.05078125, t1 = 0.634765625, s2 = 0.09765625, t2 = 0.6923828125,
                    advance = 64,
                }
                chrs[12374] = {
                    x1 = 7, y1 = -5, x2 = 64, y2 = 58,
                    s1 = 0.060546875, t1 = 0.7509765625, s2 = 0.1162109375, t2 = 0.8125,
                    advance = 64,
                }
                chrs[12375] = {
                    x1 = 12, y1 = -5, x2 = 60, y2 = 53,
                    s1 = 0, t1 = 0.6337890625, s2 = 0.046875, t2 = 0.6904296875,
                    advance = 64,
                }
                chrs[12377] = {
                    x1 = 4, y1 = -6, x2 = 61, y2 = 54,
                    s1 = 0.9443359375, t1 = 0.693359375, s2 = 1, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[12383] = {
                    x1 = 4, y1 = -4, x2 = 60, y2 = 54,
                    s1 = 0.45703125, t1 = 0.5791015625, s2 = 0.51171875, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12384] = {
                    x1 = 3, y1 = -5, x2 = 63, y2 = 54,
                    s1 = 0.60546875, t1 = 0.6357421875, s2 = 0.6640625, t2 = 0.693359375,
                    advance = 64,
                }
                chrs[12385] = {
                    x1 = 5, y1 = -6, x2 = 57, y2 = 54,
                    s1 = 0, t1 = 0.6904296875, s2 = 0.05078125, t2 = 0.7490234375,
                    advance = 64,
                }
                chrs[12388] = {
                    x1 = 2, y1 = -1, x2 = 61, y2 = 45,
                    s1 = 0.478515625, t1 = 0.3828125, s2 = 0.5361328125, t2 = 0.427734375,
                    advance = 64,
                }
                chrs[12390] = {
                    x1 = 3, y1 = -3, x2 = 58, y2 = 50,
                    s1 = 0.8212890625, t1 = 0.4755859375, s2 = 0.875, t2 = 0.52734375,
                    advance = 64,
                }
                chrs[12391] = {
                    x1 = 3, y1 = -3, x2 = 61, y2 = 50,
                    s1 = 0.630859375, t1 = 0.52734375, s2 = 0.6875, t2 = 0.5791015625,
                    advance = 64,
                }
                chrs[12392] = {
                    x1 = 9, y1 = -3, x2 = 54, y2 = 53,
                    s1 = 0.5546875, t1 = 0.580078125, s2 = 0.5986328125, t2 = 0.634765625,
                    advance = 64,
                }
                chrs[12394] = {
                    x1 = 3, y1 = -5, x2 = 62, y2 = 55,
                    s1 = 0.060546875, t1 = 0.6923828125, s2 = 0.1181640625, t2 = 0.7509765625,
                    advance = 64,
                }
                chrs[12395] = {
                    x1 = 5, y1 = -4, x2 = 59, y2 = 52,
                    s1 = 0.109375, t1 = 0.525390625, s2 = 0.162109375, t2 = 0.580078125,
                    advance = 64,
                }
                chrs[12398] = {
                    x1 = 3, y1 = -4, x2 = 61, y2 = 50,
                    s1 = 0.8818359375, t1 = 0.52734375, s2 = 0.9384765625, t2 = 0.580078125,
                    advance = 64,
                }
                chrs[12399] = {
                    x1 = 5, y1 = -4, x2 = 63, y2 = 52,
                    s1 = 0.046875, t1 = 0.580078125, s2 = 0.103515625, t2 = 0.634765625,
                    advance = 64,
                }
                chrs[12408] = {
                    x1 = 1, y1 = 0, x2 = 63, y2 = 46,
                    s1 = 0.41796875, t1 = 0.3828125, s2 = 0.478515625, t2 = 0.427734375,
                    advance = 64,
                }
                chrs[12409] = {
                    x1 = 1, y1 = -1, x2 = 63, y2 = 50,
                    s1 = 0.701171875, t1 = 0.4765625, s2 = 0.76171875, t2 = 0.5263671875,
                    advance = 64,
                }
                chrs[12414] = {
                    x1 = 9, y1 = -5, x2 = 57, y2 = 54,
                    s1 = 0.09765625, t1 = 0.634765625, s2 = 0.14453125, t2 = 0.6923828125,
                    advance = 64,
                }
                chrs[12415] = {
                    x1 = 2, y1 = -5, x2 = 63, y2 = 52,
                    s1 = 0.7138671875, t1 = 0.580078125, s2 = 0.7734375, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12416] = {
                    x1 = 4, y1 = -4, x2 = 62, y2 = 54,
                    s1 = 0.345703125, t1 = 0.5791015625, s2 = 0.40234375, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12417] = {
                    x1 = 3, y1 = -5, x2 = 61, y2 = 53,
                    s1 = 0.2890625, t1 = 0.5791015625, s2 = 0.345703125, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12420] = {
                    x1 = 1, y1 = -5, x2 = 61, y2 = 56,
                    s1 = 0.283203125, t1 = 0.6923828125, s2 = 0.341796875, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[12425] = {
                    x1 = 9, y1 = -6, x2 = 57, y2 = 54,
                    s1 = 0.55859375, t1 = 0.634765625, s2 = 0.60546875, t2 = 0.693359375,
                    advance = 64,
                }
                chrs[12426] = {
                    x1 = 11, y1 = -5, x2 = 54, y2 = 54,
                    s1 = 0.189453125, t1 = 0.634765625, s2 = 0.2314453125, t2 = 0.6923828125,
                    advance = 64,
                }
                chrs[12427] = {
                    x1 = 4, y1 = -4, x2 = 57, y2 = 52,
                    s1 = 0.162109375, t1 = 0.525390625, s2 = 0.2138671875, t2 = 0.580078125,
                    advance = 64,
                }
                chrs[12428] = {
                    x1 = 1, y1 = -4, x2 = 64, y2 = 54,
                    s1 = 0.2314453125, t1 = 0.6357421875, s2 = 0.29296875, t2 = 0.6923828125,
                    advance = 64,
                }
                chrs[12434] = {
                    x1 = 3, y1 = -4, x2 = 59, y2 = 54,
                    s1 = 0.60546875, t1 = 0.5791015625, s2 = 0.66015625, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12450] = {
                    x1 = 6, y1 = -5, x2 = 63, y2 = 51,
                    s1 = 0, t1 = 0.525390625, s2 = 0.0556640625, t2 = 0.580078125,
                    advance = 64,
                }
                chrs[12452] = {
                    x1 = 2, y1 = -3, x2 = 58, y2 = 54,
                    s1 = 0.888671875, t1 = 0.580078125, s2 = 0.943359375, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12457] = {
                    x1 = 8, y1 = -6, x2 = 57, y2 = 42,
                    s1 = 0.3701171875, t1 = 0.380859375, s2 = 0.41796875, t2 = 0.427734375,
                    advance = 64,
                }
                chrs[12458] = {
                    x1 = 2, y1 = -3, x2 = 60, y2 = 54,
                    s1 = 0.83203125, t1 = 0.580078125, s2 = 0.888671875, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12461] = {
                    x1 = 4, y1 = -4, x2 = 60, y2 = 54,
                    s1 = 0.40234375, t1 = 0.5791015625, s2 = 0.45703125, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12463] = {
                    x1 = 3, y1 = -5, x2 = 59, y2 = 56,
                    s1 = 0.453125, t1 = 0.6923828125, s2 = 0.5078125, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[12464] = {
                    x1 = 1, y1 = -7, x2 = 64, y2 = 58,
                    s1 = 0.14453125, t1 = 0.9365234375, s2 = 0.2060546875, t2 = 1,
                    advance = 64,
                }
                chrs[12466] = {
                    x1 = 1, y1 = -6, x2 = 64, y2 = 57,
                    s1 = 0.24609375, t1 = 0.8125, s2 = 0.3076171875, t2 = 0.8740234375,
                    advance = 64,
                }
                chrs[12467] = {
                    x1 = 8, y1 = -2, x2 = 57, y2 = 48,
                    s1 = 0.7373046875, t1 = 0.427734375, s2 = 0.78515625, t2 = 0.4765625,
                    advance = 64,
                }
                chrs[12468] = {
                    x1 = 6, y1 = -5, x2 = 63, y2 = 58,
                    s1 = 0.921875, t1 = 0.751953125, s2 = 0.9775390625, t2 = 0.8134765625,
                    advance = 64,
                }
                chrs[12470] = {
                    x1 = 1, y1 = -6, x2 = 64, y2 = 54,
                    s1 = 0.62109375, t1 = 0.693359375, s2 = 0.6826171875, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[12471] = {
                    x1 = 4, y1 = -4, x2 = 61, y2 = 52,
                    s1 = 0.16015625, t1 = 0.580078125, s2 = 0.2158203125, t2 = 0.634765625,
                    advance = 64,
                }
                chrs[12472] = {
                    x1 = 3, y1 = -4, x2 = 63, y2 = 54,
                    s1 = 0.4755859375, t1 = 0.6357421875, s2 = 0.5341796875, t2 = 0.6923828125,
                    advance = 64,
                }
                chrs[12473] = {
                    x1 = 3, y1 = -4, x2 = 60, y2 = 50,
                    s1 = 0.9384765625, t1 = 0.52734375, s2 = 0.994140625, t2 = 0.580078125,
                    advance = 64,
                }
                chrs[12475] = {
                    x1 = 2, y1 = -3, x2 = 60, y2 = 53,
                    s1 = 0.103515625, t1 = 0.580078125, s2 = 0.16015625, t2 = 0.634765625,
                    advance = 64,
                }
                chrs[12479] = {
                    x1 = 2, y1 = -5, x2 = 59, y2 = 56,
                    s1 = 0.341796875, t1 = 0.6923828125, s2 = 0.3974609375, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[12480] = {
                    x1 = 1, y1 = -7, x2 = 64, y2 = 58,
                    s1 = 0.2060546875, t1 = 0.9365234375, s2 = 0.267578125, t2 = 1,
                    advance = 64,
                }
                chrs[12483] = {
                    x1 = 8, y1 = -6, x2 = 57, y2 = 40,
                    s1 = 0.5361328125, t1 = 0.3828125, s2 = 0.583984375, t2 = 0.427734375,
                    advance = 64,
                }
                chrs[12487] = {
                    x1 = 3, y1 = -6, x2 = 65, y2 = 58,
                    s1 = 0.265625, t1 = 0.8740234375, s2 = 0.326171875, t2 = 0.9365234375,
                    advance = 64,
                }
                chrs[12488] = {
                    x1 = 18, y1 = -3, x2 = 57, y2 = 53,
                    s1 = 0.552734375, t1 = 0.525390625, s2 = 0.5908203125, t2 = 0.580078125,
                    advance = 64,
                }
                chrs[12489] = {
                    x1 = 16, y1 = -4, x2 = 60, y2 = 53,
                    s1 = 0.51171875, t1 = 0.580078125, s2 = 0.5546875, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12491] = {
                    x1 = 4, y1 = 1, x2 = 59, y2 = 46,
                    s1 = 0.583984375, t1 = 0.3837890625, s2 = 0.6376953125, t2 = 0.427734375,
                    advance = 64,
                }
                chrs[12494] = {
                    x1 = 5, y1 = -3, x2 = 55, y2 = 51,
                    s1 = 0.369140625, t1 = 0.5263671875, s2 = 0.41796875, t2 = 0.5791015625,
                    advance = 64,
                }
                chrs[12496] = {
                    x1 = 1, y1 = -2, x2 = 64, y2 = 56,
                    s1 = 0.29296875, t1 = 0.6357421875, s2 = 0.3544921875, t2 = 0.6923828125,
                    advance = 64,
                }
                chrs[12499] = {
                    x1 = 9, y1 = -4, x2 = 61, y2 = 57,
                    s1 = 0.5078125, t1 = 0.6923828125, s2 = 0.55859375, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[12500] = {
                    x1 = 9, y1 = -4, x2 = 62, y2 = 55,
                    s1 = 0.8828125, t1 = 0.6357421875, s2 = 0.9345703125, t2 = 0.693359375,
                    advance = 64,
                }
                chrs[12501] = {
                    x1 = 7, y1 = -4, x2 = 58, y2 = 49,
                    s1 = 0.875, t1 = 0.4755859375, s2 = 0.9248046875, t2 = 0.52734375,
                    advance = 64,
                }
                chrs[12503] = {
                    x1 = 5, y1 = -5, x2 = 64, y2 = 57,
                    s1 = 0.591796875, t1 = 0.751953125, s2 = 0.6494140625, t2 = 0.8125,
                    advance = 64,
                }
                chrs[12505] = {
                    x1 = 1, y1 = -1, x2 = 63, y2 = 50,
                    s1 = 0.4130859375, t1 = 0.4765625, s2 = 0.4736328125, t2 = 0.5263671875,
                    advance = 64,
                }
                chrs[12508] = {
                    x1 = 1, y1 = -5, x2 = 64, y2 = 56,
                    s1 = 0.162109375, t1 = 0.6923828125, s2 = 0.2236328125, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[12510] = {
                    x1 = 4, y1 = -5, x2 = 62, y2 = 48,
                    s1 = 0.630859375, t1 = 0.4755859375, s2 = 0.6875, t2 = 0.52734375,
                    advance = 64,
                }
                chrs[12512] = {
                    x1 = 2, y1 = -4, x2 = 62, y2 = 53,
                    s1 = 0.7734375, t1 = 0.580078125, s2 = 0.83203125, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12513] = {
                    x1 = 5, y1 = -4, x2 = 60, y2 = 52,
                    s1 = 0.0556640625, t1 = 0.525390625, s2 = 0.109375, t2 = 0.580078125,
                    advance = 64,
                }
                chrs[12514] = {
                    x1 = 5, y1 = -3, x2 = 60, y2 = 49,
                    s1 = 0.2783203125, t1 = 0.4755859375, s2 = 0.33203125, t2 = 0.5263671875,
                    advance = 64,
                }
                chrs[12515] = {
                    x1 = 7, y1 = -7, x2 = 58, y2 = 43,
                    s1 = 0.6875, t1 = 0.427734375, s2 = 0.7373046875, t2 = 0.4765625,
                    advance = 64,
                }
                chrs[12517] = {
                    x1 = 8, y1 = -2, x2 = 57, y2 = 36,
                    s1 = 0.94921875, t1 = 0.3525390625, s2 = 0.9970703125, t2 = 0.3896484375,
                    advance = 64,
                }
                chrs[12519] = {
                    x1 = 11, y1 = -6, x2 = 52, y2 = 39,
                    s1 = 0.6376953125, t1 = 0.3837890625, s2 = 0.677734375, t2 = 0.427734375,
                    advance = 64,
                }
                chrs[12521] = {
                    x1 = 7, y1 = -5, x2 = 59, y2 = 52,
                    s1 = 0.943359375, t1 = 0.580078125, s2 = 0.994140625, t2 = 0.6357421875,
                    advance = 64,
                }
                chrs[12522] = {
                    x1 = 11, y1 = -4, x2 = 53, y2 = 52,
                    s1 = 0.51171875, t1 = 0.525390625, s2 = 0.552734375, t2 = 0.580078125,
                    advance = 64,
                }
                chrs[12523] = {
                    x1 = 1, y1 = -3, x2 = 63, y2 = 51,
                    s1 = 0.8212890625, t1 = 0.52734375, s2 = 0.8818359375, t2 = 0.580078125,
                    advance = 64,
                }
                chrs[12524] = {
                    x1 = 11, y1 = -3, x2 = 61, y2 = 51,
                    s1 = 0.3203125, t1 = 0.5263671875, s2 = 0.369140625, t2 = 0.5791015625,
                    advance = 64,
                }
                chrs[12525] = {
                    x1 = 6, y1 = -2, x2 = 58, y2 = 48,
                    s1 = 0.578125, t1 = 0.427734375, s2 = 0.62890625, t2 = 0.4765625,
                    advance = 64,
                }
                chrs[12527] = {
                    x1 = 6, y1 = -5, x2 = 59, y2 = 49,
                    s1 = 0.2685546875, t1 = 0.5263671875, s2 = 0.3203125, t2 = 0.5791015625,
                    advance = 64,
                }
                chrs[12531] = {
                    x1 = 6, y1 = -3, x2 = 62, y2 = 51,
                    s1 = 0.2138671875, t1 = 0.5263671875, s2 = 0.2685546875, t2 = 0.5791015625,
                    advance = 64,
                }
                chrs[12540] = {
                    x1 = 4, y1 = 19, x2 = 60, y2 = 32,
                    s1 = 0.8193359375, t1 = 0.3759765625, s2 = 0.8740234375, t2 = 0.388671875,
                    advance = 64,
                }
                chrs[19990] = {
                    x1 = 1, y1 = -7, x2 = 63, y2 = 56,
                    s1 = 0, t1 = 0.80859375, s2 = 0.060546875, t2 = 0.8701171875,
                    advance = 64,
                }
                chrs[20102] = {
                    x1 = 5, y1 = -6, x2 = 60, y2 = 53,
                    s1 = 0.8291015625, t1 = 0.6357421875, s2 = 0.8828125, t2 = 0.693359375,
                    advance = 64,
                }
                chrs[20171] = {
                    x1 = 0, y1 = -6, x2 = 64, y2 = 56,
                    s1 = 0.162109375, t1 = 0.751953125, s2 = 0.224609375, t2 = 0.8125,
                    advance = 64,
                }
                chrs[20316] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.4677734375, t1 = 0.875, s2 = 0.529296875, t2 = 0.9375,
                    advance = 64,
                }
                chrs[20840] = {
                    x1 = 0, y1 = -5, x2 = 64, y2 = 57,
                    s1 = 0.224609375, t1 = 0.751953125, s2 = 0.287109375, t2 = 0.8125,
                    advance = 64,
                }
                chrs[21033] = {
                    x1 = 0, y1 = -7, x2 = 61, y2 = 57,
                    s1 = 0.447265625, t1 = 0.8125, s2 = 0.5068359375, t2 = 0.875,
                    advance = 64,
                }
                chrs[21046] = {
                    x1 = 0, y1 = -7, x2 = 61, y2 = 56,
                    s1 = 0.8623046875, t1 = 0.751953125, s2 = 0.921875, t2 = 0.8134765625,
                    advance = 64,
                }
                chrs[21177] = {
                    x1 = 0, y1 = -7, x2 = 62, y2 = 56,
                    s1 = 0.8017578125, t1 = 0.751953125, s2 = 0.8623046875, t2 = 0.8134765625,
                    advance = 64,
                }
                chrs[21205] = {
                    x1 = 1, y1 = -7, x2 = 62, y2 = 57,
                    s1 = 0.56640625, t1 = 0.8125, s2 = 0.6259765625, t2 = 0.875,
                    advance = 64,
                }
                chrs[21451] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.65234375, t1 = 0.875, s2 = 0.7138671875, t2 = 0.9375,
                    advance = 64,
                }
                chrs[21839] = {
                    x1 = 4, y1 = -7, x2 = 61, y2 = 54,
                    s1 = 0.3974609375, t1 = 0.6923828125, s2 = 0.453125, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[22577] = {
                    x1 = 1, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.775390625, t1 = 0.875, s2 = 0.8369140625, t2 = 0.9375,
                    advance = 64,
                }
                chrs[22987] = {
                    x1 = 1, y1 = -7, x2 = 65, y2 = 57,
                    s1 = 0.5322265625, t1 = 0.9375, s2 = 0.5947265625, t2 = 1,
                    advance = 64,
                }
                chrs[23455] = {
                    x1 = 2, y1 = -7, x2 = 62, y2 = 57,
                    s1 = 0.7431640625, t1 = 0.8125, s2 = 0.8017578125, t2 = 0.875,
                    advance = 64,
                }
                chrs[23569] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.4697265625, t1 = 0.9375, s2 = 0.5322265625, t2 = 1,
                    advance = 64,
                }
                chrs[24230] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.1435546875, t1 = 0.8740234375, s2 = 0.205078125, t2 = 0.9365234375,
                    advance = 64,
                }
                chrs[24773] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.08203125, t1 = 0.8740234375, s2 = 0.1435546875, t2 = 0.9365234375,
                    advance = 64,
                }
                chrs[25147] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 53,
                    s1 = 0.55859375, t1 = 0.693359375, s2 = 0.62109375, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[25276] = {
                    x1 = 0, y1 = -7, x2 = 61, y2 = 57,
                    s1 = 0.5068359375, t1 = 0.8125, s2 = 0.56640625, t2 = 0.875,
                    advance = 64,
                }
                chrs[25431] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.8984375, t1 = 0.875, s2 = 0.9599609375, t2 = 0.9375,
                    advance = 64,
                }
                chrs[26032] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 56,
                    s1 = 0.1845703125, t1 = 0.8125, s2 = 0.24609375, t2 = 0.8740234375,
                    advance = 64,
                }
                chrs[26368] = {
                    x1 = 1, y1 = -7, x2 = 63, y2 = 54,
                    s1 = 0, t1 = 0.7490234375, s2 = 0.060546875, t2 = 0.80859375,
                    advance = 64,
                }
                chrs[26524] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 54,
                    s1 = 0.705078125, t1 = 0.693359375, s2 = 0.767578125, t2 = 0.7529296875,
                    advance = 64,
                }
                chrs[27005] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.9072265625, t1 = 0.9375, s2 = 0.9697265625, t2 = 1,
                    advance = 64,
                }
                chrs[27231] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.34375, t1 = 0.875, s2 = 0.40625, t2 = 0.9375,
                    advance = 64,
                }
                chrs[27841] = {
                    x1 = 1, y1 = -7, x2 = 64, y2 = 56,
                    s1 = 0.123046875, t1 = 0.8125, s2 = 0.1845703125, t2 = 0.8740234375,
                    advance = 64,
                }
                chrs[28168] = {
                    x1 = 0, y1 = -8, x2 = 64, y2 = 57,
                    s1 = 0.08203125, t1 = 0.9365234375, s2 = 0.14453125, t2 = 1,
                    advance = 64,
                }
                chrs[28961] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.8369140625, t1 = 0.875, s2 = 0.8984375, t2 = 0.9375,
                    advance = 64,
                }
                chrs[29366] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.4072265625, t1 = 0.9375, s2 = 0.4697265625, t2 = 1,
                    advance = 64,
                }
                chrs[29992] = {
                    x1 = 0, y1 = -7, x2 = 59, y2 = 52,
                    s1 = 0.6640625, t1 = 0.6357421875, s2 = 0.7216796875, t2 = 0.693359375,
                    advance = 64,
                }
                chrs[30011] = {
                    x1 = 2, y1 = -7, x2 = 62, y2 = 53,
                    s1 = 0.8857421875, t1 = 0.693359375, s2 = 0.9443359375, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[30028] = {
                    x1 = 1, y1 = -7, x2 = 64, y2 = 55,
                    s1 = 0.349609375, t1 = 0.751953125, s2 = 0.4111328125, t2 = 0.8125,
                    advance = 64,
                }
                chrs[30331] = {
                    x1 = 0, y1 = -5, x2 = 64, y2 = 57,
                    s1 = 0.287109375, t1 = 0.751953125, s2 = 0.349609375, t2 = 0.8125,
                    advance = 64,
                }
                chrs[31034] = {
                    x1 = 0, y1 = -6, x2 = 62, y2 = 52,
                    s1 = 0.4150390625, t1 = 0.6357421875, s2 = 0.4755859375, t2 = 0.6923828125,
                    advance = 64,
                }
                chrs[31227] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.7138671875, t1 = 0.875, s2 = 0.775390625, t2 = 0.9375,
                    advance = 64,
                }
                chrs[32057] = {
                    x1 = 0, y1 = -7, x2 = 62, y2 = 57,
                    s1 = 0.38671875, t1 = 0.8125, s2 = 0.447265625, t2 = 0.875,
                    advance = 64,
                }
                chrs[32066] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.7822265625, t1 = 0.9375, s2 = 0.8447265625, t2 = 1,
                    advance = 64,
                }
                chrs[32154] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.5947265625, t1 = 0.9375, s2 = 0.6572265625, t2 = 1,
                    advance = 64,
                }
                chrs[32773] = {
                    x1 = 0, y1 = -7, x2 = 62, y2 = 57,
                    s1 = 0.205078125, t1 = 0.8740234375, s2 = 0.265625, t2 = 0.9365234375,
                    advance = 64,
                }
                chrs[33021] = {
                    x1 = 1, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.40625, t1 = 0.875, s2 = 0.4677734375, t2 = 0.9375,
                    advance = 64,
                }
                chrs[33510] = {
                    x1 = 2, y1 = -7, x2 = 62, y2 = 57,
                    s1 = 0.6259765625, t1 = 0.8125, s2 = 0.6845703125, t2 = 0.875,
                    advance = 64,
                }
                chrs[33865] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.6572265625, t1 = 0.9375, s2 = 0.7197265625, t2 = 1,
                    advance = 64,
                }
                chrs[34892] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.5908203125, t1 = 0.875, s2 = 0.65234375, t2 = 0.9375,
                    advance = 64,
                }
                chrs[34920] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.8447265625, t1 = 0.9375, s2 = 0.9072265625, t2 = 1,
                    advance = 64,
                }
                chrs[35328] = {
                    x1 = 2, y1 = -7, x2 = 63, y2 = 53,
                    s1 = 0.767578125, t1 = 0.693359375, s2 = 0.8271484375, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[35465] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.7197265625, t1 = 0.9375, s2 = 0.7822265625, t2 = 1,
                    advance = 64,
                }
                chrs[35486] = {
                    x1 = 1, y1 = -7, x2 = 64, y2 = 55,
                    s1 = 0.4111328125, t1 = 0.751953125, s2 = 0.47265625, t2 = 0.8125,
                    advance = 64,
                }
                chrs[35613] = {
                    x1 = 1, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0, t1 = 0.8701171875, s2 = 0.060546875, t2 = 0.9326171875,
                    advance = 64,
                }
                chrs[36074] = {
                    x1 = 1, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.326171875, t1 = 0.8125, s2 = 0.38671875, t2 = 0.875,
                    advance = 64,
                }
                chrs[36766] = {
                    x1 = 0, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.529296875, t1 = 0.875, s2 = 0.5908203125, t2 = 0.9375,
                    advance = 64,
                }
                chrs[36865] = {
                    x1 = 0, y1 = -6, x2 = 64, y2 = 57,
                    s1 = 0.060546875, t1 = 0.8125, s2 = 0.123046875, t2 = 0.8740234375,
                    advance = 64,
                }
                chrs[36895] = {
                    x1 = 0, y1 = -6, x2 = 64, y2 = 57,
                    s1 = 0.9267578125, t1 = 0.8134765625, s2 = 0.9892578125, t2 = 0.875,
                    advance = 64,
                }
                chrs[36914] = {
                    x1 = 0, y1 = -6, x2 = 64, y2 = 57,
                    s1 = 0.8017578125, t1 = 0.8134765625, s2 = 0.8642578125, t2 = 0.875,
                    advance = 64,
                }
                chrs[36948] = {
                    x1 = 0, y1 = -6, x2 = 64, y2 = 57,
                    s1 = 0.8642578125, t1 = 0.8134765625, s2 = 0.9267578125, t2 = 0.875,
                    advance = 64,
                }
                chrs[37682] = {
                    x1 = -1, y1 = -7, x2 = 64, y2 = 57,
                    s1 = 0.34375, t1 = 0.9375, s2 = 0.4072265625, t2 = 1,
                    advance = 64,
                }
                chrs[38480] = {
                    x1 = 3, y1 = -7, x2 = 64, y2 = 54,
                    s1 = 0.2236328125, t1 = 0.6923828125, s2 = 0.283203125, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[38754] = {
                    x1 = 2, y1 = -7, x2 = 62, y2 = 53,
                    s1 = 0.8271484375, t1 = 0.693359375, s2 = 0.8857421875, t2 = 0.751953125,
                    advance = 64,
                }
                chrs[38899] = {
                    x1 = 2, y1 = -7, x2 = 62, y2 = 57,
                    s1 = 0.6845703125, t1 = 0.8125, s2 = 0.7431640625, t2 = 0.875,
                    advance = 64,
                }
                chrs[39000] = {
                    x1 = 0, y1 = -7, x2 = 64, y2 = 54,
                    s1 = 0.705078125, t1 = 0.7529296875, s2 = 0.767578125, t2 = 0.8125,
                    advance = 64,
                }
                chrs[65281] = {
                    x1 = 24, y1 = -1, x2 = 40, y2 = 50,
                    s1 = 0.1865234375, t1 = 0.4755859375, s2 = 0.2021484375, t2 = 0.525390625,
                    advance = 64,
                }
                chrs[65288] = {
                    x1 = 41, y1 = -7, x2 = 63, y2 = 57,
                    s1 = 0.9599609375, t1 = 0.875, s2 = 0.9814453125, t2 = 0.9375,
                    advance = 64,
                }
                chrs[65289] = {
                    x1 = 1, y1 = -7, x2 = 23, y2 = 57,
                    s1 = 0.9697265625, t1 = 0.9375, s2 = 0.9912109375, t2 = 1,
                    advance = 64,
                }
                chrs[65311] = {
                    x1 = 14, y1 = -1, x2 = 50, y2 = 51,
                    s1 = 0.3779296875, t1 = 0.4755859375, s2 = 0.4130859375, t2 = 0.5263671875,
                    advance = 64,
                }
            end)();
            return chrs
        end)(),
    },
}

return am._init_fonts(font_data, "fonts/ja.png")