local font_data = {
    minfilter = "linear",
    magfilter = "linear",
    is_premult = true,
    {
        is_font = true,
        size = 64,
        mono = false,
        filename = "../tmp/bold.otf",
        face = 0,
        chars = (function()
            local chrs = {}
            (function()
                chrs[10] = {
                    x1 = -1, y1 = 0, x2 = 1, y2 = 2,
                    s1 = 0.9951171875, t1 = 0.46484375, s2 = 0.9970703125, t2 = 0.466796875,
                    advance = 15,
                }
                chrs[32] = {
                    x1 = -1, y1 = 0, x2 = 1, y2 = 2,
                    s1 = 0.9931640625, t1 = 0.46484375, s2 = 0.9951171875, t2 = 0.466796875,
                    advance = 15,
                }
                chrs[33] = {
                    x1 = 5, y1 = -1, x2 = 19, y2 = 51,
                    s1 = 0.935546875, t1 = 0.46484375, s2 = 0.94921875, t2 = 0.515625,
                    advance = 24,
                }
                chrs[34] = {
                    x1 = 4, y1 = 27, x2 = 33, y2 = 52,
                    s1 = 0.8037109375, t1 = 0.3427734375, s2 = 0.83203125, t2 = 0.3671875,
                    advance = 37,
                }
                chrs[37] = {
                    x1 = 1, y1 = -1, x2 = 61, y2 = 50,
                    s1 = 0.712890625, t1 = 0.4150390625, s2 = 0.771484375, t2 = 0.46484375,
                    advance = 62,
                }
                chrs[39] = {
                    x1 = 4, y1 = 27, x2 = 17, y2 = 52,
                    s1 = 0.83203125, t1 = 0.3427734375, s2 = 0.8447265625, t2 = 0.3671875,
                    advance = 21,
                }
                chrs[40] = {
                    x1 = 4, y1 = -13, x2 = 22, y2 = 56,
                    s1 = 0.0390625, t1 = 0.9326171875, s2 = 0.056640625, t2 = 1,
                    advance = 24,
                }
                chrs[41] = {
                    x1 = 2, y1 = -13, x2 = 20, y2 = 56,
                    s1 = 0.021484375, t1 = 0.9326171875, s2 = 0.0390625, t2 = 1,
                    advance = 24,
                }
                chrs[44] = {
                    x1 = 2, y1 = -14, x2 = 19, y2 = 14,
                    s1 = 0.787109375, t1 = 0.33984375, s2 = 0.8037109375, t2 = 0.3671875,
                    advance = 21,
                }
                chrs[45] = {
                    x1 = 2, y1 = 15, x2 = 22, y2 = 24,
                    s1 = 0.859375, t1 = 0.3583984375, s2 = 0.87890625, t2 = 0.3671875,
                    advance = 24,
                }
                chrs[46] = {
                    x1 = 3, y1 = -1, x2 = 18, y2 = 14,
                    s1 = 0.8447265625, t1 = 0.3525390625, s2 = 0.859375, t2 = 0.3671875,
                    advance = 21,
                }
                chrs[47] = {
                    x1 = -1, y1 = -12, x2 = 25, y2 = 54,
                    s1 = 0.056640625, t1 = 0.935546875, s2 = 0.08203125, t2 = 1,
                    advance = 25,
                }
                chrs[48] = {
                    x1 = 1, y1 = -1, x2 = 36, y2 = 50,
                    s1 = 0.1064453125, t1 = 0.4140625, s2 = 0.140625, t2 = 0.4638671875,
                    advance = 38,
                }
                chrs[49] = {
                    x1 = 4, y1 = 0, x2 = 35, y2 = 49,
                    s1 = 0.8916015625, t1 = 0.3671875, s2 = 0.921875, t2 = 0.4150390625,
                    advance = 38,
                }
                chrs[50] = {
                    x1 = 1, y1 = 0, x2 = 36, y2 = 50,
                    s1 = 0.263671875, t1 = 0.4091796875, s2 = 0.2978515625, t2 = 0.4580078125,
                    advance = 38,
                }
                chrs[51] = {
                    x1 = 0, y1 = -1, x2 = 36, y2 = 50,
                    s1 = 0.037109375, t1 = 0.4140625, s2 = 0.072265625, t2 = 0.4638671875,
                    advance = 38,
                }
                chrs[52] = {
                    x1 = 0, y1 = 0, x2 = 37, y2 = 49,
                    s1 = 0.4345703125, t1 = 0.3662109375, s2 = 0.470703125, t2 = 0.4140625,
                    advance = 38,
                }
                chrs[53] = {
                    x1 = 0, y1 = -1, x2 = 36, y2 = 49,
                    s1 = 0.6748046875, t1 = 0.4150390625, s2 = 0.7099609375, t2 = 0.4638671875,
                    advance = 38,
                }
                chrs[54] = {
                    x1 = 2, y1 = -1, x2 = 37, y2 = 50,
                    s1 = 0.140625, t1 = 0.4140625, s2 = 0.1748046875, t2 = 0.4638671875,
                    advance = 38,
                }
                chrs[55] = {
                    x1 = 2, y1 = 0, x2 = 36, y2 = 49,
                    s1 = 0.470703125, t1 = 0.3662109375, s2 = 0.50390625, t2 = 0.4140625,
                    advance = 38,
                }
                chrs[56] = {
                    x1 = 2, y1 = -1, x2 = 36, y2 = 50,
                    s1 = 0.1748046875, t1 = 0.4140625, s2 = 0.2080078125, t2 = 0.4638671875,
                    advance = 38,
                }
                chrs[57] = {
                    x1 = 1, y1 = -1, x2 = 36, y2 = 50,
                    s1 = 0.072265625, t1 = 0.4140625, s2 = 0.1064453125, t2 = 0.4638671875,
                    advance = 38,
                }
                chrs[58] = {
                    x1 = 3, y1 = -1, x2 = 18, y2 = 38,
                    s1 = 0.6162109375, t1 = 0.3291015625, s2 = 0.630859375, t2 = 0.3671875,
                    advance = 21,
                }
                chrs[59] = {
                    x1 = 2, y1 = -14, x2 = 19, y2 = 38,
                    s1 = 0.5234375, t1 = 0.46484375, s2 = 0.5400390625, t2 = 0.515625,
                    advance = 21,
                }
                chrs[63] = {
                    x1 = 1, y1 = -1, x2 = 31, y2 = 52,
                    s1 = 0.68359375, t1 = 0.4638671875, s2 = 0.712890625, t2 = 0.515625,
                    advance = 33,
                }
                chrs[64] = {
                    x1 = 2, y1 = -12, x2 = 62, y2 = 50,
                    s1 = 0.197265625, t1 = 0.693359375, s2 = 0.255859375, t2 = 0.75390625,
                    advance = 64,
                }
                chrs[65] = {
                    x1 = -2, y1 = 0, x2 = 43, y2 = 49,
                    s1 = 0.56640625, t1 = 0.3671875, s2 = 0.6103515625, t2 = 0.4150390625,
                    advance = 41,
                }
                chrs[66] = {
                    x1 = 4, y1 = 0, x2 = 43, y2 = 49,
                    s1 = 0.078125, t1 = 0.3662109375, s2 = 0.1162109375, t2 = 0.4140625,
                    advance = 44,
                }
                chrs[67] = {
                    x1 = 2, y1 = -1, x2 = 42, y2 = 50,
                    s1 = 0.8828125, t1 = 0.4150390625, s2 = 0.921875, t2 = 0.46484375,
                    advance = 42,
                }
                chrs[68] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 49,
                    s1 = 0.8134765625, t1 = 0.3671875, s2 = 0.8525390625, t2 = 0.4150390625,
                    advance = 46,
                }
                chrs[69] = {
                    x1 = 4, y1 = 0, x2 = 37, y2 = 49,
                    s1 = 0.3623046875, t1 = 0.365234375, s2 = 0.39453125, t2 = 0.4130859375,
                    advance = 39,
                }
                chrs[70] = {
                    x1 = 4, y1 = 0, x2 = 36, y2 = 49,
                    s1 = 0.39453125, t1 = 0.365234375, s2 = 0.42578125, t2 = 0.4130859375,
                    advance = 37,
                }
                chrs[71] = {
                    x1 = 2, y1 = -1, x2 = 43, y2 = 50,
                    s1 = 0.5234375, t1 = 0.4150390625, s2 = 0.5634765625, t2 = 0.46484375,
                    advance = 46,
                }
                chrs[72] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 49,
                    s1 = 0, t1 = 0.3662109375, s2 = 0.0390625, t2 = 0.4140625,
                    advance = 48,
                }
                chrs[73] = {
                    x1 = 4, y1 = 0, x2 = 17, y2 = 49,
                    s1 = 0.9794921875, t1 = 0.369140625, s2 = 0.9921875, t2 = 0.4169921875,
                    advance = 21,
                }
                chrs[74] = {
                    x1 = 0, y1 = -1, x2 = 32, y2 = 49,
                    s1 = 0.490234375, t1 = 0.4140625, s2 = 0.521484375, t2 = 0.462890625,
                    advance = 36,
                }
                chrs[75] = {
                    x1 = 4, y1 = 0, x2 = 46, y2 = 49,
                    s1 = 0.693359375, t1 = 0.3671875, s2 = 0.734375, t2 = 0.4150390625,
                    advance = 44,
                }
                chrs[76] = {
                    x1 = 4, y1 = 0, x2 = 36, y2 = 49,
                    s1 = 0.2978515625, t1 = 0.3623046875, s2 = 0.3291015625, t2 = 0.41015625,
                    advance = 37,
                }
                chrs[77] = {
                    x1 = 4, y1 = 0, x2 = 50, y2 = 49,
                    s1 = 0.521484375, t1 = 0.3671875, s2 = 0.56640625, t2 = 0.4150390625,
                    advance = 55,
                }
                chrs[78] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 49,
                    s1 = 0.0390625, t1 = 0.3662109375, s2 = 0.078125, t2 = 0.4140625,
                    advance = 48,
                }
                chrs[79] = {
                    x1 = 2, y1 = -1, x2 = 47, y2 = 50,
                    s1 = 0.94921875, t1 = 0.4169921875, s2 = 0.9931640625, t2 = 0.466796875,
                    advance = 49,
                }
                chrs[80] = {
                    x1 = 4, y1 = 0, x2 = 41, y2 = 49,
                    s1 = 0.1162109375, t1 = 0.3662109375, s2 = 0.15234375, t2 = 0.4140625,
                    advance = 43,
                }
                chrs[81] = {
                    x1 = 2, y1 = -13, x2 = 49, y2 = 50,
                    s1 = 0.1513671875, t1 = 0.6923828125, s2 = 0.197265625, t2 = 0.75390625,
                    advance = 49,
                }
                chrs[82] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 49,
                    s1 = 0.8525390625, t1 = 0.3671875, s2 = 0.8916015625, t2 = 0.4150390625,
                    advance = 44,
                }
                chrs[83] = {
                    x1 = 1, y1 = -1, x2 = 39, y2 = 50,
                    s1 = 0, t1 = 0.4140625, s2 = 0.037109375, t2 = 0.4638671875,
                    advance = 40,
                }
                chrs[84] = {
                    x1 = 0, y1 = 0, x2 = 40, y2 = 49,
                    s1 = 0.7744140625, t1 = 0.3671875, s2 = 0.8134765625, t2 = 0.4150390625,
                    advance = 40,
                }
                chrs[85] = {
                    x1 = 4, y1 = -1, x2 = 44, y2 = 49,
                    s1 = 0.3232421875, t1 = 0.41015625, s2 = 0.3623046875, t2 = 0.458984375,
                    advance = 48,
                }
                chrs[86] = {
                    x1 = -2, y1 = 0, x2 = 41, y2 = 49,
                    s1 = 0.6103515625, t1 = 0.3671875, s2 = 0.65234375, t2 = 0.4150390625,
                    advance = 40,
                }
                chrs[87] = {
                    x1 = 0, y1 = 0, x2 = 59, y2 = 49,
                    s1 = 0.921875, t1 = 0.369140625, s2 = 0.9794921875, t2 = 0.4169921875,
                    advance = 59,
                }
                chrs[88] = {
                    x1 = -1, y1 = 0, x2 = 41, y2 = 49,
                    s1 = 0.65234375, t1 = 0.3671875, s2 = 0.693359375, t2 = 0.4150390625,
                    advance = 40,
                }
                chrs[89] = {
                    x1 = -2, y1 = 0, x2 = 39, y2 = 49,
                    s1 = 0.734375, t1 = 0.3671875, s2 = 0.7744140625, t2 = 0.4150390625,
                    advance = 37,
                }
                chrs[90] = {
                    x1 = 1, y1 = 0, x2 = 38, y2 = 49,
                    s1 = 0.15234375, t1 = 0.3662109375, s2 = 0.1884765625, t2 = 0.4140625,
                    advance = 39,
                }
                chrs[91] = {
                    x1 = 5, y1 = -12, x2 = 23, y2 = 53,
                    s1 = 0.1240234375, t1 = 0.9365234375, s2 = 0.1416015625, t2 = 1,
                    advance = 24,
                }
                chrs[93] = {
                    x1 = 2, y1 = -12, x2 = 19, y2 = 53,
                    s1 = 0.1416015625, t1 = 0.9365234375, s2 = 0.158203125, t2 = 1,
                    advance = 24,
                }
                chrs[95] = {
                    x1 = -1, y1 = -10, x2 = 37, y2 = -2,
                    s1 = 0.87890625, t1 = 0.359375, s2 = 0.916015625, t2 = 0.3671875,
                    advance = 36,
                }
                chrs[97] = {
                    x1 = 2, y1 = -1, x2 = 35, y2 = 39,
                    s1 = 0.263671875, t1 = 0.3310546875, s2 = 0.2958984375, t2 = 0.3701171875,
                    advance = 38,
                }
                chrs[98] = {
                    x1 = 4, y1 = -1, x2 = 40, y2 = 54,
                    s1 = 0.96484375, t1 = 0.5205078125, s2 = 1, t2 = 0.57421875,
                    advance = 41,
                }
                chrs[99] = {
                    x1 = 1, y1 = -1, x2 = 33, y2 = 39,
                    s1 = 0.958984375, t1 = 0.330078125, s2 = 0.990234375, t2 = 0.369140625,
                    advance = 34,
                }
                chrs[100] = {
                    x1 = 2, y1 = -1, x2 = 38, y2 = 54,
                    s1 = 0.96484375, t1 = 0.466796875, s2 = 1, t2 = 0.5205078125,
                    advance = 41,
                }
                chrs[101] = {
                    x1 = 1, y1 = -1, x2 = 36, y2 = 39,
                    s1 = 0.263671875, t1 = 0.3701171875, s2 = 0.2978515625, t2 = 0.4091796875,
                    advance = 37,
                }
                chrs[102] = {
                    x1 = 0, y1 = 0, x2 = 27, y2 = 54,
                    s1 = 0.546875, t1 = 0.5205078125, s2 = 0.5732421875, t2 = 0.5732421875,
                    advance = 24,
                }
                chrs[103] = {
                    x1 = 1, y1 = -16, x2 = 39, y2 = 39,
                    s1 = 0, t1 = 0.5185546875, s2 = 0.037109375, t2 = 0.572265625,
                    advance = 38,
                }
                chrs[104] = {
                    x1 = 4, y1 = 0, x2 = 38, y2 = 54,
                    s1 = 0.490234375, t1 = 0.462890625, s2 = 0.5234375, t2 = 0.515625,
                    advance = 41,
                }
                chrs[105] = {
                    x1 = 3, y1 = 0, x2 = 17, y2 = 54,
                    s1 = 0.5625, t1 = 0.4677734375, s2 = 0.576171875, t2 = 0.5205078125,
                    advance = 19,
                }
                chrs[106] = {
                    x1 = -5, y1 = -15, x2 = 17, y2 = 54,
                    s1 = 0, t1 = 0.9326171875, s2 = 0.021484375, t2 = 1,
                    advance = 20,
                }
                chrs[107] = {
                    x1 = 4, y1 = 0, x2 = 40, y2 = 54,
                    s1 = 0, t1 = 0.4658203125, s2 = 0.03515625, t2 = 0.5185546875,
                    advance = 39,
                }
                chrs[108] = {
                    x1 = 4, y1 = -1, x2 = 20, y2 = 53,
                    s1 = 0.546875, t1 = 0.4677734375, s2 = 0.5625, t2 = 0.5205078125,
                    advance = 20,
                }
                chrs[109] = {
                    x1 = 4, y1 = 0, x2 = 59, y2 = 39,
                    s1 = 0.50390625, t1 = 0.3291015625, s2 = 0.5576171875, t2 = 0.3671875,
                    advance = 62,
                }
                chrs[110] = {
                    x1 = 4, y1 = 0, x2 = 38, y2 = 39,
                    s1 = 0.5576171875, t1 = 0.3291015625, s2 = 0.5908203125, t2 = 0.3671875,
                    advance = 41,
                }
                chrs[111] = {
                    x1 = 1, y1 = -1, x2 = 39, y2 = 39,
                    s1 = 0.921875, t1 = 0.330078125, s2 = 0.958984375, t2 = 0.369140625,
                    advance = 40,
                }
                chrs[112] = {
                    x1 = 4, y1 = -14, x2 = 40, y2 = 39,
                    s1 = 0.61328125, t1 = 0.4638671875, s2 = 0.6484375, t2 = 0.515625,
                    advance = 41,
                }
                chrs[113] = {
                    x1 = 2, y1 = -14, x2 = 38, y2 = 39,
                    s1 = 0.6484375, t1 = 0.4638671875, s2 = 0.68359375, t2 = 0.515625,
                    advance = 41,
                }
                chrs[114] = {
                    x1 = 4, y1 = 0, x2 = 30, y2 = 39,
                    s1 = 0.5908203125, t1 = 0.3291015625, s2 = 0.6162109375, t2 = 0.3671875,
                    advance = 28,
                }
                chrs[115] = {
                    x1 = 0, y1 = -1, x2 = 31, y2 = 39,
                    s1 = 0.1884765625, t1 = 0.328125, s2 = 0.21875, t2 = 0.3671875,
                    advance = 32,
                }
                chrs[116] = {
                    x1 = 0, y1 = -1, x2 = 27, y2 = 48,
                    s1 = 0.3291015625, t1 = 0.3623046875, s2 = 0.35546875, t2 = 0.41015625,
                    advance = 27,
                }
                chrs[117] = {
                    x1 = 3, y1 = -1, x2 = 37, y2 = 38,
                    s1 = 0.21875, t1 = 0.3291015625, s2 = 0.251953125, t2 = 0.3671875,
                    advance = 41,
                }
                chrs[118] = {
                    x1 = -1, y1 = 0, x2 = 37, y2 = 38,
                    s1 = 0.6845703125, t1 = 0.330078125, s2 = 0.7216796875, t2 = 0.3671875,
                    advance = 37,
                }
                chrs[119] = {
                    x1 = 0, y1 = 0, x2 = 55, y2 = 38,
                    s1 = 0.630859375, t1 = 0.330078125, s2 = 0.6845703125, t2 = 0.3671875,
                    advance = 55,
                }
                chrs[120] = {
                    x1 = 0, y1 = 0, x2 = 36, y2 = 38,
                    s1 = 0.7216796875, t1 = 0.330078125, s2 = 0.7568359375, t2 = 0.3671875,
                    advance = 36,
                }
                chrs[121] = {
                    x1 = -1, y1 = -15, x2 = 37, y2 = 38,
                    s1 = 0.576171875, t1 = 0.4638671875, s2 = 0.61328125, t2 = 0.515625,
                    advance = 37,
                }
                chrs[122] = {
                    x1 = 1, y1 = 0, x2 = 32, y2 = 38,
                    s1 = 0.7568359375, t1 = 0.330078125, s2 = 0.787109375, t2 = 0.3671875,
                    advance = 33,
                }
                chrs[123] = {
                    x1 = 1, y1 = -12, x2 = 23, y2 = 53,
                    s1 = 0.08203125, t1 = 0.9365234375, s2 = 0.103515625, t2 = 1,
                    advance = 24,
                }
                chrs[125] = {
                    x1 = 2, y1 = -12, x2 = 23, y2 = 53,
                    s1 = 0.103515625, t1 = 0.9365234375, s2 = 0.1240234375, t2 = 1,
                    advance = 24,
                }
                chrs[44032] = {
                    x1 = 1, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.443359375, t1 = 0.9384765625, s2 = 0.5, t2 = 1,
                    advance = 59,
                }
                chrs[44036] = {
                    x1 = 1, y1 = -5, x2 = 58, y2 = 56,
                    s1 = 0.654296875, t1 = 0.6337890625, s2 = 0.7099609375, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[44048] = {
                    x1 = 1, y1 = -6, x2 = 58, y2 = 56,
                    s1 = 0.5361328125, t1 = 0.693359375, s2 = 0.591796875, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[44144] = {
                    x1 = 1, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.3701171875, t1 = 0.8154296875, s2 = 0.421875, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[44148] = {
                    x1 = 2, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.318359375, t1 = 0.5732421875, s2 = 0.3701171875, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[44161] = {
                    x1 = 2, y1 = -6, x2 = 54, y2 = 56,
                    s1 = 0.197265625, t1 = 0.6328125, s2 = 0.248046875, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[44172] = {
                    x1 = 0, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.919921875, t1 = 0.876953125, s2 = 0.9736328125, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[44192] = {
                    x1 = 1, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.556640625, t1 = 0.9384765625, s2 = 0.61328125, t2 = 1,
                    advance = 59,
                }
                chrs[44200] = {
                    x1 = 1, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.5771484375, t1 = 0.8154296875, s2 = 0.62890625, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[44228] = {
                    x1 = 0, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.6513671875, t1 = 0.876953125, s2 = 0.705078125, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[44256] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 51,
                    s1 = 0.2080078125, t1 = 0.4150390625, s2 = 0.263671875, t2 = 0.4638671875,
                    advance = 59,
                }
                chrs[44275] = {
                    x1 = 1, y1 = -7, x2 = 57, y2 = 53,
                    s1 = 0.0498046875, t1 = 0.5146484375, s2 = 0.1044921875, t2 = 0.5732421875,
                    advance = 59,
                }
                chrs[44284] = {
                    x1 = 1, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.61328125, t1 = 0.9384765625, s2 = 0.669921875, t2 = 1,
                    advance = 59,
                }
                chrs[44368] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 51,
                    s1 = 0.37890625, t1 = 0.4130859375, s2 = 0.4345703125, t2 = 0.4619140625,
                    advance = 59,
                }
                chrs[44396] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 52,
                    s1 = 0.32421875, t1 = 0.515625, s2 = 0.3798828125, t2 = 0.5732421875,
                    advance = 59,
                }
                chrs[44592] = {
                    x1 = 1, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.8349609375, t1 = 0.8154296875, s2 = 0.8857421875, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[44620] = {
                    x1 = 0, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.271484375, t1 = 0.9384765625, s2 = 0.3291015625, t2 = 1,
                    advance = 59,
                }
                chrs[44636] = {
                    x1 = 0, y1 = -6, x2 = 58, y2 = 56,
                    s1 = 0.255859375, t1 = 0.693359375, s2 = 0.3125, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[45208] = {
                    x1 = 3, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.4892578125, t1 = 0.876953125, s2 = 0.5439453125, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[45224] = {
                    x1 = 4, y1 = -6, x2 = 58, y2 = 56,
                    s1 = 0.8115234375, t1 = 0.693359375, s2 = 0.8642578125, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[45236] = {
                    x1 = 4, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.63671875, t1 = 0.75390625, s2 = 0.6865234375, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[45348] = {
                    x1 = 4, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.4375, t1 = 0.75390625, s2 = 0.4873046875, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[45572] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 53,
                    s1 = 0.798828125, t1 = 0.515625, s2 = 0.8544921875, t2 = 0.57421875,
                    advance = 59,
                }
                chrs[45716] = {
                    x1 = 1, y1 = -5, x2 = 58, y2 = 54,
                    s1 = 0.435546875, t1 = 0.515625, s2 = 0.4912109375, t2 = 0.5732421875,
                    advance = 59,
                }
                chrs[45733] = {
                    x1 = 1, y1 = -6, x2 = 58, y2 = 55,
                    s1 = 0.7099609375, t1 = 0.6337890625, s2 = 0.765625, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[45768] = {
                    x1 = 4, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.103515625, t1 = 0.7529296875, s2 = 0.1513671875, t2 = 0.814453125,
                    advance = 59,
                }
                chrs[45796] = {
                    x1 = 3, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.3251953125, t1 = 0.876953125, s2 = 0.3798828125, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[45824] = {
                    x1 = 3, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.185546875, t1 = 0.75390625, s2 = 0.236328125, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[45916] = {
                    x1 = 4, y1 = -6, x2 = 55, y2 = 56,
                    s1 = 0.548828125, t1 = 0.6328125, s2 = 0.5986328125, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[45936] = {
                    x1 = 3, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.7841796875, t1 = 0.8154296875, s2 = 0.8349609375, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[46020] = {
                    x1 = 1, y1 = 0, x2 = 58, y2 = 52,
                    s1 = 0.2021484375, t1 = 0.4638671875, s2 = 0.2578125, t2 = 0.5146484375,
                    advance = 59,
                }
                chrs[46021] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 53,
                    s1 = 0.576171875, t1 = 0.515625, s2 = 0.6318359375, t2 = 0.57421875,
                    advance = 59,
                }
                chrs[46041] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 53,
                    s1 = 0.6875, t1 = 0.515625, s2 = 0.7431640625, t2 = 0.57421875,
                    advance = 59,
                }
                chrs[46104] = {
                    x1 = 2, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.736328125, t1 = 0.75390625, s2 = 0.7861328125, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[46121] = {
                    x1 = 1, y1 = -6, x2 = 53, y2 = 56,
                    s1 = 0.298828125, t1 = 0.6328125, s2 = 0.349609375, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[46244] = {
                    x1 = 1, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.525390625, t1 = 0.8154296875, s2 = 0.5771484375, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[46300] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 51,
                    s1 = 0.5634765625, t1 = 0.4150390625, s2 = 0.619140625, t2 = 0.4638671875,
                    advance = 59,
                }
                chrs[46304] = {
                    x1 = 1, y1 = -5, x2 = 58, y2 = 54,
                    s1 = 0.3798828125, t1 = 0.515625, s2 = 0.435546875, t2 = 0.5732421875,
                    advance = 59,
                }
                chrs[46308] = {
                    x1 = 1, y1 = -6, x2 = 58, y2 = 54,
                    s1 = 0.8544921875, t1 = 0.515625, s2 = 0.91015625, t2 = 0.57421875,
                    advance = 59,
                }
                chrs[46356] = {
                    x1 = 5, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0, t1 = 0.748046875, s2 = 0.046875, t2 = 0.8095703125,
                    advance = 59,
                }
                chrs[47088] = {
                    x1 = 3, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.525390625, t1 = 0.5732421875, s2 = 0.576171875, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[47112] = {
                    x1 = 3, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.287109375, t1 = 0.75390625, s2 = 0.337890625, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[47196] = {
                    x1 = 1, y1 = 0, x2 = 58, y2 = 52,
                    s1 = 0.03515625, t1 = 0.4638671875, s2 = 0.0908203125, t2 = 0.5146484375,
                    advance = 59,
                }
                chrs[47197] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 55,
                    s1 = 0.48046875, t1 = 0.693359375, s2 = 0.5361328125, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[47308] = {
                    x1 = 1, y1 = 0, x2 = 58, y2 = 52,
                    s1 = 0.82421875, t1 = 0.46484375, s2 = 0.8798828125, t2 = 0.515625,
                    advance = 59,
                }
                chrs[47476] = {
                    x1 = 1, y1 = 0, x2 = 58, y2 = 52,
                    s1 = 0.7685546875, t1 = 0.46484375, s2 = 0.82421875, t2 = 0.515625,
                    advance = 59,
                }
                chrs[47484] = {
                    x1 = 1, y1 = -6, x2 = 58, y2 = 55,
                    s1 = 0.765625, t1 = 0.6337890625, s2 = 0.8212890625, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[47532] = {
                    x1 = 4, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.05078125, t1 = 0.751953125, s2 = 0.0986328125, t2 = 0.8134765625,
                    advance = 59,
                }
                chrs[47553] = {
                    x1 = 4, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.8349609375, t1 = 0.75390625, s2 = 0.8837890625, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[47568] = {
                    x1 = 3, y1 = -6, x2 = 58, y2 = 56,
                    s1 = 0.7578125, t1 = 0.693359375, s2 = 0.8115234375, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[47672] = {
                    x1 = 3, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.6865234375, t1 = 0.75390625, s2 = 0.736328125, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[47700] = {
                    x1 = 3, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.9365234375, t1 = 0.8154296875, s2 = 0.9873046875, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[47732] = {
                    x1 = 4, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0, t1 = 0.572265625, s2 = 0.0498046875, t2 = 0.6318359375,
                    advance = 59,
                }
                chrs[47784] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 51,
                    s1 = 0.619140625, t1 = 0.4150390625, s2 = 0.6748046875, t2 = 0.4638671875,
                    advance = 59,
                }
                chrs[47785] = {
                    x1 = 1, y1 = -7, x2 = 57, y2 = 53,
                    s1 = 0.91015625, t1 = 0.515625, s2 = 0.96484375, t2 = 0.57421875,
                    advance = 59,
                }
                chrs[47924] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 53,
                    s1 = 0.6318359375, t1 = 0.515625, s2 = 0.6875, t2 = 0.57421875,
                    advance = 59,
                }
                chrs[47928] = {
                    x1 = 1, y1 = -5, x2 = 58, y2 = 53,
                    s1 = 0.3232421875, t1 = 0.458984375, s2 = 0.37890625, t2 = 0.515625,
                    advance = 59,
                }
                chrs[48128] = {
                    x1 = 4, y1 = -6, x2 = 55, y2 = 56,
                    s1 = 0.44921875, t1 = 0.6328125, s2 = 0.4990234375, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[48143] = {
                    x1 = 4, y1 = -7, x2 = 56, y2 = 56,
                    s1 = 0, t1 = 0.8095703125, s2 = 0.05078125, t2 = 0.87109375,
                    advance = 59,
                }
                chrs[48149] = {
                    x1 = 3, y1 = -7, x2 = 58, y2 = 56,
                    s1 = 0.59765625, t1 = 0.876953125, s2 = 0.6513671875, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[48260] = {
                    x1 = 3, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.5869140625, t1 = 0.75390625, s2 = 0.63671875, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[48324] = {
                    x1 = 4, y1 = -6, x2 = 55, y2 = 56,
                    s1 = 0.349609375, t1 = 0.6328125, s2 = 0.3994140625, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[48372] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 52,
                    s1 = 0.771484375, t1 = 0.4150390625, s2 = 0.8271484375, t2 = 0.46484375,
                    advance = 59,
                }
                chrs[48516] = {
                    x1 = 1, y1 = -5, x2 = 58, y2 = 54,
                    s1 = 0.4912109375, t1 = 0.515625, s2 = 0.546875, t2 = 0.5732421875,
                    advance = 59,
                }
                chrs[48624] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 54,
                    s1 = 0.8212890625, t1 = 0.6337890625, s2 = 0.876953125, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[49324] = {
                    x1 = 0, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.2138671875, t1 = 0.9384765625, s2 = 0.271484375, t2 = 1,
                    advance = 59,
                }
                chrs[49345] = {
                    x1 = 0, y1 = -6, x2 = 58, y2 = 56,
                    s1 = 0.3125, t1 = 0.693359375, s2 = 0.369140625, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[49352] = {
                    x1 = 0, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.705078125, t1 = 0.876953125, s2 = 0.7587890625, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[49436] = {
                    x1 = 0, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.3173828125, t1 = 0.8154296875, s2 = 0.3701171875, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[49457] = {
                    x1 = 1, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.62890625, t1 = 0.8154296875, s2 = 0.6806640625, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[49464] = {
                    x1 = 0, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.7587890625, t1 = 0.876953125, s2 = 0.8125, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[49492] = {
                    x1 = 0, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.2646484375, t1 = 0.8154296875, s2 = 0.3173828125, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[49496] = {
                    x1 = 1, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.1083984375, t1 = 0.5732421875, s2 = 0.1611328125, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[49512] = {
                    x1 = 1, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.669921875, t1 = 0.9384765625, s2 = 0.7265625, t2 = 1,
                    advance = 59,
                }
                chrs[49549] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 55,
                    s1 = 0.369140625, t1 = 0.693359375, s2 = 0.4248046875, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[49688] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 54,
                    s1 = 0.876953125, t1 = 0.6337890625, s2 = 0.9326171875, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[49692] = {
                    x1 = 1, y1 = -5, x2 = 58, y2 = 54,
                    s1 = 0.2685546875, t1 = 0.515625, s2 = 0.32421875, t2 = 0.5732421875,
                    advance = 59,
                }
                chrs[49828] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 53,
                    s1 = 0.712890625, t1 = 0.46484375, s2 = 0.7685546875, t2 = 0.515625,
                    advance = 59,
                }
                chrs[49845] = {
                    x1 = 1, y1 = -6, x2 = 57, y2 = 55,
                    s1 = 0.7080078125, t1 = 0.57421875, s2 = 0.7626953125, t2 = 0.6337890625,
                    advance = 59,
                }
                chrs[49884] = {
                    x1 = 0, y1 = -6, x2 = 53, y2 = 56,
                    s1 = 0.8642578125, t1 = 0.693359375, s2 = 0.916015625, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[49888] = {
                    x1 = 1, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.0556640625, t1 = 0.5732421875, s2 = 0.1083984375, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[50500] = {
                    x1 = 2, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.7265625, t1 = 0.9384765625, s2 = 0.7822265625, t2 = 1,
                    advance = 59,
                }
                chrs[50501] = {
                    x1 = 2, y1 = -7, x2 = 58, y2 = 56,
                    s1 = 0.3798828125, t1 = 0.876953125, s2 = 0.4345703125, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[50506] = {
                    x1 = 2, y1 = -6, x2 = 58, y2 = 56,
                    s1 = 0.703125, t1 = 0.693359375, s2 = 0.7578125, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[50612] = {
                    x1 = 2, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.8857421875, t1 = 0.8154296875, s2 = 0.9365234375, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[50616] = {
                    x1 = 2, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.421875, t1 = 0.5732421875, s2 = 0.4736328125, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[50629] = {
                    x1 = 2, y1 = -6, x2 = 54, y2 = 56,
                    s1 = 0.248046875, t1 = 0.6328125, s2 = 0.298828125, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[50632] = {
                    x1 = 2, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.837890625, t1 = 0.9384765625, s2 = 0.8935546875, t2 = 1,
                    advance = 59,
                }
                chrs[50640] = {
                    x1 = 2, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.4736328125, t1 = 0.8154296875, s2 = 0.525390625, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[50644] = {
                    x1 = 1, y1 = -5, x2 = 56, y2 = 56,
                    s1 = 0.9267578125, t1 = 0.57421875, s2 = 0.98046875, t2 = 0.6337890625,
                    advance = 59,
                }
                chrs[50668] = {
                    x1 = 2, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.134765625, t1 = 0.814453125, s2 = 0.185546875, t2 = 0.8759765625,
                    advance = 59,
                }
                chrs[50724] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 53,
                    s1 = 0.0908203125, t1 = 0.4638671875, s2 = 0.146484375, t2 = 0.5146484375,
                    advance = 59,
                }
                chrs[50741] = {
                    x1 = 1, y1 = -6, x2 = 57, y2 = 55,
                    s1 = 0.8720703125, t1 = 0.57421875, s2 = 0.9267578125, t2 = 0.6337890625,
                    advance = 59,
                }
                chrs[50756] = {
                    x1 = 1, y1 = -5, x2 = 58, y2 = 56,
                    s1 = 0.9326171875, t1 = 0.6337890625, s2 = 0.98828125, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[50836] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 53,
                    s1 = 0.146484375, t1 = 0.4638671875, s2 = 0.2021484375, t2 = 0.5146484375,
                    advance = 59,
                }
                chrs[50864] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 54,
                    s1 = 0.5986328125, t1 = 0.6337890625, s2 = 0.654296875, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[50880] = {
                    x1 = 1, y1 = -6, x2 = 57, y2 = 55,
                    s1 = 0.7626953125, t1 = 0.57421875, s2 = 0.8173828125, t2 = 0.6337890625,
                    advance = 59,
                }
                chrs[50948] = {
                    x1 = 1, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.732421875, t1 = 0.8154296875, s2 = 0.7841796875, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[51004] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 53,
                    s1 = 0.8798828125, t1 = 0.46484375, s2 = 0.935546875, t2 = 0.515625,
                    advance = 59,
                }
                chrs[51008] = {
                    x1 = 1, y1 = -5, x2 = 57, y2 = 54,
                    s1 = 0.2685546875, t1 = 0.4580078125, s2 = 0.3232421875, t2 = 0.515625,
                    advance = 59,
                }
                chrs[51012] = {
                    x1 = 1, y1 = -6, x2 = 57, y2 = 55,
                    s1 = 0.5986328125, t1 = 0.57421875, s2 = 0.6533203125, t2 = 0.6337890625,
                    advance = 59,
                }
                chrs[51020] = {
                    x1 = 1, y1 = -6, x2 = 57, y2 = 55,
                    s1 = 0.8173828125, t1 = 0.57421875, s2 = 0.8720703125, t2 = 0.6337890625,
                    advance = 59,
                }
                chrs[51032] = {
                    x1 = 2, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.3876953125, t1 = 0.75390625, s2 = 0.4375, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[51060] = {
                    x1 = 3, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.8837890625, t1 = 0.75390625, s2 = 0.9326171875, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[51064] = {
                    x1 = 2, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.2666015625, t1 = 0.5732421875, s2 = 0.318359375, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[51068] = {
                    x1 = 2, y1 = -6, x2 = 55, y2 = 56,
                    s1 = 0.916015625, t1 = 0.693359375, s2 = 0.9677734375, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[51076] = {
                    x1 = 2, y1 = -6, x2 = 53, y2 = 56,
                    s1 = 0.3994140625, t1 = 0.6328125, s2 = 0.44921875, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[51077] = {
                    x1 = 2, y1 = -6, x2 = 53, y2 = 56,
                    s1 = 0.4990234375, t1 = 0.6328125, s2 = 0.548828125, t2 = 0.693359375,
                    advance = 59,
                }
                chrs[51080] = {
                    x1 = 2, y1 = -7, x2 = 58, y2 = 56,
                    s1 = 0.4345703125, t1 = 0.876953125, s2 = 0.4892578125, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[51088] = {
                    x1 = 0, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.3291015625, t1 = 0.9384765625, s2 = 0.38671875, t2 = 1,
                    advance = 59,
                }
                chrs[51089] = {
                    x1 = 0, y1 = -7, x2 = 58, y2 = 56,
                    s1 = 0.38671875, t1 = 0.9384765625, s2 = 0.443359375, t2 = 1,
                    advance = 59,
                }
                chrs[51116] = {
                    x1 = 0, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.158203125, t1 = 0.8759765625, s2 = 0.2119140625, t2 = 0.9375,
                    advance = 59,
                }
                chrs[51201] = {
                    x1 = 1, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.421875, t1 = 0.8154296875, s2 = 0.4736328125, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[51204] = {
                    x1 = 1, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.1611328125, t1 = 0.5732421875, s2 = 0.2138671875, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[51216] = {
                    x1 = 1, y1 = -6, x2 = 54, y2 = 56,
                    s1 = 0.0986328125, t1 = 0.6923828125, s2 = 0.150390625, t2 = 0.7529296875,
                    advance = 59,
                }
                chrs[51221] = {
                    x1 = 1, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.6806640625, t1 = 0.8154296875, s2 = 0.732421875, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[51228] = {
                    x1 = 0, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.8662109375, t1 = 0.876953125, s2 = 0.919921875, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[51333] = {
                    x1 = 1, y1 = -7, x2 = 57, y2 = 53,
                    s1 = 0.2138671875, t1 = 0.5146484375, s2 = 0.2685546875, t2 = 0.5732421875,
                    advance = 59,
                }
                chrs[51452] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 53,
                    s1 = 0.7431640625, t1 = 0.515625, s2 = 0.798828125, t2 = 0.57421875,
                    advance = 59,
                }
                chrs[51600] = {
                    x1 = 1, y1 = -6, x2 = 57, y2 = 54,
                    s1 = 0.1591796875, t1 = 0.5146484375, s2 = 0.2138671875, t2 = 0.5732421875,
                    advance = 59,
                }
                chrs[51648] = {
                    x1 = 1, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.236328125, t1 = 0.75390625, s2 = 0.287109375, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[51652] = {
                    x1 = 2, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.4736328125, t1 = 0.5732421875, s2 = 0.525390625, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[51656] = {
                    x1 = 2, y1 = -6, x2 = 55, y2 = 56,
                    s1 = 0.046875, t1 = 0.69140625, s2 = 0.0986328125, t2 = 0.751953125,
                    advance = 59,
                }
                chrs[52268] = {
                    x1 = 1, y1 = -5, x2 = 58, y2 = 56,
                    s1 = 0.0986328125, t1 = 0.6328125, s2 = 0.154296875, t2 = 0.6923828125,
                    advance = 59,
                }
                chrs[52380] = {
                    x1 = 1, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.2138671875, t1 = 0.5732421875, s2 = 0.2666015625, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[52404] = {
                    x1 = 0, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.8125, t1 = 0.876953125, s2 = 0.8662109375, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[52488] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 55,
                    s1 = 0.4345703125, t1 = 0.462890625, s2 = 0.490234375, t2 = 0.515625,
                    advance = 59,
                }
                chrs[52572] = {
                    x1 = 2, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.4873046875, t1 = 0.75390625, s2 = 0.537109375, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[52628] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 56,
                    s1 = 0.2138671875, t1 = 0.876953125, s2 = 0.26953125, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[52828] = {
                    x1 = 2, y1 = -5, x2 = 55, y2 = 56,
                    s1 = 0.3701171875, t1 = 0.5732421875, s2 = 0.421875, t2 = 0.6328125,
                    advance = 59,
                }
                chrs[52845] = {
                    x1 = 2, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.537109375, t1 = 0.75390625, s2 = 0.5869140625, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[53412] = {
                    x1 = 2, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.337890625, t1 = 0.75390625, s2 = 0.3876953125, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[53440] = {
                    x1 = 4, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.5439453125, t1 = 0.876953125, s2 = 0.59765625, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[53552] = {
                    x1 = 4, y1 = -7, x2 = 54, y2 = 56,
                    s1 = 0.7861328125, t1 = 0.75390625, s2 = 0.8349609375, t2 = 0.8154296875,
                    advance = 59,
                }
                chrs[53944] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 51,
                    s1 = 0.4345703125, t1 = 0.4140625, s2 = 0.490234375, t2 = 0.462890625,
                    advance = 59,
                }
                chrs[53945] = {
                    x1 = 1, y1 = -7, x2 = 57, y2 = 54,
                    s1 = 0.6533203125, t1 = 0.57421875, s2 = 0.7080078125, t2 = 0.6337890625,
                    advance = 59,
                }
                chrs[54036] = {
                    x1 = 1, y1 = -6, x2 = 58, y2 = 56,
                    s1 = 0.591796875, t1 = 0.693359375, s2 = 0.6474609375, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[54364] = {
                    x1 = 1, y1 = 0, x2 = 58, y2 = 51,
                    s1 = 0.8271484375, t1 = 0.4150390625, s2 = 0.8828125, t2 = 0.46484375,
                    advance = 59,
                }
                chrs[54532] = {
                    x1 = 1, y1 = 1, x2 = 58, y2 = 50,
                    s1 = 0.2080078125, t1 = 0.3671875, s2 = 0.263671875, t2 = 0.4150390625,
                    advance = 59,
                }
                chrs[54540] = {
                    x1 = 1, y1 = -6, x2 = 57, y2 = 54,
                    s1 = 0.1044921875, t1 = 0.5146484375, s2 = 0.1591796875, t2 = 0.5732421875,
                    advance = 59,
                }
                chrs[54588] = {
                    x1 = 1, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.052734375, t1 = 0.8134765625, s2 = 0.103515625, t2 = 0.875,
                    advance = 59,
                }
                chrs[54616] = {
                    x1 = 1, y1 = -7, x2 = 59, y2 = 56,
                    s1 = 0.5, t1 = 0.9384765625, s2 = 0.556640625, t2 = 1,
                    advance = 59,
                }
                chrs[54620] = {
                    x1 = 1, y1 = -5, x2 = 58, y2 = 56,
                    s1 = 0, t1 = 0.6318359375, s2 = 0.0556640625, t2 = 0.69140625,
                    advance = 59,
                }
                chrs[54633] = {
                    x1 = 1, y1 = -6, x2 = 58, y2 = 56,
                    s1 = 0.6474609375, t1 = 0.693359375, s2 = 0.703125, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[54637] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 56,
                    s1 = 0.7822265625, t1 = 0.9384765625, s2 = 0.837890625, t2 = 1,
                    advance = 59,
                }
                chrs[54644] = {
                    x1 = 1, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.2119140625, t1 = 0.8154296875, s2 = 0.2646484375, t2 = 0.876953125,
                    advance = 59,
                }
                chrs[54665] = {
                    x1 = 1, y1 = -7, x2 = 55, y2 = 56,
                    s1 = 0.08203125, t1 = 0.875, s2 = 0.134765625, t2 = 0.9365234375,
                    advance = 59,
                }
                chrs[54868] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 56,
                    s1 = 0.26953125, t1 = 0.876953125, s2 = 0.3251953125, t2 = 0.9384765625,
                    advance = 59,
                }
                chrs[54869] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 57,
                    s1 = 0.158203125, t1 = 0.9375, s2 = 0.2138671875, t2 = 1,
                    advance = 59,
                }
                chrs[54876] = {
                    x1 = 1, y1 = -6, x2 = 58, y2 = 56,
                    s1 = 0.4248046875, t1 = 0.693359375, s2 = 0.48046875, t2 = 0.75390625,
                    advance = 59,
                }
                chrs[54889] = {
                    x1 = 1, y1 = -7, x2 = 58, y2 = 56,
                    s1 = 0.8935546875, t1 = 0.9384765625, s2 = 0.94921875, t2 = 1,
                    advance = 59,
                }
                chrs[54943] = {
                    x1 = 2, y1 = -7, x2 = 56, y2 = 56,
                    s1 = 0, t1 = 0.87109375, s2 = 0.052734375, t2 = 0.9326171875,
                    advance = 59,
                }
                chrs[54952] = {
                    x1 = 1, y1 = 0, x2 = 58, y2 = 55,
                    s1 = 0.37890625, t1 = 0.4619140625, s2 = 0.4345703125, t2 = 0.515625,
                    advance = 59,
                }
                chrs[55176] = {
                    x1 = 3, y1 = -7, x2 = 53, y2 = 56,
                    s1 = 0.9326171875, t1 = 0.75390625, s2 = 0.9814453125, t2 = 0.8154296875,
                    advance = 59,
                }
            end)();
            return chrs
        end)(),
    },
}

return am._init_fonts(font_data, "fonts/ko.png")