local font_data = {
    minfilter = "linear",
    magfilter = "linear",
    is_premult = true,
    {
        is_font = true,
        size = 64,
        mono = false,
        filename = "../tmp/bold.otf",
        face = 0,
        chars = (function()
            local chrs = {}
            (function()
                chrs[32] = {
                    x1 = -1, y1 = 0, x2 = 1, y2 = 2,
                    s1 = 0.994140625, t1 = 0.4453125, s2 = 0.998046875, t2 = 0.44921875,
                    advance = 25,
                }
                chrs[33] = {
                    x1 = 3, y1 = 0, x2 = 18, y2 = 47,
                    s1 = 0.318359375, t1 = 0.353515625, s2 = 0.34765625, t2 = 0.4453125,
                    advance = 22,
                }
                chrs[34] = {
                    x1 = 3, y1 = 27, x2 = 33, y2 = 47,
                    s1 = 0.384765625, t1 = 0.251953125, s2 = 0.443359375, t2 = 0.291015625,
                    advance = 36,
                }
                chrs[37] = {
                    x1 = 1, y1 = -1, x2 = 75, y2 = 48,
                    s1 = 0.583984375, t1 = 0.904296875, s2 = 0.728515625, t2 = 1,
                    advance = 75,
                }
                chrs[39] = {
                    x1 = 3, y1 = 27, x2 = 17, y2 = 47,
                    s1 = 0.19921875, t1 = 0.30859375, s2 = 0.2265625, t2 = 0.34765625,
                    advance = 20,
                }
                chrs[40] = {
                    x1 = 5, y1 = -2, x2 = 28, y2 = 48,
                    s1 = 0.5390625, t1 = 0.90234375, s2 = 0.583984375, t2 = 1,
                    advance = 30,
                }
                chrs[41] = {
                    x1 = 3, y1 = -2, x2 = 26, y2 = 48,
                    s1 = 0.494140625, t1 = 0.90234375, s2 = 0.5390625, t2 = 1,
                    advance = 30,
                }
                chrs[44] = {
                    x1 = 1, y1 = -7, x2 = 19, y2 = 11,
                    s1 = 0.19921875, t1 = 0.2734375, s2 = 0.234375, t2 = 0.30859375,
                    advance = 20,
                }
                chrs[45] = {
                    x1 = 2, y1 = 14, x2 = 36, y2 = 25,
                    s1 = 0.443359375, t1 = 0.26953125, s2 = 0.509765625, t2 = 0.291015625,
                    advance = 38,
                }
                chrs[46] = {
                    x1 = 3, y1 = 0, x2 = 17, y2 = 11,
                    s1 = 0.966796875, t1 = 0.2734375, s2 = 0.994140625, t2 = 0.294921875,
                    advance = 20,
                }
                chrs[47] = {
                    x1 = 0, y1 = 0, x2 = 37, y2 = 47,
                    s1 = 0.72265625, t1 = 0.357421875, s2 = 0.794921875, t2 = 0.44921875,
                    advance = 37,
                }
                chrs[48] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 47,
                    s1 = 0.61328125, t1 = 0.6328125, s2 = 0.71875, t2 = 0.724609375,
                    advance = 60,
                }
                chrs[49] = {
                    x1 = 0, y1 = 0, x2 = 26, y2 = 47,
                    s1 = 0.859375, t1 = 0.357421875, s2 = 0.91015625, t2 = 0.44921875,
                    advance = 29,
                }
                chrs[50] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.72265625, t1 = 0.541015625, s2 = 0.82421875, t2 = 0.6328125,
                    advance = 58,
                }
                chrs[51] = {
                    x1 = 1, y1 = 0, x2 = 51, y2 = 47,
                    s1 = 0.626953125, t1 = 0.44921875, s2 = 0.724609375, t2 = 0.541015625,
                    advance = 54,
                }
                chrs[52] = {
                    x1 = 2, y1 = 0, x2 = 53, y2 = 47,
                    s1 = 0.82421875, t1 = 0.541015625, s2 = 0.923828125, t2 = 0.6328125,
                    advance = 56,
                }
                chrs[53] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.328125, t1 = 0.537109375, s2 = 0.427734375, t2 = 0.62890625,
                    advance = 57,
                }
                chrs[54] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.2109375, t1 = 0.5234375, s2 = 0.310546875, t2 = 0.615234375,
                    advance = 57,
                }
                chrs[55] = {
                    x1 = 0, y1 = 0, x2 = 51, y2 = 47,
                    s1 = 0.1015625, t1 = 0.51953125, s2 = 0.201171875, t2 = 0.611328125,
                    advance = 51,
                }
                chrs[56] = {
                    x1 = 3, y1 = 0, x2 = 56, y2 = 47,
                    s1 = 0.416015625, t1 = 0.62890625, s2 = 0.51953125, t2 = 0.720703125,
                    advance = 59,
                }
                chrs[57] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0, t1 = 0.515625, s2 = 0.099609375, t2 = 0.607421875,
                    advance = 57,
                }
                chrs[58] = {
                    x1 = 3, y1 = -1, x2 = 17, y2 = 31,
                    s1 = 0.966796875, t1 = 0.294921875, s2 = 0.994140625, t2 = 0.357421875,
                    advance = 20,
                }
                chrs[59] = {
                    x1 = 1, y1 = -7, x2 = 19, y2 = 30,
                    s1 = 0.34765625, t1 = 0.373046875, s2 = 0.3828125, t2 = 0.4453125,
                    advance = 20,
                }
                chrs[63] = {
                    x1 = 3, y1 = 0, x2 = 42, y2 = 47,
                    s1 = 0.646484375, t1 = 0.357421875, s2 = 0.72265625, t2 = 0.44921875,
                    advance = 44,
                }
                chrs[64] = {
                    x1 = 4, y1 = -13, x2 = 76, y2 = 47,
                    s1 = 0, t1 = 0.8828125, s2 = 0.140625, t2 = 1,
                    advance = 80,
                }
                chrs[65] = {
                    x1 = -1, y1 = 0, x2 = 64, y2 = 47,
                    s1 = 0.85546875, t1 = 0.81640625, s2 = 0.982421875, t2 = 0.908203125,
                    advance = 63,
                }
                chrs[66] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0, t1 = 0.607421875, s2 = 0.1015625, t2 = 0.69921875,
                    advance = 58,
                }
                chrs[67] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.51953125, t1 = 0.541015625, s2 = 0.62109375, t2 = 0.6328125,
                    advance = 56,
                }
                chrs[68] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 47,
                    s1 = 0.82421875, t1 = 0.6328125, s2 = 0.9296875, t2 = 0.724609375,
                    advance = 60,
                }
                chrs[69] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.427734375, t1 = 0.44921875, s2 = 0.52734375, t2 = 0.541015625,
                    advance = 56,
                }
                chrs[70] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.52734375, t1 = 0.44921875, s2 = 0.626953125, t2 = 0.541015625,
                    advance = 53,
                }
                chrs[71] = {
                    x1 = 3, y1 = 0, x2 = 60, y2 = 47,
                    s1 = 0.501953125, t1 = 0.720703125, s2 = 0.61328125, t2 = 0.8125,
                    advance = 63,
                }
                chrs[72] = {
                    x1 = 3, y1 = 0, x2 = 59, y2 = 47,
                    s1 = 0.306640625, t1 = 0.70703125, s2 = 0.416015625, t2 = 0.798828125,
                    advance = 63,
                }
                chrs[73] = {
                    x1 = 3, y1 = 0, x2 = 18, y2 = 47,
                    s1 = 0.2890625, t1 = 0.353515625, s2 = 0.318359375, t2 = 0.4453125,
                    advance = 22,
                }
                chrs[74] = {
                    x1 = 0, y1 = 0, x2 = 40, y2 = 47,
                    s1 = 0.568359375, t1 = 0.357421875, s2 = 0.646484375, t2 = 0.44921875,
                    advance = 43,
                }
                chrs[75] = {
                    x1 = 3, y1 = 0, x2 = 61, y2 = 47,
                    s1 = 0.8203125, t1 = 0.724609375, s2 = 0.93359375, t2 = 0.81640625,
                    advance = 59,
                }
                chrs[76] = {
                    x1 = 3, y1 = 0, x2 = 51, y2 = 47,
                    s1 = 0.724609375, t1 = 0.44921875, s2 = 0.818359375, t2 = 0.541015625,
                    advance = 50,
                }
                chrs[77] = {
                    x1 = 3, y1 = 0, x2 = 68, y2 = 47,
                    s1 = 0.728515625, t1 = 0.81640625, s2 = 0.85546875, t2 = 0.908203125,
                    advance = 71,
                }
                chrs[78] = {
                    x1 = 3, y1 = 0, x2 = 61, y2 = 47,
                    s1 = 0.70703125, t1 = 0.724609375, s2 = 0.8203125, t2 = 0.81640625,
                    advance = 65,
                }
                chrs[79] = {
                    x1 = 3, y1 = 0, x2 = 62, y2 = 47,
                    s1 = 0, t1 = 0.791015625, s2 = 0.115234375, t2 = 0.8828125,
                    advance = 65,
                }
                chrs[80] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.62109375, t1 = 0.541015625, s2 = 0.72265625, t2 = 0.6328125,
                    advance = 58,
                }
                chrs[81] = {
                    x1 = 3, y1 = -9, x2 = 62, y2 = 47,
                    s1 = 0.37890625, t1 = 0.890625, s2 = 0.494140625, t2 = 1,
                    advance = 65,
                }
                chrs[82] = {
                    x1 = 3, y1 = 0, x2 = 59, y2 = 47,
                    s1 = 0.115234375, t1 = 0.703125, s2 = 0.224609375, t2 = 0.794921875,
                    advance = 58,
                }
                chrs[83] = {
                    x1 = 3, y1 = 0, x2 = 56, y2 = 47,
                    s1 = 0.107421875, t1 = 0.611328125, s2 = 0.2109375, t2 = 0.703125,
                    advance = 58,
                }
                chrs[84] = {
                    x1 = -1, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0, t1 = 0.69921875, s2 = 0.107421875, t2 = 0.791015625,
                    advance = 53,
                }
                chrs[85] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 47,
                    s1 = 0.71875, t1 = 0.6328125, s2 = 0.82421875, t2 = 0.724609375,
                    advance = 61,
                }
                chrs[86] = {
                    x1 = -1, y1 = 0, x2 = 62, y2 = 47,
                    s1 = 0.583984375, t1 = 0.8125, s2 = 0.70703125, t2 = 0.904296875,
                    advance = 61,
                }
                chrs[87] = {
                    x1 = -1, y1 = 0, x2 = 79, y2 = 47,
                    s1 = 0.728515625, t1 = 0.908203125, s2 = 0.884765625, t2 = 1,
                    advance = 78,
                }
                chrs[88] = {
                    x1 = -1, y1 = 0, x2 = 61, y2 = 47,
                    s1 = 0.185546875, t1 = 0.794921875, s2 = 0.306640625, t2 = 0.88671875,
                    advance = 60,
                }
                chrs[89] = {
                    x1 = -1, y1 = 0, x2 = 62, y2 = 47,
                    s1 = 0.37890625, t1 = 0.798828125, s2 = 0.501953125, t2 = 0.890625,
                    advance = 61,
                }
                chrs[90] = {
                    x1 = 1, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.224609375, t1 = 0.615234375, s2 = 0.328125, t2 = 0.70703125,
                    advance = 55,
                }
                chrs[91] = {
                    x1 = 6, y1 = -6, x2 = 30, y2 = 52,
                    s1 = 0.33203125, t1 = 0.88671875, s2 = 0.37890625, t2 = 1,
                    advance = 33,
                }
                chrs[93] = {
                    x1 = 3, y1 = -6, x2 = 27, y2 = 52,
                    s1 = 0.28515625, t1 = 0.88671875, s2 = 0.33203125, t2 = 1,
                    advance = 33,
                }
                chrs[95] = {
                    x1 = -1, y1 = -12, x2 = 50, y2 = -3,
                    s1 = 0.509765625, t1 = 0.2734375, s2 = 0.609375, t2 = 0.291015625,
                    advance = 49,
                }
                chrs[97] = {
                    x1 = 2, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.71484375, t1 = 0.291015625, s2 = 0.798828125, t2 = 0.357421875,
                    advance = 48,
                }
                chrs[98] = {
                    x1 = 3, y1 = 0, x2 = 48, y2 = 47,
                    s1 = 0.099609375, t1 = 0.427734375, s2 = 0.1875, t2 = 0.51953125,
                    advance = 51,
                }
                chrs[99] = {
                    x1 = 2, y1 = 0, x2 = 42, y2 = 34,
                    s1 = 0, t1 = 0.224609375, s2 = 0.078125, t2 = 0.291015625,
                    advance = 44,
                }
                chrs[100] = {
                    x1 = 2, y1 = 0, x2 = 47, y2 = 47,
                    s1 = 0.201171875, t1 = 0.431640625, s2 = 0.2890625, t2 = 0.5234375,
                    advance = 51,
                }
                chrs[101] = {
                    x1 = 2, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.798828125, t1 = 0.291015625, s2 = 0.8828125, t2 = 0.357421875,
                    advance = 48,
                }
                chrs[102] = {
                    x1 = 0, y1 = 0, x2 = 33, y2 = 47,
                    s1 = 0.794921875, t1 = 0.357421875, s2 = 0.859375, t2 = 0.44921875,
                    advance = 29,
                }
                chrs[103] = {
                    x1 = 2, y1 = -13, x2 = 46, y2 = 34,
                    s1 = 0.3984375, t1 = 0.357421875, s2 = 0.484375, t2 = 0.44921875,
                    advance = 49,
                }
                chrs[104] = {
                    x1 = 3, y1 = 0, x2 = 47, y2 = 47,
                    s1 = 0, t1 = 0.423828125, s2 = 0.0859375, t2 = 0.515625,
                    advance = 50,
                }
                chrs[105] = {
                    x1 = 3, y1 = 0, x2 = 18, y2 = 47,
                    s1 = 0.958984375, t1 = 0.357421875, s2 = 0.98828125, t2 = 0.44921875,
                    advance = 22,
                }
                chrs[106] = {
                    x1 = -5, y1 = -13, x2 = 18, y2 = 47,
                    s1 = 0.140625, t1 = 0.8828125, s2 = 0.185546875, t2 = 1,
                    advance = 21,
                }
                chrs[107] = {
                    x1 = 3, y1 = 0, x2 = 50, y2 = 47,
                    s1 = 0.818359375, t1 = 0.44921875, s2 = 0.91015625, t2 = 0.541015625,
                    advance = 49,
                }
                chrs[108] = {
                    x1 = 3, y1 = 0, x2 = 28, y2 = 47,
                    s1 = 0.91015625, t1 = 0.357421875, s2 = 0.958984375, t2 = 0.44921875,
                    advance = 28,
                }
                chrs[109] = {
                    x1 = 3, y1 = 0, x2 = 63, y2 = 34,
                    s1 = 0, t1 = 0.291015625, s2 = 0.1171875, t2 = 0.357421875,
                    advance = 65,
                }
                chrs[110] = {
                    x1 = 3, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.1171875, t1 = 0.28125, s2 = 0.19921875, t2 = 0.34765625,
                    advance = 48,
                }
                chrs[111] = {
                    x1 = 2, y1 = 0, x2 = 48, y2 = 34,
                    s1 = 0.5390625, t1 = 0.291015625, s2 = 0.62890625, t2 = 0.357421875,
                    advance = 50,
                }
                chrs[112] = {
                    x1 = 3, y1 = -13, x2 = 48, y2 = 34,
                    s1 = 0.91015625, t1 = 0.44921875, s2 = 0.998046875, t2 = 0.541015625,
                    advance = 50,
                }
                chrs[113] = {
                    x1 = 2, y1 = -13, x2 = 47, y2 = 34,
                    s1 = 0.310546875, t1 = 0.4453125, s2 = 0.3984375, t2 = 0.537109375,
                    advance = 50,
                }
                chrs[114] = {
                    x1 = 3, y1 = 0, x2 = 31, y2 = 34,
                    s1 = 0.330078125, t1 = 0.224609375, s2 = 0.384765625, t2 = 0.291015625,
                    advance = 30,
                }
                chrs[115] = {
                    x1 = 2, y1 = 0, x2 = 44, y2 = 34,
                    s1 = 0.248046875, t1 = 0.287109375, s2 = 0.330078125, t2 = 0.353515625,
                    advance = 45,
                }
                chrs[116] = {
                    x1 = 0, y1 = 0, x2 = 31, y2 = 43,
                    s1 = 0.1875, t1 = 0.34765625, s2 = 0.248046875, t2 = 0.431640625,
                    advance = 31,
                }
                chrs[117] = {
                    x1 = 3, y1 = 0, x2 = 46, y2 = 34,
                    s1 = 0.8828125, t1 = 0.291015625, s2 = 0.966796875, t2 = 0.357421875,
                    advance = 49,
                }
                chrs[118] = {
                    x1 = -1, y1 = 0, x2 = 46, y2 = 34,
                    s1 = 0.447265625, t1 = 0.291015625, s2 = 0.5390625, t2 = 0.357421875,
                    advance = 44,
                }
                chrs[119] = {
                    x1 = -1, y1 = 0, x2 = 63, y2 = 34,
                    s1 = 0, t1 = 0.357421875, s2 = 0.125, t2 = 0.423828125,
                    advance = 62,
                }
                chrs[120] = {
                    x1 = -1, y1 = 0, x2 = 50, y2 = 34,
                    s1 = 0.34765625, t1 = 0.291015625, s2 = 0.447265625, t2 = 0.357421875,
                    advance = 49,
                }
                chrs[121] = {
                    x1 = 3, y1 = -13, x2 = 46, y2 = 34,
                    s1 = 0.484375, t1 = 0.357421875, s2 = 0.568359375, t2 = 0.44921875,
                    advance = 49,
                }
                chrs[122] = {
                    x1 = 1, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.62890625, t1 = 0.291015625, s2 = 0.71484375, t2 = 0.357421875,
                    advance = 47,
                }
                chrs[123] = {
                    x1 = 1, y1 = -6, x2 = 26, y2 = 52,
                    s1 = 0.236328125, t1 = 0.88671875, s2 = 0.28515625, t2 = 1,
                    advance = 30,
                }
                chrs[125] = {
                    x1 = 3, y1 = -6, x2 = 29, y2 = 52,
                    s1 = 0.185546875, t1 = 0.88671875, s2 = 0.236328125, t2 = 1,
                    advance = 30,
                }
            end)();
            return chrs
        end)(),
    },
}

return am._init_fonts(font_data, "fonts/nl.png")