local font_data = {
    minfilter = "linear",
    magfilter = "linear",
    is_premult = true,
    {
        is_font = true,
        size = 64,
        mono = false,
        filename = "../tmp/bold.otf",
        face = 0,
        chars = (function()
            local chrs = {}
            (function()
                chrs[32] = {
                    x1 = -1, y1 = 0, x2 = 1, y2 = 2,
                    s1 = 0.99609375, t1 = 0.99609375, s2 = 1, t2 = 1,
                    advance = 25,
                }
                chrs[33] = {
                    x1 = 3, y1 = 0, x2 = 18, y2 = 47,
                    s1 = 0.966796875, t1 = 0.693359375, s2 = 0.99609375, t2 = 0.78515625,
                    advance = 22,
                }
                chrs[34] = {
                    x1 = 3, y1 = 27, x2 = 33, y2 = 47,
                    s1 = 0.853515625, t1 = 0.220703125, s2 = 0.912109375, t2 = 0.259765625,
                    advance = 36,
                }
                chrs[37] = {
                    x1 = 1, y1 = -1, x2 = 75, y2 = 48,
                    s1 = 0.33984375, t1 = 0.78515625, s2 = 0.484375, t2 = 0.880859375,
                    advance = 75,
                }
                chrs[39] = {
                    x1 = 3, y1 = 27, x2 = 17, y2 = 47,
                    s1 = 0.966796875, t1 = 0.408203125, s2 = 0.994140625, t2 = 0.447265625,
                    advance = 20,
                }
                chrs[40] = {
                    x1 = 5, y1 = -2, x2 = 28, y2 = 48,
                    s1 = 0.294921875, t1 = 0.783203125, s2 = 0.33984375, t2 = 0.880859375,
                    advance = 30,
                }
                chrs[41] = {
                    x1 = 3, y1 = -2, x2 = 26, y2 = 48,
                    s1 = 0.25, t1 = 0.783203125, s2 = 0.294921875, t2 = 0.880859375,
                    advance = 30,
                }
                chrs[44] = {
                    x1 = 1, y1 = -7, x2 = 19, y2 = 11,
                    s1 = 0.953125, t1 = 0.373046875, s2 = 0.98828125, t2 = 0.408203125,
                    advance = 20,
                }
                chrs[45] = {
                    x1 = 2, y1 = 14, x2 = 36, y2 = 25,
                    s1 = 0.912109375, t1 = 0.23828125, s2 = 0.978515625, t2 = 0.259765625,
                    advance = 38,
                }
                chrs[46] = {
                    x1 = 3, y1 = 0, x2 = 17, y2 = 11,
                    s1 = 0.390625, t1 = 0.23828125, s2 = 0.41796875, t2 = 0.259765625,
                    advance = 20,
                }
                chrs[47] = {
                    x1 = 0, y1 = 0, x2 = 37, y2 = 47,
                    s1 = 0.6171875, t1 = 0.318359375, s2 = 0.689453125, t2 = 0.41015625,
                    advance = 37,
                }
                chrs[48] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 47,
                    s1 = 0.82421875, t1 = 0.59375, s2 = 0.9296875, t2 = 0.685546875,
                    advance = 60,
                }
                chrs[49] = {
                    x1 = 0, y1 = 0, x2 = 26, y2 = 47,
                    s1 = 0.75390625, t1 = 0.318359375, s2 = 0.8046875, t2 = 0.41015625,
                    advance = 29,
                }
                chrs[50] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.642578125, t1 = 0.501953125, s2 = 0.744140625, t2 = 0.59375,
                    advance = 58,
                }
                chrs[51] = {
                    x1 = 1, y1 = 0, x2 = 51, y2 = 47,
                    s1 = 0.5078125, t1 = 0.41015625, s2 = 0.60546875, t2 = 0.501953125,
                    advance = 54,
                }
                chrs[52] = {
                    x1 = 2, y1 = 0, x2 = 53, y2 = 47,
                    s1 = 0, t1 = 0.4140625, s2 = 0.099609375, t2 = 0.505859375,
                    advance = 56,
                }
                chrs[53] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.1015625, t1 = 0.416015625, s2 = 0.201171875, t2 = 0.5078125,
                    advance = 57,
                }
                chrs[54] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.408203125, t1 = 0.41796875, s2 = 0.5078125, t2 = 0.509765625,
                    advance = 57,
                }
                chrs[55] = {
                    x1 = 0, y1 = 0, x2 = 51, y2 = 47,
                    s1 = 0.30859375, t1 = 0.41796875, s2 = 0.408203125, t2 = 0.509765625,
                    advance = 51,
                }
                chrs[56] = {
                    x1 = 3, y1 = 0, x2 = 56, y2 = 47,
                    s1 = 0.4375, t1 = 0.509765625, s2 = 0.541015625, t2 = 0.6015625,
                    advance = 59,
                }
                chrs[57] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.208984375, t1 = 0.41796875, s2 = 0.30859375, t2 = 0.509765625,
                    advance = 57,
                }
                chrs[58] = {
                    x1 = 3, y1 = -1, x2 = 17, y2 = 31,
                    s1 = 0.966796875, t1 = 0.447265625, s2 = 0.994140625, t2 = 0.509765625,
                    advance = 20,
                }
                chrs[59] = {
                    x1 = 1, y1 = -7, x2 = 19, y2 = 30,
                    s1 = 0.9140625, t1 = 0.337890625, s2 = 0.94921875, t2 = 0.41015625,
                    advance = 20,
                }
                chrs[63] = {
                    x1 = 3, y1 = 0, x2 = 42, y2 = 47,
                    s1 = 0.541015625, t1 = 0.318359375, s2 = 0.6171875, t2 = 0.41015625,
                    advance = 44,
                }
                chrs[64] = {
                    x1 = 4, y1 = -13, x2 = 76, y2 = 47,
                    s1 = 0.607421875, t1 = 0.8828125, s2 = 0.748046875, t2 = 1,
                    advance = 80,
                }
                chrs[65] = {
                    x1 = -1, y1 = 0, x2 = 64, y2 = 47,
                    s1 = 0.466796875, t1 = 0.693359375, s2 = 0.59375, t2 = 0.78515625,
                    advance = 63,
                }
                chrs[66] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.107421875, t1 = 0.5078125, s2 = 0.208984375, t2 = 0.599609375,
                    advance = 58,
                }
                chrs[67] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0.541015625, t1 = 0.501953125, s2 = 0.642578125, t2 = 0.59375,
                    advance = 56,
                }
                chrs[68] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 47,
                    s1 = 0.71875, t1 = 0.59375, s2 = 0.82421875, t2 = 0.685546875,
                    advance = 60,
                }
                chrs[69] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.744140625, t1 = 0.501953125, s2 = 0.84375, t2 = 0.59375,
                    advance = 56,
                }
                chrs[70] = {
                    x1 = 3, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.84375, t1 = 0.501953125, s2 = 0.943359375, t2 = 0.59375,
                    advance = 53,
                }
                chrs[71] = {
                    x1 = 3, y1 = 0, x2 = 60, y2 = 47,
                    s1 = 0.392578125, t1 = 0.6015625, s2 = 0.50390625, t2 = 0.693359375,
                    advance = 63,
                }
                chrs[72] = {
                    x1 = 3, y1 = 0, x2 = 59, y2 = 47,
                    s1 = 0.50390625, t1 = 0.6015625, s2 = 0.61328125, t2 = 0.693359375,
                    advance = 63,
                }
                chrs[73] = {
                    x1 = 3, y1 = 0, x2 = 18, y2 = 47,
                    s1 = 0.966796875, t1 = 0.509765625, s2 = 0.99609375, t2 = 0.6015625,
                    advance = 22,
                }
                chrs[74] = {
                    x1 = 0, y1 = 0, x2 = 40, y2 = 47,
                    s1 = 0.462890625, t1 = 0.318359375, s2 = 0.541015625, t2 = 0.41015625,
                    advance = 43,
                }
                chrs[75] = {
                    x1 = 3, y1 = 0, x2 = 61, y2 = 47,
                    s1 = 0.83203125, t1 = 0.685546875, s2 = 0.9453125, t2 = 0.77734375,
                    advance = 59,
                }
                chrs[76] = {
                    x1 = 3, y1 = 0, x2 = 51, y2 = 47,
                    s1 = 0.60546875, t1 = 0.41015625, s2 = 0.69921875, t2 = 0.501953125,
                    advance = 50,
                }
                chrs[77] = {
                    x1 = 3, y1 = 0, x2 = 68, y2 = 47,
                    s1 = 0.33984375, t1 = 0.693359375, s2 = 0.466796875, t2 = 0.78515625,
                    advance = 71,
                }
                chrs[78] = {
                    x1 = 3, y1 = 0, x2 = 61, y2 = 47,
                    s1 = 0.279296875, t1 = 0.6015625, s2 = 0.392578125, t2 = 0.693359375,
                    advance = 65,
                }
                chrs[79] = {
                    x1 = 3, y1 = 0, x2 = 62, y2 = 47,
                    s1 = 0.716796875, t1 = 0.685546875, s2 = 0.83203125, t2 = 0.77734375,
                    advance = 65,
                }
                chrs[80] = {
                    x1 = 3, y1 = 0, x2 = 55, y2 = 47,
                    s1 = 0, t1 = 0.505859375, s2 = 0.1015625, t2 = 0.59765625,
                    advance = 58,
                }
                chrs[81] = {
                    x1 = 3, y1 = -9, x2 = 62, y2 = 47,
                    s1 = 0.79296875, t1 = 0.77734375, s2 = 0.908203125, t2 = 0.88671875,
                    advance = 65,
                }
                chrs[82] = {
                    x1 = 3, y1 = 0, x2 = 59, y2 = 47,
                    s1 = 0.12109375, t1 = 0.599609375, s2 = 0.23046875, t2 = 0.69140625,
                    advance = 58,
                }
                chrs[83] = {
                    x1 = 3, y1 = 0, x2 = 56, y2 = 47,
                    s1 = 0.333984375, t1 = 0.509765625, s2 = 0.4375, t2 = 0.6015625,
                    advance = 58,
                }
                chrs[84] = {
                    x1 = -1, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0, t1 = 0.59765625, s2 = 0.107421875, t2 = 0.689453125,
                    advance = 53,
                }
                chrs[85] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 47,
                    s1 = 0.61328125, t1 = 0.59375, s2 = 0.71875, t2 = 0.685546875,
                    advance = 61,
                }
                chrs[86] = {
                    x1 = -1, y1 = 0, x2 = 62, y2 = 47,
                    s1 = 0.15625, t1 = 0.69140625, s2 = 0.279296875, t2 = 0.783203125,
                    advance = 61,
                }
                chrs[87] = {
                    x1 = -1, y1 = 0, x2 = 79, y2 = 47,
                    s1 = 0, t1 = 0.78125, s2 = 0.15625, t2 = 0.873046875,
                    advance = 78,
                }
                chrs[88] = {
                    x1 = -1, y1 = 0, x2 = 61, y2 = 47,
                    s1 = 0, t1 = 0.689453125, s2 = 0.12109375, t2 = 0.78125,
                    advance = 60,
                }
                chrs[89] = {
                    x1 = -1, y1 = 0, x2 = 62, y2 = 47,
                    s1 = 0.59375, t1 = 0.693359375, s2 = 0.716796875, t2 = 0.78515625,
                    advance = 61,
                }
                chrs[90] = {
                    x1 = 1, y1 = 0, x2 = 54, y2 = 47,
                    s1 = 0.23046875, t1 = 0.509765625, s2 = 0.333984375, t2 = 0.6015625,
                    advance = 55,
                }
                chrs[91] = {
                    x1 = 6, y1 = -6, x2 = 30, y2 = 52,
                    s1 = 0.892578125, t1 = 0.88671875, s2 = 0.939453125, t2 = 1,
                    advance = 33,
                }
                chrs[93] = {
                    x1 = 3, y1 = -6, x2 = 27, y2 = 52,
                    s1 = 0.939453125, t1 = 0.88671875, s2 = 0.986328125, t2 = 1,
                    advance = 33,
                }
                chrs[95] = {
                    x1 = -1, y1 = -12, x2 = 50, y2 = -3,
                    s1 = 0, t1 = 0.23828125, s2 = 0.099609375, t2 = 0.255859375,
                    advance = 49,
                }
                chrs[97] = {
                    x1 = 2, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.6875, t1 = 0.251953125, s2 = 0.771484375, t2 = 0.318359375,
                    advance = 48,
                }
                chrs[98] = {
                    x1 = 3, y1 = 0, x2 = 48, y2 = 47,
                    s1 = 0.201171875, t1 = 0.326171875, s2 = 0.2890625, t2 = 0.41796875,
                    advance = 51,
                }
                chrs[99] = {
                    x1 = 2, y1 = 0, x2 = 42, y2 = 34,
                    s1 = 0.2578125, t1 = 0.193359375, s2 = 0.3359375, t2 = 0.259765625,
                    advance = 44,
                }
                chrs[100] = {
                    x1 = 2, y1 = 0, x2 = 47, y2 = 47,
                    s1 = 0.2890625, t1 = 0.326171875, s2 = 0.376953125, t2 = 0.41796875,
                    advance = 51,
                }
                chrs[101] = {
                    x1 = 2, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.603515625, t1 = 0.251953125, s2 = 0.6875, t2 = 0.318359375,
                    advance = 48,
                }
                chrs[102] = {
                    x1 = 0, y1 = 0, x2 = 33, y2 = 47,
                    s1 = 0.689453125, t1 = 0.318359375, s2 = 0.75390625, t2 = 0.41015625,
                    advance = 29,
                }
                chrs[103] = {
                    x1 = 2, y1 = -13, x2 = 46, y2 = 34,
                    s1 = 0.376953125, t1 = 0.326171875, s2 = 0.462890625, t2 = 0.41796875,
                    advance = 49,
                }
                chrs[104] = {
                    x1 = 3, y1 = 0, x2 = 47, y2 = 47,
                    s1 = 0.099609375, t1 = 0.32421875, s2 = 0.185546875, t2 = 0.416015625,
                    advance = 50,
                }
                chrs[105] = {
                    x1 = 3, y1 = 0, x2 = 18, y2 = 47,
                    s1 = 0.966796875, t1 = 0.6015625, s2 = 0.99609375, t2 = 0.693359375,
                    advance = 22,
                }
                chrs[106] = {
                    x1 = -5, y1 = -13, x2 = 18, y2 = 47,
                    s1 = 0.748046875, t1 = 0.8828125, s2 = 0.79296875, t2 = 1,
                    advance = 21,
                }
                chrs[107] = {
                    x1 = 3, y1 = 0, x2 = 50, y2 = 47,
                    s1 = 0.69921875, t1 = 0.41015625, s2 = 0.791015625, t2 = 0.501953125,
                    advance = 49,
                }
                chrs[108] = {
                    x1 = 3, y1 = 0, x2 = 28, y2 = 47,
                    s1 = 0.8046875, t1 = 0.318359375, s2 = 0.853515625, t2 = 0.41015625,
                    advance = 28,
                }
                chrs[109] = {
                    x1 = 3, y1 = 0, x2 = 63, y2 = 34,
                    s1 = 0.310546875, t1 = 0.259765625, s2 = 0.427734375, t2 = 0.326171875,
                    advance = 65,
                }
                chrs[110] = {
                    x1 = 3, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.771484375, t1 = 0.251953125, s2 = 0.853515625, t2 = 0.318359375,
                    advance = 48,
                }
                chrs[111] = {
                    x1 = 2, y1 = 0, x2 = 48, y2 = 34,
                    s1 = 0.427734375, t1 = 0.251953125, s2 = 0.517578125, t2 = 0.318359375,
                    advance = 50,
                }
                chrs[112] = {
                    x1 = 3, y1 = -13, x2 = 48, y2 = 34,
                    s1 = 0.87890625, t1 = 0.41015625, s2 = 0.966796875, t2 = 0.501953125,
                    advance = 50,
                }
                chrs[113] = {
                    x1 = 2, y1 = -13, x2 = 47, y2 = 34,
                    s1 = 0.791015625, t1 = 0.41015625, s2 = 0.87890625, t2 = 0.501953125,
                    advance = 50,
                }
                chrs[114] = {
                    x1 = 3, y1 = 0, x2 = 31, y2 = 34,
                    s1 = 0.3359375, t1 = 0.193359375, s2 = 0.390625, t2 = 0.259765625,
                    advance = 30,
                }
                chrs[115] = {
                    x1 = 2, y1 = 0, x2 = 44, y2 = 34,
                    s1 = 0.17578125, t1 = 0.193359375, s2 = 0.2578125, t2 = 0.259765625,
                    advance = 45,
                }
                chrs[116] = {
                    x1 = 0, y1 = 0, x2 = 31, y2 = 43,
                    s1 = 0.853515625, t1 = 0.326171875, s2 = 0.9140625, t2 = 0.41015625,
                    advance = 31,
                }
                chrs[117] = {
                    x1 = 3, y1 = 0, x2 = 46, y2 = 34,
                    s1 = 0, t1 = 0.255859375, s2 = 0.083984375, t2 = 0.322265625,
                    advance = 49,
                }
                chrs[118] = {
                    x1 = -1, y1 = 0, x2 = 46, y2 = 34,
                    s1 = 0.083984375, t1 = 0.2578125, s2 = 0.17578125, t2 = 0.32421875,
                    advance = 44,
                }
                chrs[119] = {
                    x1 = -1, y1 = 0, x2 = 63, y2 = 34,
                    s1 = 0.185546875, t1 = 0.259765625, s2 = 0.310546875, t2 = 0.326171875,
                    advance = 62,
                }
                chrs[120] = {
                    x1 = -1, y1 = 0, x2 = 50, y2 = 34,
                    s1 = 0.853515625, t1 = 0.259765625, s2 = 0.953125, t2 = 0.326171875,
                    advance = 49,
                }
                chrs[121] = {
                    x1 = 3, y1 = -13, x2 = 46, y2 = 34,
                    s1 = 0, t1 = 0.322265625, s2 = 0.083984375, t2 = 0.4140625,
                    advance = 49,
                }
                chrs[122] = {
                    x1 = 1, y1 = 0, x2 = 45, y2 = 34,
                    s1 = 0.517578125, t1 = 0.251953125, s2 = 0.603515625, t2 = 0.318359375,
                    advance = 47,
                }
                chrs[123] = {
                    x1 = 1, y1 = -6, x2 = 26, y2 = 52,
                    s1 = 0.84375, t1 = 0.88671875, s2 = 0.892578125, t2 = 1,
                    advance = 30,
                }
                chrs[125] = {
                    x1 = 3, y1 = -6, x2 = 29, y2 = 52,
                    s1 = 0.79296875, t1 = 0.88671875, s2 = 0.84375, t2 = 1,
                    advance = 30,
                }
                chrs[195] = {
                    x1 = -1, y1 = 0, x2 = 64, y2 = 61,
                    s1 = 0.25, t1 = 0.880859375, s2 = 0.376953125, t2 = 1,
                    advance = 63,
                }
                chrs[199] = {
                    x1 = 3, y1 = -18, x2 = 55, y2 = 47,
                    s1 = 0, t1 = 0.873046875, s2 = 0.1015625, t2 = 1,
                    advance = 56,
                }
                chrs[205] = {
                    x1 = 3, y1 = 0, x2 = 25, y2 = 62,
                    s1 = 0.20703125, t1 = 0.87890625, s2 = 0.25, t2 = 1,
                    advance = 22,
                }
                chrs[211] = {
                    x1 = 3, y1 = 0, x2 = 62, y2 = 61,
                    s1 = 0.376953125, t1 = 0.880859375, s2 = 0.4921875, t2 = 1,
                    advance = 65,
                }
                chrs[213] = {
                    x1 = 3, y1 = 0, x2 = 62, y2 = 61,
                    s1 = 0.4921875, t1 = 0.880859375, s2 = 0.607421875, t2 = 1,
                    advance = 65,
                }
                chrs[218] = {
                    x1 = 3, y1 = 0, x2 = 57, y2 = 62,
                    s1 = 0.1015625, t1 = 0.87890625, s2 = 0.20703125, t2 = 1,
                    advance = 61,
                }
                chrs[224] = {
                    x1 = 2, y1 = 0, x2 = 45, y2 = 50,
                    s1 = 0.69140625, t1 = 0.78515625, s2 = 0.775390625, t2 = 0.8828125,
                    advance = 48,
                }
                chrs[227] = {
                    x1 = 2, y1 = 0, x2 = 45, y2 = 49,
                    s1 = 0.484375, t1 = 0.78515625, s2 = 0.568359375, t2 = 0.880859375,
                    advance = 48,
                }
                chrs[231] = {
                    x1 = 2, y1 = -18, x2 = 42, y2 = 34,
                    s1 = 0.908203125, t1 = 0.78515625, s2 = 0.986328125, t2 = 0.88671875,
                    advance = 44,
                }
                chrs[250] = {
                    x1 = 3, y1 = 0, x2 = 46, y2 = 50,
                    s1 = 0.607421875, t1 = 0.78515625, s2 = 0.69140625, t2 = 0.8828125,
                    advance = 49,
                }
            end)();
            return chrs
        end)(),
    },
}

return am._init_fonts(font_data, "fonts/pt-BR.png")