local font_data = {
    minfilter = "linear",
    magfilter = "linear",
    is_premult = true,
    {
        is_font = true,
        size = 64,
        mono = false,
        filename = "../tmp/bold.ttf",
        face = 0,
        chars = (function()
            local chrs = {}
            (function()
                chrs[32] = {
                    x1 = -1, y1 = 0, x2 = 1, y2 = 2,
                    s1 = 0.994140625, t1 = 0.609375, s2 = 0.99609375, t2 = 0.61328125,
                    advance = 17,
                }
                chrs[33] = {
                    x1 = 7, y1 = -1, x2 = 21, y2 = 48,
                    s1 = 0.66015625, t1 = 0.80078125, s2 = 0.673828125, t2 = 0.896484375,
                    advance = 26,
                }
                chrs[34] = {
                    x1 = 5, y1 = 30, x2 = 30, y2 = 60,
                    s1 = 0.5283203125, t1 = 0.4765625, s2 = 0.552734375, t2 = 0.53515625,
                    advance = 35,
                }
                chrs[37] = {
                    x1 = 1, y1 = -1, x2 = 56, y2 = 43,
                    s1 = 0.06640625, t1 = 0.572265625, s2 = 0.1201171875, t2 = 0.658203125,
                    advance = 58,
                }
                chrs[39] = {
                    x1 = 5, y1 = 30, x2 = 19, y2 = 60,
                    s1 = 0.1044921875, t1 = 0.513671875, s2 = 0.1181640625, t2 = 0.572265625,
                    advance = 22,
                }
                chrs[40] = {
                    x1 = 3, y1 = -18, x2 = 23, y2 = 60,
                    s1 = 0.0751953125, t1 = 0.84765625, s2 = 0.0947265625, t2 = 1,
                    advance = 25,
                }
                chrs[41] = {
                    x1 = 2, y1 = -18, x2 = 22, y2 = 60,
                    s1 = 0.0947265625, t1 = 0.84765625, s2 = 0.1142578125, t2 = 1,
                    advance = 25,
                }
                chrs[44] = {
                    x1 = 0, y1 = -8, x2 = 16, y2 = 11,
                    s1 = 0.552734375, t1 = 0.498046875, s2 = 0.568359375, t2 = 0.53515625,
                    advance = 19,
                }
                chrs[45] = {
                    x1 = 2, y1 = 15, x2 = 22, y2 = 25,
                    s1 = 0.58203125, t1 = 0.515625, s2 = 0.6015625, t2 = 0.53515625,
                    advance = 23,
                }
                chrs[46] = {
                    x1 = 2, y1 = -1, x2 = 16, y2 = 12,
                    s1 = 0.568359375, t1 = 0.509765625, s2 = 0.58203125, t2 = 0.53515625,
                    advance = 18,
                }
                chrs[47] = {
                    x1 = 1, y1 = -18, x2 = 29, y2 = 60,
                    s1 = 0, t1 = 0.84765625, s2 = 0.02734375, t2 = 1,
                    advance = 30,
                }
                chrs[48] = {
                    x1 = 0, y1 = -1, x2 = 35, y2 = 49,
                    s1 = 0.376953125, t1 = 0.783203125, s2 = 0.4111328125, t2 = 0.880859375,
                    advance = 35,
                }
                chrs[49] = {
                    x1 = 1, y1 = 0, x2 = 27, y2 = 48,
                    s1 = 0.169921875, t1 = 0.5859375, s2 = 0.1953125, t2 = 0.6796875,
                    advance = 35,
                }
                chrs[50] = {
                    x1 = 1, y1 = 0, x2 = 35, y2 = 49,
                    s1 = 0.7470703125, t1 = 0.705078125, s2 = 0.7802734375, t2 = 0.80078125,
                    advance = 35,
                }
                chrs[51] = {
                    x1 = 0, y1 = -1, x2 = 34, y2 = 49,
                    s1 = 0.1826171875, t1 = 0.7734375, s2 = 0.2158203125, t2 = 0.87109375,
                    advance = 35,
                }
                chrs[52] = {
                    x1 = -1, y1 = 0, x2 = 35, y2 = 48,
                    s1 = 0.232421875, t1 = 0.595703125, s2 = 0.267578125, t2 = 0.689453125,
                    advance = 35,
                }
                chrs[53] = {
                    x1 = 1, y1 = -1, x2 = 34, y2 = 48,
                    s1 = 0.7802734375, t1 = 0.705078125, s2 = 0.8125, t2 = 0.80078125,
                    advance = 35,
                }
                chrs[54] = {
                    x1 = 1, y1 = -1, x2 = 35, y2 = 49,
                    s1 = 0.4111328125, t1 = 0.783203125, s2 = 0.4443359375, t2 = 0.880859375,
                    advance = 35,
                }
                chrs[55] = {
                    x1 = 0, y1 = 0, x2 = 35, y2 = 48,
                    s1 = 0.3359375, t1 = 0.595703125, s2 = 0.3701171875, t2 = 0.689453125,
                    advance = 35,
                }
                chrs[56] = {
                    x1 = 1, y1 = -1, x2 = 35, y2 = 49,
                    s1 = 0.1494140625, t1 = 0.7734375, s2 = 0.1826171875, t2 = 0.87109375,
                    advance = 35,
                }
                chrs[57] = {
                    x1 = 0, y1 = -1, x2 = 34, y2 = 49,
                    s1 = 0.220703125, t1 = 0.779296875, s2 = 0.25390625, t2 = 0.876953125,
                    advance = 35,
                }
                chrs[58] = {
                    x1 = 3, y1 = -1, x2 = 17, y2 = 38,
                    s1 = 0.2177734375, t1 = 0.603515625, s2 = 0.2314453125, t2 = 0.6796875,
                    advance = 21,
                }
                chrs[59] = {
                    x1 = 2, y1 = -8, x2 = 17, y2 = 38,
                    s1 = 0.0400390625, t1 = 0.66015625, s2 = 0.0546875, t2 = 0.75,
                    advance = 21,
                }
                chrs[63] = {
                    x1 = 2, y1 = -1, x2 = 32, y2 = 49,
                    s1 = 0.0322265625, t1 = 0.75, s2 = 0.0615234375, t2 = 0.84765625,
                    advance = 35,
                }
                chrs[64] = {
                    x1 = 2, y1 = -5, x2 = 55, y2 = 48,
                    s1 = 0.4921875, t1 = 0.896484375, s2 = 0.5439453125, t2 = 1,
                    advance = 57,
                }
                chrs[65] = {
                    x1 = -1, y1 = 0, x2 = 45, y2 = 48,
                    s1 = 0.25390625, t1 = 0.689453125, s2 = 0.298828125, t2 = 0.783203125,
                    advance = 44,
                }
                chrs[66] = {
                    x1 = 4, y1 = 0, x2 = 41, y2 = 48,
                    s1 = 0.623046875, t1 = 0.611328125, s2 = 0.6591796875, t2 = 0.705078125,
                    advance = 43,
                }
                chrs[67] = {
                    x1 = 2, y1 = -1, x2 = 40, y2 = 49,
                    s1 = 0.33984375, t1 = 0.783203125, s2 = 0.376953125, t2 = 0.880859375,
                    advance = 41,
                }
                chrs[68] = {
                    x1 = 4, y1 = 0, x2 = 45, y2 = 48,
                    s1 = 0.0615234375, t1 = 0.658203125, s2 = 0.1015625, t2 = 0.751953125,
                    advance = 47,
                }
                chrs[69] = {
                    x1 = 4, y1 = 0, x2 = 34, y2 = 48,
                    s1 = 0.431640625, t1 = 0.595703125, s2 = 0.4609375, t2 = 0.689453125,
                    advance = 36,
                }
                chrs[70] = {
                    x1 = 4, y1 = 0, x2 = 33, y2 = 48,
                    s1 = 0.1416015625, t1 = 0.5859375, s2 = 0.169921875, t2 = 0.6796875,
                    advance = 35,
                }
                chrs[71] = {
                    x1 = 2, y1 = -1, x2 = 42, y2 = 49,
                    s1 = 0.62109375, t1 = 0.798828125, s2 = 0.66015625, t2 = 0.896484375,
                    advance = 46,
                }
                chrs[72] = {
                    x1 = 4, y1 = 0, x2 = 45, y2 = 48,
                    s1 = 0.8125, t1 = 0.61328125, s2 = 0.8525390625, t2 = 0.70703125,
                    advance = 49,
                }
                chrs[73] = {
                    x1 = 1, y1 = 0, x2 = 24, y2 = 48,
                    s1 = 0.1953125, t1 = 0.5859375, s2 = 0.2177734375, t2 = 0.6796875,
                    advance = 25,
                }
                chrs[74] = {
                    x1 = -6, y1 = -13, x2 = 17, y2 = 48,
                    s1 = 0.423828125, t1 = 0.880859375, s2 = 0.4462890625, t2 = 1,
                    advance = 21,
                }
                chrs[75] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 48,
                    s1 = 0.4736328125, t1 = 0.611328125, s2 = 0.5126953125, t2 = 0.705078125,
                    advance = 43,
                }
                chrs[76] = {
                    x1 = 4, y1 = 0, x2 = 35, y2 = 48,
                    s1 = 0.4013671875, t1 = 0.595703125, s2 = 0.431640625, t2 = 0.689453125,
                    advance = 36,
                }
                chrs[77] = {
                    x1 = 4, y1 = 0, x2 = 56, y2 = 48,
                    s1 = 0.484375, t1 = 0.705078125, s2 = 0.53515625, t2 = 0.798828125,
                    advance = 60,
                }
                chrs[78] = {
                    x1 = 4, y1 = 0, x2 = 48, y2 = 48,
                    s1 = 0.1484375, t1 = 0.6796875, s2 = 0.19140625, t2 = 0.7734375,
                    advance = 52,
                }
                chrs[79] = {
                    x1 = 2, y1 = -1, x2 = 49, y2 = 49,
                    s1 = 0.4921875, t1 = 0.798828125, s2 = 0.5380859375, t2 = 0.896484375,
                    advance = 51,
                }
                chrs[80] = {
                    x1 = 4, y1 = 0, x2 = 39, y2 = 48,
                    s1 = 0.267578125, t1 = 0.595703125, s2 = 0.3017578125, t2 = 0.689453125,
                    advance = 40,
                }
                chrs[81] = {
                    x1 = 2, y1 = -11, x2 = 49, y2 = 49,
                    s1 = 0.4462890625, t1 = 0.8828125, s2 = 0.4921875, t2 = 1,
                    advance = 51,
                }
                chrs[82] = {
                    x1 = 4, y1 = 0, x2 = 43, y2 = 48,
                    s1 = 0.5126953125, t1 = 0.611328125, s2 = 0.55078125, t2 = 0.705078125,
                    advance = 42,
                }
                chrs[83] = {
                    x1 = 1, y1 = -1, x2 = 34, y2 = 49,
                    s1 = 0, t1 = 0.75, s2 = 0.0322265625, t2 = 0.84765625,
                    advance = 35,
                }
                chrs[84] = {
                    x1 = 0, y1 = 0, x2 = 37, y2 = 48,
                    s1 = 0.55078125, t1 = 0.611328125, s2 = 0.5869140625, t2 = 0.705078125,
                    advance = 37,
                }
                chrs[85] = {
                    x1 = 4, y1 = -1, x2 = 44, y2 = 48,
                    s1 = 0.7080078125, t1 = 0.705078125, s2 = 0.7470703125, t2 = 0.80078125,
                    advance = 48,
                }
                chrs[86] = {
                    x1 = -1, y1 = 0, x2 = 43, y2 = 48,
                    s1 = 0.4306640625, t1 = 0.689453125, s2 = 0.4736328125, t2 = 0.783203125,
                    advance = 42,
                }
                chrs[87] = {
                    x1 = -1, y1 = 0, x2 = 63, y2 = 48,
                    s1 = 0.8125, t1 = 0.70703125, s2 = 0.875, t2 = 0.80078125,
                    advance = 62,
                }
                chrs[88] = {
                    x1 = -1, y1 = 0, x2 = 44, y2 = 48,
                    s1 = 0.298828125, t1 = 0.689453125, s2 = 0.3427734375, t2 = 0.783203125,
                    advance = 43,
                }
                chrs[89] = {
                    x1 = -1, y1 = 0, x2 = 41, y2 = 48,
                    s1 = 0.19140625, t1 = 0.6796875, s2 = 0.232421875, t2 = 0.7734375,
                    advance = 40,
                }
                chrs[90] = {
                    x1 = 0, y1 = 0, x2 = 37, y2 = 48,
                    s1 = 0.6591796875, t1 = 0.611328125, s2 = 0.6953125, t2 = 0.705078125,
                    advance = 37,
                }
                chrs[91] = {
                    x1 = 5, y1 = -18, x2 = 23, y2 = 60,
                    s1 = 0.1142578125, t1 = 0.84765625, s2 = 0.1318359375, t2 = 1,
                    advance = 25,
                }
                chrs[93] = {
                    x1 = 2, y1 = -18, x2 = 20, y2 = 60,
                    s1 = 0.1318359375, t1 = 0.84765625, s2 = 0.1494140625, t2 = 1,
                    advance = 25,
                }
                chrs[95] = {
                    x1 = -2, y1 = -11, x2 = 28, y2 = -3,
                    s1 = 0.6015625, t1 = 0.51953125, s2 = 0.630859375, t2 = 0.53515625,
                    advance = 26,
                }
                chrs[97] = {
                    x1 = 1, y1 = -1, x2 = 36, y2 = 38,
                    s1 = 0.958984375, t1 = 0.537109375, s2 = 0.9931640625, t2 = 0.61328125,
                    advance = 39,
                }
                chrs[98] = {
                    x1 = 4, y1 = -1, x2 = 39, y2 = 51,
                    s1 = 0.9033203125, t1 = 0.8984375, s2 = 0.9375, t2 = 1,
                    advance = 41,
                }
                chrs[99] = {
                    x1 = 1, y1 = -1, x2 = 32, y2 = 38,
                    s1 = 0.55859375, t1 = 0.53515625, s2 = 0.5888671875, t2 = 0.611328125,
                    advance = 33,
                }
                chrs[100] = {
                    x1 = 1, y1 = -1, x2 = 37, y2 = 51,
                    s1 = 0.8681640625, t1 = 0.8984375, s2 = 0.9033203125, t2 = 1,
                    advance = 41,
                }
                chrs[101] = {
                    x1 = 1, y1 = -1, x2 = 37, y2 = 38,
                    s1 = 0.888671875, t1 = 0.537109375, s2 = 0.923828125, t2 = 0.61328125,
                    advance = 38,
                }
                chrs[102] = {
                    x1 = 0, y1 = 0, x2 = 29, y2 = 51,
                    s1 = 0.9716796875, t1 = 0.80078125, s2 = 1, t2 = 0.900390625,
                    advance = 25,
                }
                chrs[103] = {
                    x1 = 1, y1 = -15, x2 = 37, y2 = 38,
                    s1 = 0.5439453125, t1 = 0.896484375, s2 = 0.5791015625, t2 = 1,
                    advance = 41,
                }
                chrs[104] = {
                    x1 = 4, y1 = 0, x2 = 39, y2 = 51,
                    s1 = 0.9375, t1 = 0.80078125, s2 = 0.9716796875, t2 = 0.900390625,
                    advance = 42,
                }
                chrs[105] = {
                    x1 = 3, y1 = 0, x2 = 17, y2 = 51,
                    s1 = 0.6826171875, t1 = 0.798828125, s2 = 0.6962890625, t2 = 0.8984375,
                    advance = 20,
                }
                chrs[106] = {
                    x1 = -6, y1 = -15, x2 = 17, y2 = 51,
                    s1 = 0.1982421875, t1 = 0.87109375, s2 = 0.220703125, t2 = 1,
                    advance = 20,
                }
                chrs[107] = {
                    x1 = 4, y1 = 0, x2 = 41, y2 = 51,
                    s1 = 0.9375, t1 = 0.900390625, s2 = 0.9736328125, t2 = 1,
                    advance = 40,
                }
                chrs[108] = {
                    x1 = 4, y1 = 0, x2 = 16, y2 = 51,
                    s1 = 0.6962890625, t1 = 0.798828125, s2 = 0.7080078125, t2 = 0.8984375,
                    advance = 20,
                }
                chrs[109] = {
                    x1 = 4, y1 = 0, x2 = 60, y2 = 38,
                    s1 = 0.6484375, t1 = 0.537109375, s2 = 0.703125, t2 = 0.611328125,
                    advance = 63,
                }
                chrs[110] = {
                    x1 = 4, y1 = 0, x2 = 39, y2 = 38,
                    s1 = 0.2177734375, t1 = 0.521484375, s2 = 0.251953125, t2 = 0.595703125,
                    advance = 42,
                }
                chrs[111] = {
                    x1 = 1, y1 = -1, x2 = 38, y2 = 38,
                    s1 = 0, t1 = 0.580078125, s2 = 0.0361328125, t2 = 0.65625,
                    advance = 40,
                }
                chrs[112] = {
                    x1 = 4, y1 = -15, x2 = 39, y2 = 38,
                    s1 = 0.6484375, t1 = 0.896484375, s2 = 0.6826171875, t2 = 1,
                    advance = 41,
                }
                chrs[113] = {
                    x1 = 1, y1 = -15, x2 = 37, y2 = 38,
                    s1 = 0.5791015625, t1 = 0.896484375, s2 = 0.6142578125, t2 = 1,
                    advance = 41,
                }
                chrs[114] = {
                    x1 = 3, y1 = 0, x2 = 29, y2 = 38,
                    s1 = 0.7763671875, t1 = 0.537109375, s2 = 0.8017578125, t2 = 0.611328125,
                    advance = 29,
                }
                chrs[115] = {
                    x1 = 1, y1 = -1, x2 = 31, y2 = 38,
                    s1 = 0.619140625, t1 = 0.53515625, s2 = 0.6484375, t2 = 0.611328125,
                    advance = 32,
                }
                chrs[116] = {
                    x1 = 0, y1 = -1, x2 = 27, y2 = 44,
                    s1 = 0.0400390625, t1 = 0.5703125, s2 = 0.06640625, t2 = 0.658203125,
                    advance = 28,
                }
                chrs[117] = {
                    x1 = 3, y1 = -1, x2 = 39, y2 = 37,
                    s1 = 0.7412109375, t1 = 0.537109375, s2 = 0.7763671875, t2 = 0.611328125,
                    advance = 42,
                }
                chrs[118] = {
                    x1 = -1, y1 = 0, x2 = 37, y2 = 37,
                    s1 = 0.6484375, t1 = 0.46484375, s2 = 0.685546875, t2 = 0.537109375,
                    advance = 36,
                }
                chrs[119] = {
                    x1 = -1, y1 = 0, x2 = 56, y2 = 37,
                    s1 = 0.30859375, t1 = 0.5234375, s2 = 0.3642578125, t2 = 0.595703125,
                    advance = 55,
                }
                chrs[120] = {
                    x1 = -1, y1 = 0, x2 = 38, y2 = 37,
                    s1 = 0.06640625, t1 = 0.5, s2 = 0.1044921875, t2 = 0.572265625,
                    advance = 37,
                }
                chrs[121] = {
                    x1 = -1, y1 = -15, x2 = 37, y2 = 37,
                    s1 = 0.7587890625, t1 = 0.8984375, s2 = 0.7958984375, t2 = 1,
                    advance = 36,
                }
                chrs[122] = {
                    x1 = 0, y1 = 0, x2 = 31, y2 = 37,
                    s1 = 0.9638671875, t1 = 0.46484375, s2 = 0.994140625, t2 = 0.537109375,
                    advance = 31,
                }
                chrs[123] = {
                    x1 = 1, y1 = -18, x2 = 26, y2 = 60,
                    s1 = 0.02734375, t1 = 0.84765625, s2 = 0.0517578125, t2 = 1,
                    advance = 27,
                }
                chrs[125] = {
                    x1 = 2, y1 = -18, x2 = 26, y2 = 60,
                    s1 = 0.0517578125, t1 = 0.84765625, s2 = 0.0751953125, t2 = 1,
                    advance = 27,
                }
                chrs[171] = {
                    x1 = 1, y1 = 3, x2 = 38, y2 = 34,
                    s1 = 0.4921875, t1 = 0.474609375, s2 = 0.5283203125, t2 = 0.53515625,
                    advance = 39,
                }
                chrs[187] = {
                    x1 = 1, y1 = 3, x2 = 38, y2 = 34,
                    s1 = 0.4560546875, t1 = 0.474609375, s2 = 0.4921875, t2 = 0.53515625,
                    advance = 39,
                }
                chrs[1040] = {
                    x1 = -1, y1 = 0, x2 = 45, y2 = 48,
                    s1 = 0.634765625, t1 = 0.705078125, s2 = 0.6796875, t2 = 0.798828125,
                    advance = 44,
                }
                chrs[1041] = {
                    x1 = 4, y1 = 0, x2 = 40, y2 = 48,
                    s1 = 0.7314453125, t1 = 0.611328125, s2 = 0.7666015625, t2 = 0.705078125,
                    advance = 41,
                }
                chrs[1042] = {
                    x1 = 4, y1 = 0, x2 = 41, y2 = 48,
                    s1 = 0.5869140625, t1 = 0.611328125, s2 = 0.623046875, t2 = 0.705078125,
                    advance = 43,
                }
                chrs[1043] = {
                    x1 = 4, y1 = 0, x2 = 36, y2 = 48,
                    s1 = 0.3701171875, t1 = 0.595703125, s2 = 0.4013671875, t2 = 0.689453125,
                    advance = 36,
                }
                chrs[1044] = {
                    x1 = -1, y1 = -13, x2 = 49, y2 = 48,
                    s1 = 0.330078125, t1 = 0.880859375, s2 = 0.37890625, t2 = 1,
                    advance = 49,
                }
                chrs[1045] = {
                    x1 = 4, y1 = 0, x2 = 34, y2 = 48,
                    s1 = 0.970703125, t1 = 0.61328125, s2 = 1, t2 = 0.70703125,
                    advance = 36,
                }
                chrs[1046] = {
                    x1 = -1, y1 = 0, x2 = 61, y2 = 48,
                    s1 = 0.875, t1 = 0.70703125, s2 = 0.935546875, t2 = 0.80078125,
                    advance = 60,
                }
                chrs[1047] = {
                    x1 = 1, y1 = -1, x2 = 40, y2 = 49,
                    s1 = 0.4462890625, t1 = 0.78515625, s2 = 0.484375, t2 = 0.8828125,
                    advance = 41,
                }
                chrs[1048] = {
                    x1 = 4, y1 = 0, x2 = 49, y2 = 48,
                    s1 = 0.38671875, t1 = 0.689453125, s2 = 0.4306640625, t2 = 0.783203125,
                    advance = 53,
                }
                chrs[1049] = {
                    x1 = 4, y1 = 0, x2 = 49, y2 = 63,
                    s1 = 0.220703125, t1 = 0.876953125, s2 = 0.2646484375, t2 = 1,
                    advance = 53,
                }
                chrs[1050] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 48,
                    s1 = 0.892578125, t1 = 0.61328125, s2 = 0.931640625, t2 = 0.70703125,
                    advance = 43,
                }
                chrs[1051] = {
                    x1 = -1, y1 = -1, x2 = 44, y2 = 48,
                    s1 = 0.0615234375, t1 = 0.751953125, s2 = 0.10546875, t2 = 0.84765625,
                    advance = 48,
                }
                chrs[1052] = {
                    x1 = 4, y1 = 0, x2 = 56, y2 = 48,
                    s1 = 0.53515625, t1 = 0.705078125, s2 = 0.5859375, t2 = 0.798828125,
                    advance = 60,
                }
                chrs[1053] = {
                    x1 = 4, y1 = 0, x2 = 45, y2 = 48,
                    s1 = 0, t1 = 0.65625, s2 = 0.0400390625, t2 = 0.75,
                    advance = 49,
                }
                chrs[1054] = {
                    x1 = 2, y1 = -1, x2 = 49, y2 = 49,
                    s1 = 0.87890625, t1 = 0.80078125, s2 = 0.9248046875, t2 = 0.8984375,
                    advance = 51,
                }
                chrs[1055] = {
                    x1 = 4, y1 = 0, x2 = 44, y2 = 48,
                    s1 = 0.931640625, t1 = 0.61328125, s2 = 0.970703125, t2 = 0.70703125,
                    advance = 48,
                }
                chrs[1056] = {
                    x1 = 4, y1 = 0, x2 = 39, y2 = 48,
                    s1 = 0.3017578125, t1 = 0.595703125, s2 = 0.3359375, t2 = 0.689453125,
                    advance = 40,
                }
                chrs[1057] = {
                    x1 = 2, y1 = -1, x2 = 40, y2 = 49,
                    s1 = 0.302734375, t1 = 0.783203125, s2 = 0.33984375, t2 = 0.880859375,
                    advance = 41,
                }
                chrs[1058] = {
                    x1 = 0, y1 = 0, x2 = 37, y2 = 48,
                    s1 = 0.6953125, t1 = 0.611328125, s2 = 0.7314453125, t2 = 0.705078125,
                    advance = 37,
                }
                chrs[1059] = {
                    x1 = -1, y1 = -1, x2 = 43, y2 = 48,
                    s1 = 0.10546875, t1 = 0.751953125, s2 = 0.1484375, t2 = 0.84765625,
                    advance = 42,
                }
                chrs[1060] = {
                    x1 = 1, y1 = -1, x2 = 54, y2 = 49,
                    s1 = 0.8271484375, t1 = 0.80078125, s2 = 0.87890625, t2 = 0.8984375,
                    advance = 55,
                }
                chrs[1061] = {
                    x1 = -1, y1 = 0, x2 = 44, y2 = 48,
                    s1 = 0.3427734375, t1 = 0.689453125, s2 = 0.38671875, t2 = 0.783203125,
                    advance = 43,
                }
                chrs[1062] = {
                    x1 = 4, y1 = -13, x2 = 50, y2 = 48,
                    s1 = 0.37890625, t1 = 0.880859375, s2 = 0.423828125, t2 = 1,
                    advance = 50,
                }
                chrs[1063] = {
                    x1 = 2, y1 = 0, x2 = 43, y2 = 48,
                    s1 = 0.8525390625, t1 = 0.61328125, s2 = 0.892578125, t2 = 0.70703125,
                    advance = 47,
                }
                chrs[1064] = {
                    x1 = 4, y1 = 0, x2 = 65, y2 = 48,
                    s1 = 0.935546875, t1 = 0.70703125, s2 = 0.9951171875, t2 = 0.80078125,
                    advance = 69,
                }
                chrs[1065] = {
                    x1 = 4, y1 = -13, x2 = 71, y2 = 48,
                    s1 = 0.2646484375, t1 = 0.880859375, s2 = 0.330078125, t2 = 1,
                    advance = 71,
                }
                chrs[1067] = {
                    x1 = 4, y1 = 0, x2 = 54, y2 = 48,
                    s1 = 0.5859375, t1 = 0.705078125, s2 = 0.634765625, t2 = 0.798828125,
                    advance = 58,
                }
                chrs[1068] = {
                    x1 = 4, y1 = 0, x2 = 40, y2 = 48,
                    s1 = 0.7666015625, t1 = 0.611328125, s2 = 0.8017578125, t2 = 0.705078125,
                    advance = 41,
                }
                chrs[1069] = {
                    x1 = 1, y1 = -1, x2 = 40, y2 = 49,
                    s1 = 0.2646484375, t1 = 0.783203125, s2 = 0.302734375, t2 = 0.880859375,
                    advance = 42,
                }
                chrs[1070] = {
                    x1 = 4, y1 = -1, x2 = 66, y2 = 49,
                    s1 = 0.7080078125, t1 = 0.80078125, s2 = 0.7685546875, t2 = 0.8984375,
                    advance = 68,
                }
                chrs[1071] = {
                    x1 = -2, y1 = 0, x2 = 39, y2 = 48,
                    s1 = 0.1015625, t1 = 0.658203125, s2 = 0.1416015625, t2 = 0.751953125,
                    advance = 43,
                }
                chrs[1072] = {
                    x1 = 1, y1 = -1, x2 = 36, y2 = 38,
                    s1 = 0.4609375, t1 = 0.53515625, s2 = 0.4951171875, t2 = 0.611328125,
                    advance = 39,
                }
                chrs[1073] = {
                    x1 = 1, y1 = -1, x2 = 39, y2 = 51,
                    s1 = 0.7216796875, t1 = 0.8984375, s2 = 0.7587890625, t2 = 1,
                    advance = 40,
                }
                chrs[1074] = {
                    x1 = 4, y1 = 0, x2 = 40, y2 = 37,
                    s1 = 0.7578125, t1 = 0.46484375, s2 = 0.79296875, t2 = 0.537109375,
                    advance = 41,
                }
                chrs[1075] = {
                    x1 = 4, y1 = 0, x2 = 31, y2 = 37,
                    s1 = 0.0380859375, t1 = 0.498046875, s2 = 0.064453125, t2 = 0.5703125,
                    advance = 31,
                }
                chrs[1076] = {
                    x1 = -1, y1 = -13, x2 = 43, y2 = 37,
                    s1 = 0.5380859375, t1 = 0.798828125, s2 = 0.5810546875, t2 = 0.896484375,
                    advance = 43,
                }
                chrs[1077] = {
                    x1 = 1, y1 = -1, x2 = 37, y2 = 38,
                    s1 = 0.923828125, t1 = 0.537109375, s2 = 0.958984375, t2 = 0.61328125,
                    advance = 38,
                }
                chrs[1078] = {
                    x1 = -1, y1 = 0, x2 = 57, y2 = 37,
                    s1 = 0.251953125, t1 = 0.5234375, s2 = 0.30859375, t2 = 0.595703125,
                    advance = 56,
                }
                chrs[1079] = {
                    x1 = 1, y1 = -1, x2 = 35, y2 = 38,
                    s1 = 0.4951171875, t1 = 0.53515625, s2 = 0.5283203125, t2 = 0.611328125,
                    advance = 36,
                }
                chrs[1080] = {
                    x1 = 3, y1 = 0, x2 = 43, y2 = 37,
                    s1 = 0.4169921875, t1 = 0.5234375, s2 = 0.4560546875, t2 = 0.595703125,
                    advance = 46,
                }
                chrs[1081] = {
                    x1 = 3, y1 = 0, x2 = 43, y2 = 52,
                    s1 = 0.6826171875, t1 = 0.8984375, s2 = 0.7216796875, t2 = 1,
                    advance = 46,
                }
                chrs[1082] = {
                    x1 = 4, y1 = 0, x2 = 41, y2 = 37,
                    s1 = 0.7216796875, t1 = 0.46484375, s2 = 0.7578125, t2 = 0.537109375,
                    advance = 40,
                }
                chrs[1083] = {
                    x1 = -1, y1 = -1, x2 = 38, y2 = 37,
                    s1 = 0.703125, t1 = 0.537109375, s2 = 0.7412109375, t2 = 0.611328125,
                    advance = 41,
                }
                chrs[1084] = {
                    x1 = 4, y1 = 0, x2 = 51, y2 = 37,
                    s1 = 0.1669921875, t1 = 0.513671875, s2 = 0.212890625, t2 = 0.5859375,
                    advance = 54,
                }
                chrs[1085] = {
                    x1 = 3, y1 = 0, x2 = 39, y2 = 37,
                    s1 = 0.79296875, t1 = 0.46484375, s2 = 0.828125, t2 = 0.537109375,
                    advance = 42,
                }
                chrs[1086] = {
                    x1 = 1, y1 = -1, x2 = 38, y2 = 38,
                    s1 = 0.8525390625, t1 = 0.537109375, s2 = 0.888671875, t2 = 0.61328125,
                    advance = 40,
                }
                chrs[1087] = {
                    x1 = 4, y1 = 0, x2 = 38, y2 = 37,
                    s1 = 0.9306640625, t1 = 0.46484375, s2 = 0.9638671875, t2 = 0.537109375,
                    advance = 42,
                }
                chrs[1088] = {
                    x1 = 4, y1 = -15, x2 = 39, y2 = 38,
                    s1 = 0.6142578125, t1 = 0.896484375, s2 = 0.6484375, t2 = 1,
                    advance = 41,
                }
                chrs[1089] = {
                    x1 = 1, y1 = -1, x2 = 32, y2 = 38,
                    s1 = 0.5283203125, t1 = 0.53515625, s2 = 0.55859375, t2 = 0.611328125,
                    advance = 33,
                }
                chrs[1090] = {
                    x1 = 0, y1 = 0, x2 = 35, y2 = 37,
                    s1 = 0.828125, t1 = 0.46484375, s2 = 0.8623046875, t2 = 0.537109375,
                    advance = 35,
                }
                chrs[1091] = {
                    x1 = -1, y1 = -15, x2 = 37, y2 = 37,
                    s1 = 0.7958984375, t1 = 0.8984375, s2 = 0.8330078125, t2 = 1,
                    advance = 36,
                }
                chrs[1092] = {
                    x1 = 1, y1 = -15, x2 = 51, y2 = 51,
                    s1 = 0.1494140625, t1 = 0.87109375, s2 = 0.1982421875, t2 = 1,
                    advance = 52,
                }
                chrs[1093] = {
                    x1 = -1, y1 = 0, x2 = 38, y2 = 37,
                    s1 = 0, t1 = 0.5078125, s2 = 0.0380859375, t2 = 0.580078125,
                    advance = 37,
                }
                chrs[1094] = {
                    x1 = 4, y1 = -13, x2 = 45, y2 = 37,
                    s1 = 0.5810546875, t1 = 0.798828125, s2 = 0.62109375, t2 = 0.896484375,
                    advance = 44,
                }
                chrs[1095] = {
                    x1 = 2, y1 = 0, x2 = 39, y2 = 37,
                    s1 = 0.685546875, t1 = 0.46484375, s2 = 0.7216796875, t2 = 0.537109375,
                    advance = 42,
                }
                chrs[1096] = {
                    x1 = 4, y1 = 0, x2 = 58, y2 = 37,
                    s1 = 0.3642578125, t1 = 0.5234375, s2 = 0.4169921875, t2 = 0.595703125,
                    advance = 62,
                }
                chrs[1097] = {
                    x1 = 4, y1 = -13, x2 = 64, y2 = 37,
                    s1 = 0.7685546875, t1 = 0.80078125, s2 = 0.8271484375, t2 = 0.8984375,
                    advance = 63,
                }
                chrs[1099] = {
                    x1 = 3, y1 = 0, x2 = 51, y2 = 37,
                    s1 = 0.1201171875, t1 = 0.513671875, s2 = 0.1669921875, t2 = 0.5859375,
                    advance = 54,
                }
                chrs[1100] = {
                    x1 = 3, y1 = 0, x2 = 38, y2 = 37,
                    s1 = 0.8623046875, t1 = 0.46484375, s2 = 0.896484375, t2 = 0.537109375,
                    advance = 39,
                }
                chrs[1101] = {
                    x1 = 1, y1 = -1, x2 = 32, y2 = 38,
                    s1 = 0.5888671875, t1 = 0.53515625, s2 = 0.619140625, t2 = 0.611328125,
                    advance = 33,
                }
                chrs[1102] = {
                    x1 = 3, y1 = -1, x2 = 55, y2 = 38,
                    s1 = 0.8017578125, t1 = 0.537109375, s2 = 0.8525390625, t2 = 0.61328125,
                    advance = 56,
                }
                chrs[1103] = {
                    x1 = -1, y1 = 0, x2 = 34, y2 = 37,
                    s1 = 0.896484375, t1 = 0.46484375, s2 = 0.9306640625, t2 = 0.537109375,
                    advance = 38,
                }
                chrs[1105] = {
                    x1 = 1, y1 = -1, x2 = 37, y2 = 51,
                    s1 = 0.8330078125, t1 = 0.8984375, s2 = 0.8681640625, t2 = 1,
                    advance = 38,
                }
            end)();
            return chrs
        end)(),
    },
}

return am._init_fonts(font_data, "fonts/ru.png")