local palettes = require "palettes"

function show_inf_gameover(gs)
    root_scene:remove_all()
    gs = {
        main_scene = am.group(),
        palette = palettes[1],
        score = gs.score,
        new_inf_best = gs.new_inf_best,
    }
    init_background(gs)
    set_star_speed(800)
    init_vortex_as_background(gs, true)
    vortex_speedup_background(gs)
    root_scene:append(gs.main_scene)
    local color = vec4(gs.palette[6], 1)
    local align = 400
    local score_node = am.scale(0.5) ^ {
        am.translate(-align, 0) ^ am.text(font, strings.score, color, "left"),
        am.translate(align, 0) ^ am.text(font, gs.score, color, "right"),
    }
    local best_node = am.scale(0.5) ^ {
        am.translate(-align, 0) ^ am.text(font, strings.best, color, "left"),
        am.translate(align, 0) ^ am.text(font, global_state.best_inf_score or 0, color, "right"):tag"score",
    }
    if gs.new_inf_best then
        best_node"score":action(function(node)
            node.hidden = math.fract(am.frame_time * 2) < 0.5
        end)
    end

    local scl = is_phone and 0.6 or 1
    local result_y = 110
    if am.steamworks_available and am.steamworks_available() then
        result_y = -100
        scl = 0.75
        gs.main_scene:append(make_leaderboard("infinite"))
    end
    local results_node = am.translate(0, result_y)
        ^ am.scale(scl)
        ^ {
            am.translate(0, 50) ^ score_node,
            am.translate(0, 0) ^ best_node,
        }
    gs.main_scene:append(results_node)

    local menu
    local menu_items = {
        {
            text = function() return language == "en" and "AGAIN" or strings.start end,
            mobile_big = true,
            action = function()
                gs.main_scene:remove(menu)
                results_node.hidden = true
                show_background()
                play_audio_warp()
                vortex_zoom_background()
                gs.main_scene:action(am.series{
                    am.delay(1),
                    function()
                        start_infinite_game()
                        return true
                    end
                })
            end,
        },
        {
            text = function() 
                return strings.music.." "..tostring(global_state.infinite_music or 1)
            end,
            left = function()
                global_state.infinite_music = (global_state.infinite_music or 1) - 1
                if global_state.infinite_music < 1 then
                    global_state.infinite_music = num_stages
                end
                save_state()
                start_music(get_stage_first_level(global_state.infinite_music), true)
            end,
            right = function()
                global_state.infinite_music = (global_state.infinite_music or 1) + 1
                if global_state.infinite_music > num_stages then
                    global_state.infinite_music = 1
                end
                save_state()
                start_music(get_stage_first_level(global_state.infinite_music))
            end,
        },
        {
            text = function() return strings.back end,
            action = function()
                show_title()
                return true
            end
        },
    }
    if am.gamecenter_available and am.gamecenter_available() and (global_state.game_speed or 100) == 100 then
        table.insert(menu_items, #menu_items-1,
            {
                text = function() return strings.show_leaderboard end,
                action = function()
                    show_leaderboard("infinite")
                    play_audio_jump()
                end,
            })
    end
    menu = make_menu(menu_items, is_mobile and (win.safe_bottom + 150) or win.bottom + 80, gs.palette, 1)
    gs.main_scene:append(menu)
end
