function line_point_distance(l1, l2, p)
    local x0, x1, x2, y0, y1, y2 = p.x, l1.x, l2.x, p.y, l1.y, l2.y
    local d = math.distance(l1, l2)
    if d <= 0 then
        return math.distance(l1, p)
    else
        return math.abs( (y2 - y1) * x0 - (x2 - x1) * y0 + x2 * y1 - y2 * x1 ) / d
    end
end

function point_in_rect(p, p1, p2, r)
    r = r or 0
    local x0, x1, x2, y0, y1, y2 = p.x, p1.x, p2.x, p.y, p1.y, p2.y
    return x0 + r >= math.min(x1, x2) and x0 - r <= math.max(x1, x2) and
        y0 + r >= math.min(y1, y2) and y0 - r <= math.max(y1, y2)
end
