#!/usr/bin/env amulet
local lang = arg[1]
if not lang then
    error("missing arg")
end

local strings = am.load_script("strings/"..lang..".lua")()
local strings_en = am.load_script("strings/en.lua")()
strings_en.digits = "0123456789"
strings_en.punct = "%/@()[]{};:.,-_!?'\""
strings_en.alpha = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"

local codes = {}
for k, str in pairs(strings_en) do
    if strings[k] then
        str = strings[k]
    end
    for p, c in utf8.codes(str) do
        codes[c] = true
    end
end
codes = table.keys(codes)
table.sort(codes)
local output
local c0
local c1
local
function append()
    if output then
        output = output..","
    else
        output = ""
    end
    output = output..string.format("0x%x-0x%x", c0, c1)
end
for _, c in ipairs(codes) do
    if not c0 then
        c0 = c
        c1 = c
    elseif c == c1 + 1 then
        c1 = c
    else
        append()
        c0 = c
        c1 = c
    end
end
append()
print(output)
