--if am.platform == "ios" then
--    function init_leaderboards()
--        if am.init_gamecenter then
--            am.init_gamecenter()
--        end
--    end
--
--    function submit_score(gs)
--        if am.gamecenter_available and am.gamecenter_available() then
--            if gs.state.mode == "inf" and not gs.state.relaxed_mode then
--                am.submit_gamecenter_score("jumpgrid.inf", gs.state.score)
--            end
--        end
--    end
--
--    function show_leaderboard()
--        if am.gamecenter_available and am.gamecenter_available() then
--            am.show_gamecenter_leaderboard("jumpgrid.inf")
--        end
--    end
--
--    function leaderboards_available()
--        return am.gamecenter_available and am.gamecenter_available()
--    end
--elseif am.platform == "android" then
--    function init_leaderboards()
--        am.init_google_play_services()
--    end
--
--    function submit_score(gs)
--        if am.google_play_available and am.google_play_available() then
--            if gs.state.mode == "inf" and not gs.state.relaxed_mode then
--                am.submit_google_play_score("CgkIx-fp1-kPEAIQAA", gs.state.score)
--            end
--        end
--    end
--
--    function show_leaderboard()
--        if am.google_play_available and am.google_play_available() then
--            am.show_google_play_leaderboard("CgkIx-fp1-kPEAIQAA")
--        end
--    end
--
--    function leaderboards_available()
--        return am.google_play_available and am.google_play_available()
--    end
if am.steamworks_available then
    function init_leaderboards()
    end

    function submit_score(gs)
        if am.steamworks_available() then
            if gs.mode == "stage_speedrun" then
                local stage = get_level_stage(gs.level_num)
                am.submit_steamworks_score("stage_speedrun_"..stage, math.floor(gs.stage_stats.secs * 100))
            end
            if gs.mode == "infinite" and (global_state.game_speed or 100) == 100 then
                am.submit_steamworks_score("infinite", gs.score)
            end
        end
    end

    function show_leaderboard()
    end

    function leaderboards_available()
        return am.steamworks_available()
    end
elseif am.platform == "ios" then
    function init_leaderboards()
        if am.init_gamecenter then
            am.init_gamecenter()
        end
    end

    function submit_score(gs)
        if am.gamecenter_available and am.gamecenter_available() then
            if gs.mode == "stage_speedrun" then
                local stage = get_level_stage(gs.level_num)
                am.submit_gamecenter_score("stage_speedrun_"..stage, math.floor(gs.stage_stats.secs * 100))
            end
            if gs.mode == "infinite" and (global_state.game_speed or 100) == 100 then
                am.submit_gamecenter_score("infinite", gs.score)
            end
        end
    end

    function show_leaderboard(id)
        if am.gamecenter_available and am.gamecenter_available() then
            am.show_gamecenter_leaderboard(id)
        end
    end

    function leaderboards_available()
        return am.gamecenter_available and am.gamecenter_available()
    end
else
    function init_leaderboards()
    end

    function submit_score(gs)
    end

    function show_leaderboard()
    end

    function leaderboards_available()
        return false
    end
end
