level_order = {
    "AAS",
    "ACU",
    "AAE",
    "AAV",
    "ACT",
    "ACS",
    "AAC",
    "ACR",
    "AAO",
    "AAZ",
    "AAP",
    "AAF",
    "ABB",
    "ABN",
    "AAW",
    "AAA",
    "ABD",
    "AAI",
    "ADG",
    "ADM",
    "ABG",
    "ABF",
    "AAL",
    "ACN", 
    "ABH",

    {
        name = "boss1", 
        sublevels = {"AEB"},--{--[["ADQ",]] "AEB", --[["ADK",]] "ADS"},--"ADL", "ADS",},
    },

    "AAM", 
    "ABQ",
    "ABR",
    "ABE",
    "ABS",
    "ABT",
    "ABV",
    "ACB",
    "ADI",
    "ABU",
    "ABX",
    "AAQ",
    "AAJ",
    "ABO",
    "ADP",
    "ACE",
    "ACF",
    "ACP",
    "AES",
    "ABZ",

    "ACH",
    "ACJ",
    "ABY",
    "ABL",

    {
        name = "boss2", 
        sublevels = {"ADU",},-- "ADV"}, --, "ADW"},
    },

    "AEG", 
    "AEP",
    "ACQ",
    "AEH",
    "AEI",
    "ACL", 
    "ACM", 
    "AEN",
    "AEF",
    "ACV",
    "AEK",
    "AEJ",
    "ACO",
    "ACX",

    "ADJ",
    "AAN",
    "AAG",

    "ACC",
    "ACD",
    "AEZ",
    "ACG",
    "AEO",
    "AFA",
    "AFT",

    {
        name = "boss3",
        sublevels = {"ADT", }
    },
    "AFM",
    "ADD",
    "ACZ",
    "ADF",
    "AEQ",
    "AFC",
    "ACY",
    "ADC",
    "AEU",

    "AFE",
    "AFJ",
    "AEX",
    "AEY",
    "AFF",
    "AEV",
    "AFI",
    "AFK",
    "AFN",

    "AER",
    "AFQ",
    "AFR",
    "AED",
    "ADX",
    "ADY",

    {
        name = "boss4",
        sublevels = { "AFG" },
    }

}

num_levels = #level_order

local level_stage = {}
local stage_first_level = {}
do
    local s = 1
    local n = 0
    for l = 1, num_levels do
        if not stage_first_level[s] then
            stage_first_level[s] = l
        end
        level_stage[l] = s
        n = n + 1
        if type(level_order[l]) == "table" then
            print("quadrant "..s..": "..n)
            n = 0
            if l == num_levels then
                num_stages = s
            else
                s = s + 1
            end
        end
    end
end

print("total:      "..num_levels)

function get_level_stage(level_num)
    return level_stage[level_num]
end

function get_stage_first_level(stage)
    return stage_first_level[stage]
end

function level_is_boss(level_num)
    return type(level_order[level_num]) == "table"
end

infinite_levels = {
    {
        "AGB",
        "AGF",
        "AGR",
        "AGH",
        "AGT",
    },
    {
        "AGI",
        "AFV",
        "AFW",
        "AFX",
        "AGA",
    },
    {
        "AFZ",
        "AGL",
        "AGM",
        "AGN",
        "AGP",
    },
    {
        "AGO",
        "AFY",
        "AGS",
        "AGQ",
        "AGV",
    },
    {
        "AGW",
    },
}

is_level_flipped_on_phone = {
    ACU = true,
    ACR = true,
    AFE = true,
    AFJ = true,
    AEX = true,
    AEY = true,
    AFF = true,
    AEV = true,
    AFI = true,
    AFK = true,
    AFQ = true,
    ADX = true,
    AFA = true,
    AGI = true,
}

is_level_flipped_on_non_phone = {
}

mobile_replacement_levels = {
    AFC = "AGC",
    ACY = "AGD",
    ADC = "AGE",
    ADY = "AGJ",
    AFG = "AGK",
    AFN = "AGU",
}
