function table.reverse(t)
    local n = #t
    for i = 1, math.floor(n / 2) do
        t[i], t[n - (i-1)] = t[n - (i-1)], t[i]
    end
end

function parse_cells(str)
    local rows = {}
    local row = {}
    table.insert(rows, row)
    for i = 1, #str do
        local c = str:sub(i, i)
        if c == "\n" then
            if i < #str then
                row = {}
                table.insert(rows, row)
            end
        elseif c ~= " " then
            table.insert(row, c)
        end
    end
    table.reverse(rows)
    return rows
end
