require "game"

local columns = 1

function show_level_select()
    local rows = math.ceil(num_levels / columns)
    local cell_w = win.width / columns
    local cell_h = 150
    local y = 0
    local level = 1
    local scrollarea = am.translate(0, win.height/2)
    for row = 1, rows do
        local x = win.safe_left
        for column = 1, columns do
            if level <= num_levels then
                local color = (row + column) % 2 == 0 and vec4(0.5, 0.5, 0.5, 1) or vec4(0.4, 0.4, 0.4, 1)
                local node = am.translate(x + cell_w/2, y - cell_h/2) ^ {
                    am.rect(-cell_w/2, -cell_h/2, cell_w/2, cell_h/2, color):tag("level"..level),
                    am.scale(2) ^ am.text(level .. " ("..level_order[level]..")")
                }
                scrollarea:append(node)
                x = x + cell_w   
                level = level + 1
            end
        end
        y = y - cell_h
    end

    local drag_pos
    local start_pos
    scrollarea:action(function()
        if input_pressed() then
            drag_pos = input_pos()
            start_pos = scrollarea.position2d
        elseif input_released() and drag_pos then
            if math.distance(drag_pos, input_pos()) < 10 then
                local pos = input_pos()
                local column = math.clamp(math.ceil(((pos.x + win.width/2) / win.width) * columns), 1, columns)
                local row = math.ceil(- (pos.y - scrollarea.position2d.y) / cell_h)
                local level = (row - 1) * columns + column
                if level >= 1 and level <= num_levels then
                    scrollarea("level"..level).color = vec4(0.8, 0.8, 0.8, 1)
                    scrollarea:action(am.series{
                        am.delay(0.1),
                        function()
                            test_level(level)
                            return true
                        end
                    })
                end
            end
            drag_pos = nil
            start_pos = nil
        elseif input_down() and drag_pos then
            scrollarea.position2d = start_pos + vec2(0, (input_pos().y - drag_pos.y))
        end
    end)

    root_scene:remove_all()
    root_scene:append(scrollarea)
end
