#!/usr/bin/env amulet
require "conf"

local en = am.load_script("strings/en.lua")()

local excluded = {
    website = true,
    digits = true,
    currencies = true,
    punct = true,
    thanks_credits = true,
}

local missing = {}

for lang in supported_languages:gmatch"[a-zA-Z%-]+" do
    if not (lang == "en") then
        local phrases = am.load_script("strings/"..lang..".lua")()
        for id, phrase in pairs(en) do
            if not excluded[id] and not phrases[id] then
                if missing[id] then
                    table.insert(missing[id], lang)
                else
                    missing[id] = {lang}
                end
            end
        end
    end
end

for id, langs in pairs(missing) do
    local str = ""
    for _, lang in ipairs(langs) do
        str = str..lang..","
    end
    print(id.." ("..str..")   "..(en[id]:gsub("\n", " ")))
end
