local state_name = "jumpgrid"

function save_state()
    am.save_state(state_name, global_state, "json")
end

function load_state()
    -- use pcall in case save file corrupted
    local ok, saved = pcall(am.load_state, state_name, "json")
    if ok and saved then
        global_state = saved
    else
        global_state = {
            fullscreen = true,
            show_speedrun_timer = true,
        }
    end
    if global_state.current_level then
        -- current_level field no longer used, update to saved_game field
        global_state.saved_game = {
            level = global_state.current_level,
            stage_stats = {
                secs = 0,
                retries = 0,
                jumps = 0,
            }
        }
        global_state.current_level = nil
        save_state()
    end
    if global_state.language == "pr-BR" then
        -- mistakenly deployed with incorrect language tag,
        -- so check if this lang was used and correct if necessary
        global_state.language = "pt-BR"
        save_state()
    end
end

load_state()
