require "settings"
require "background"
require "menu"
require "audio"
require "leaderboard_display"
local palettes = require "palettes"
local sprites = require "sprites"

function show_speedrun_menu(selected_item)
    if not global_state.speedrun_stage then
        global_state.speedrun_stage = 1
    end
    local palette = palettes[global_state.speedrun_stage]

    local scene = am.group{
        get_bg(),
    }

    local menu_group
    local speedrun_menu_items = {
        {
            text = function() 
                return strings.quadrant.." "..tostring(global_state.speedrun_stage)
            end,
            left = function()
                global_state.speedrun_stage = global_state.speedrun_stage - 1
                if global_state.speedrun_stage < 1 then
                    global_state.speedrun_stage = num_stages
                end
                save_state()
                show_speedrun_menu(1)
            end,
            right = function()
                global_state.speedrun_stage = global_state.speedrun_stage % num_stages + 1
                save_state()
                show_speedrun_menu(1)
            end,
        },
        {
            text = function() return strings.start end,
            action = function()
                start_stage_speedrun(global_state.speedrun_stage)
                return true
            end,
        },
        {
            text = function() return strings.show_timer end,
            checkbox = function() return global_state.show_speedrun_timer end,
            action = function()
                global_state.show_speedrun_timer = not global_state.show_speedrun_timer
                save_state()
            end,
        },
        {
            text = function() return strings.back end,
            action = function()
                show_title()
                return true
            end
        },
    }
    if global_state["speedrun_save"..global_state.speedrun_stage] then
        table.insert(speedrun_menu_items, 2,
            {
                text = function() return strings.continue end,
                action = function()
                    continue_stage_speedrun(global_state.speedrun_stage)
                    return true
                end,
            })
    end
    if am.gamecenter_available and am.gamecenter_available() then
        table.insert(speedrun_menu_items, #speedrun_menu_items - 1, 
            {
                text = function() return strings.show_leaderboard end,
                action = function()
                    show_leaderboard("stage_speedrun_"..global_state.speedrun_stage)
                    play_audio_jump()
                end,
            })
    end
    local speedrun_menu = make_menu(speedrun_menu_items, is_mobile and (win.safe_bottom + 220) or win.bottom + 150, palette, selected_item or 1)
    menu_group = am.group{speedrun_menu}
    scene:append(menu_group)

    local leaderboards = make_leaderboard("stage_speedrun", global_state.speedrun_stage)
    scene:append(leaderboards)

    show_background()
    root_scene:remove_all()
    root_scene:append(scene)
    reset_bg_speed()
    set_bg_color(palette[5], palette[4])
    start_music(get_stage_first_level(global_state.speedrun_stage))
end
