local vshader = [[
    precision highp float;
    attribute vec3 pos;
    uniform mat4 MV;
    uniform mat4 P;
    void main() {
        gl_Position = P * MV * vec4(pos.x, -pos.z, 0.0, 1.0);
    }
]]

local fshader = [[
    precision mediump float;
    uniform vec4 color;
    void main() {
        gl_FragColor = color;
    }
]]

local shader = am.program(vshader, fshader)

function load_vec_img(models)
    local group = am.use_program(shader)
    for _, model in ipairs(models) do
        local name = model[1]
        local color = model[2]
        local buf, stride = am.load_obj("models/"..name..".obj")
        local node = am.bind{
            color = color,
            pos = buf:view("vec3", 0, stride),
        }
        ^am.draw("triangles")
        group:append(node)
    end
    return group
end
